2012-01-03  Petr Mladek  <pmladek@suse.cz>  [4ed29a098bb85812129aa1485543d43d308980d6]

Version 3.4.5.2, tag libreoffice-3.4.5.2 (3.4.5-rc2)


2011-12-14  Petr Mladek  <pmladek@suse.cz>  [c7c5d698c27d137da86f48413369c218beeb3913]

Branch libreoffice-3-4-5

This is 'libreoffice-3-4-5' - the stable branch for the 3.4.5 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-12-14  Petr Mladek  <pmladek@suse.cz>  [db235f39568ceb4b6516e408adb94550acb7dbb4]

Version 3.4.5.1, tag libreoffice-3.4.5.1 (3.4.5-rc1)


2011-10-25  Petr Mladek  <pmladek@suse.cz>  [e0e013afbb6b5862bc9fb556493aa1c8c27ee177]

Version 3.4.4.1, tag libreoffice-3.4.4.1 (3.4.4-rc1)


2011-08-16  Petr Mladek  <pmladek@suse.cz>  [b6eab2b683e2e2de6fd3dd3c048d562f244b05f2]

Version 3.4.3.1, tag libreoffice-3.4.3.1 (3.4.3-rc1)


2011-07-25  Caolán McNamara  <caolanm@redhat.com>  [1e2bdde0ff9be4888b1ad593d36c35003d658159]

Resolves: rhbz#725144 wrong csh syntax (cherry picked from commit 1f1bba573a0bc1e27264c870b7822a8d183f80f3)


2011-07-12  Petr Mladek  <pmladek@suse.cz>  [6c406ff890b1525362f731692830ef324271dbc3]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-07-09  Tor Lillqvist  <tlillqvist@novell.com>  [dd0c9fdc119a991b8f08070316e86d44afac478d]

This makefile is for a standard Make, so use TABs (cherry picked from commit ff2c05d7b1411aeb67dc0ba415a1ec50db6331d6)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-06-29  Caolán McNamara  <caolanm@redhat.com>  [7b88a07f74525dba783ebc9d25cfdc0f3903d259]

bad merge, fix to enable extensions to build again (cherry picked from commit 194da0076d3b4a6968496261fd2eaca9e8e955f9)


2011-06-14  Petr Mladek  <pmladek@suse.cz>  [692f7e3a68c443dcb52ab8fadf788f998d0b26ac]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-05-17  Petr Mladek  <pmladek@suse.cz>  [77a19d3b0076210315219277d92191e80c4f2ad8]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-10  Petr Mladek  <pmladek@suse.cz>  [c7f08af261bc35aa06a6e2186265207153b6110c]

Version 3.3.99.5, tag libreoffice-3.3.99.5 (3.4.0-beta5)


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [4917c28603372248e4ef88787a8475547858c1b3]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [3da53c71cfc17526a41d156043a5563866fc6024]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [f805b5bcbbfdf000284622ba2d47c3bd5d5c7b87]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6a3109bc28a9ad304e9739362ecbad31fed50621]

Even more OOo -> LO changes (in comments now)


2011-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ac1c3e5bb04087f60b774354569cc6f77cb1a50a]

Some more OOo -> LO changes


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [fd0b24e4d70ee52402bf8b02430bd1d1504ed033]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [27da27c6396b7b6c8599ce72b3d6ed53c0e7b501]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4

Conflicts:
	odk/settings/settings.mk

2011-04-01  Petr Mladek  <pmladek@suse.cz>  [d0ee00c0419c281131dd2c47b908c20cd0dd529a]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-03-29  Francisco Saito  <saito@4linux.com.br>  [7066231c114b4eb492453fd82633478faa6efe24]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [175d243af0b547dde02482eef63d95b746b02b77]

drop bogus executable flag from image files


2011-03-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d6c306cdf3e8673478900943b5e7f3945b53ae09]

Some OOo -> LO changes (hopeful nothing broke with them)


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [e04680dd0e41342e7bf613b1d50559825f1dd014]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/sdk


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [d9bfe2b1782c2d0139553b592464061ae05af35d]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	odk/examples/DevelopersGuide/Components/CppComponent/service1_impl.cxx
	odk/examples/DevelopersGuide/Database/DriverSkeleton/SServices.cxx
	odk/examples/DevelopersGuide/OfficeDev/FilterDevelopment/FlatXmlFilterDetection/fdcomp.cxx
	odk/examples/DevelopersGuide/OfficeDev/FilterDevelopment/FlatXmlFilter_cpp/FlatXml.cxx
	odk/examples/cpp/complextoolbarcontrols/exports.cxx
	odk/examples/cpp/counter/countermain.cxx
	odk/examples/cpp/remoteclient/remoteclient.cxx
	odk/settings/settings.mk

2011-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ca94c1bc1148a170bb33722657d5432a0fd70553]

Trying to remove NODEFAULTLIB on Windows


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [8cbadd8956403b0b0018592f78bf826cd76427c1]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-17  Jan Holesovsky  <kendy@suse.cz>  [53a8b94d19bde151402a9096dc3eda0756b76302]

Merge remote-tracking branch 'origin/integration/dev300_m101'


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [f35cf85512e9cc07996fe8e3b708bcd70d255514]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-08  Norbert Thiebaud  <nthiebaud@gmail.com>  [19571f723dd63fb433e30c138098bc479b7bc46f]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101

* commit 'ooo/DEV300_m101':
  sb138: #i116038# fresh implementation of binary URP bridge
  dba34b: #i106807# use mysql instead of adabas now
  sb126: #i112627# adapted SDK/DevGuide to configmgr re-write

Conflicts:
	odk/util/makefile.pmk

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [f779dacc689b152f5ede60bc8bfc6029c2e77d68]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [e4d3fd6faea32f954923690a111c2466bea1d0c9]

CWS-TOOLING: integrate CWS jsc340


2011-03-03  Juergen Schmidt  <jsc@openoffice.org>  [127c6e0da8657f19392081d7c4da2754c2b9bd09]

jsc340: i114609: no visibility compiler flag for jni lib


2011-03-02  Julien Nabet  <serval2412@yahoo.fr>  [c7153c3aa1af28e80de7aefc184796b015049d79]

Remove "using namespace ::rtl"


2011-03-01  Juergen Schmidt  <jsc@openoffice.org>  [8c38ea8da58e7e9a3f689d73d96760bdfbf9a6c4]

jsc340: i114609: move generated component services rdb


2011-03-01  Juergen Schmidt  <jsc@openoffice.org>  [81a548678a121041a5f8b4ffa3666fd7dae643cb]

jsc340: i114609: adapt examples to work with the URE and use the passive registration


2011-03-01  Juergen Schmidt  <jsc@openoffice.org>  [e23c9629e5ff9db165748891cfe7034b4381fd28]

jsc340: i114609: adapt examples to work with the URE and use the passive registration


2011-02-28  Juergen Schmidt  <jsc@openoffice.org>  [a8f4bb16d11f4fb3833c188d694ef7ad14f9f874]

jsc340: i114609: adapt examples to work with the URE and use the passive registration


2011-02-24  Juergen Schmidt  <jsc@openoffice.org>  [8a3de9d1aa80f80c514554b8b3c8cf19995ee850]

jsc340: merge to dev300m101


2011-02-23  Juergen Schmidt  <jsc@openoffice.org>  [5c0f626aba141f7dcd6f7ef568182753c27f686f]

jsc340: fix problem with showing Java awt UI from the AppKit thread


2011-02-23  Juergen Schmidt  <jsc@openoffice.org>  [56a841d19275c156599ae1d1e4ebd55bf68c8bfa]

jsc340: i114609: support passive component registration


2011-02-22  Juergen Schmidt  <jsc@openoffice.org>  [f3ee841d8ddcd3a2d33aed3c3645800e6ff11ade]

jsc340: i114609: support passive component registration


2011-02-22  Juergen Schmidt  <jsc@openoffice.org>  [f7cdcbc817d1f34a0b6b04ee536be03818ad8c6c]

jsc340: i114609: support passive component registration


2011-02-18  Release Engineering  <releng@openoffice.org>  [af67f29984bd8c83fac33e0ceca8eefdd7f652e6]

merged DEV300


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [2ab331d669bd7a391068f552909a38f837590a43]

CWS-TOOLING: integrate CWS sb138


2011-02-15  Francois Tigeot  <ftigeot@wolfpond.org>  [40f8afbc768502da95d65f31f47237a25ef665a1]

dragonfly stuff


2011-02-11  Rene Engelhard  <rene@debian.org>  [8cf803c664182e2aac245695fb3ddf36aac9b877]

fix ODK settings.mk to only set STLPORTLIB if needed

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-02-11  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [b3cc5de7947d7096316f93d3b16958cb6bccbf42]

Remove obsolete Hyperlink Bar from sdk

Removed code related to hyperlink bar from sdk repo.

2011-02-11  sb  <sb@openoffice.org>  [ac66cccbb324808f8497b5f71e5a63371c8b5303]

sb138: merged in re/DEV300_next towards DEV300_m100


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9341d3cb4aa25ed642a1e62e1633216b86d7ab3f]

Trying to remove the stlport mention from the code


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fe46090a1cb6404dc83ba21bbdd73203a1511423]

Make stlport only optional dependency of postprocess


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [0434b87251fd55d1d4956191ef237abc180dab5c]

Merge remote branch 'origin/libreoffice-3-3'


2011-02-07  bjoern.michaelsen@canonical.com  <Bjoern Michaelsen>  [3307499ab161f464821fa61b01d96c7efeaf0319]

static libraries need to get linked before dynamic ones for symbol lookup

Signed-off-by: bjoern.michaelsen@canonical.com <Bjoern Michaelsen>

2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [a56a9b41e8624a4233f8171afbcf903f5a44f722]

Remove dead code


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4bec0a9a8809824433601d0398c55d6f57208cb3]

std::hash -> boost::hash


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46e4e5397ba3375924567c5427318315a80619fe]

move sdk repo to boost unordered containters


2011-02-04  Joseph Powers  <jpowers27@cox.net>  [d8c0608bdedaea60f55eb94ca50556d8007e30cb]

Remove "Visual C++, 32-bit, version 5.0" and prior version of T2TypeClassMap

Fridrich Strba removed this support in his patches to change the class from
a std::hash to a boost::unordered_map.

2011-02-03  Joseph Powers  <jpowers27@cox.net>  [ef810f3e4a9f0cb0c00761ac9b546da1709f6c68]

Fix a missed ::std::hash_map to boost::unordered_map typedef

I also added the mac build directory to the gitignore.

2011-02-04  Fridrich Strba  <fridrich.strba@bluewin.ch>  [7d5657d38d9cc9725d7a84954b3929bf2d35579f]

slist -> list


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [2f9518709be117b62a1a5b9fbc1002340f71a2b5]

CWS gnumake3: resync to m99


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [811e5e4baa5d4b944e2d9d305cb1b09360d5bdf7]

chart52: merge with DEV300_m99


2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [ed9cbca624c3938707589cf2c23c5ac92e4a7b18]

Clean up makefiles


2011-02-01  Juergen Schmidt  <jsc@openoffice.org>  [8aa58cb848a474412d4e7a2cbb5bcbaf6ac6bf5e]

jsc340: i114609: support passive component registration


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [fbd1edd6a6632487ab220ae6d6cf1e426f428706]

Clean up makefiles


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [4b201e6e1bfe624f444a092d217de3deb0ad75b0]

CWS-TOOLING: integrate CWS dba34b


2011-01-27  Juergen Schmidt  <jsc@openoffice.org>  [4acf8230b644b4aedacc64b49c4cfd7d984d4839]

jsc340: extend proctype check for MacOS


2011-01-26  sb  <sb@openoffice.org>  [09b708d0ebf21e42553a4bf703d8c051c7a6dcb8]

sb138: #i116038# fresh implementation of binary URP bridge


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [48beb485e05723815a3595de7be202f0cbff461a]

WaE: gcc 4.6.0 various warnings


2011-01-25  David Tardon  <dtardon@redhat.com>  [824435ce89b4db541379451facb73792677d5cd0]

WaE: uninitialized const


2011-01-25  David Tardon  <dtardon@redhat.com>  [c0200fc4eb629a4b4f8b0f050880dd203b1d261e]

WaE: remove unused variable


2011-01-25  David Tardon  <dtardon@redhat.com>  [6af1fd3ef81554e62eb0c7d9b0f234669fd1430c]

WaE: reference cannot be declared mutable


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [060318d4d43b2e866ba9f7435cda758c3e8a9fce]

Include the wntmscx build directories


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [9bf613ea96cd9eb7d3ff3a581abdff3fa2bd7915]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [e3efe8e0ac7d4cfcb296bca5ad00732309e298ac]

WaE: gcc 4.6.0 various warnings


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [d93bfa79d958cf6225144802f5e0d69a9d6561db]

Clean up and equalsAsciiL substitution.


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [e2496aadad27c7187b85551595e93a7b4afaa9a7]

Replace suitable equalsAscii calls with equalsAsciiL.

Done with sed -i 's%\(\.equalsAscii\)(\(\s\?"[^"]\+"\)\(\s\?\))%\1L(\3RTL_CONSTASCII_STRINGPARAM(\2\3)\3)%g'.

2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [a6fed410df5c8be6f2aeb49a8a0f9c3066202cb7]

bah, this unittest can't be rescued, what it tests is long gone


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [a80b910ddedf4bb3b6fe53a5aa5fee5d48760368]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [22b639a114400e7bce19595fcd1aafa9b8985132]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-10  Petr Mladek  <pmladek@suse.cz>  [5210ce7f03b4e6ef72370fe16470464526a7700f]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-09  Anders Jonsson  <anders.jonsson@norsjonet.se>  [d5785c140f939f3008057ae5585d98db9597d942]

Remove block of commented code


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [805ed3162e92f28eddcacba6c2a20247a8f6fdbe]

cppcheck: prefer prefix variant


2011-01-06  Juergen Schmidt  <jsc@openoffice.org>  [54e93143a3162829634a779a2775b80d5223fbee]

jsc340: i115337: correct since tags


2011-01-05  Juergen Schmidt  <jsc@openoffice.org>  [298d5eb5a21319c5ff66c2ec43515375eba8c71d]

merge dev300m96


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [a3de28f1784ba63cce50e743fe4a1cccb7ab81ab]

dr77: rebase to DEV300m96


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [6777ecc3de054d0dd74dd2c24989cf5c3ac7b41a]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [c5c6ba45d829d7a63faf4173be9a13795add99d8]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [2c05f470c3db80ae7d0fcfd3552cc08c7a0463fd]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [414c508686fde53c76af552c0961f7a6bbb1f44b]

cppcheck: prefer prefix variant


2010-12-23  David Tardon  <dtardon@redhat.com>  [57dbf505733055d2639b5affe046bf764f498719]

suppress compiler warning


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [1781f9394c2d93e0f9194d00a454d75f16d2f3e0]

Merge commit 'libreoffice-3.3.0.2'


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [c11761a82ef9426746460f905f38fe23fac500d0]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [2c1667eb98ec32b8893ccc7d4e91281a00e706dc]

cppcheck: unused variables


2010-12-05  Takeshi Abe  <tabe@fixedpoint.jp>  [f0cde80933fff1ab69e34846d81ccc1b076ac419]

Replace all occured, occurance etc.


2010-12-01  Petr Mladek  <pmladek@suse.cz>  [0be0562aa6496f0386bdea23b23a9c3a589ef92c]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-11-27  Gert Faller  <gertfaller@aliceadsl.fr>  [5a51a97fbcc6b085669b5820f7bde8cff03fe2f2]

RTL_CONSTASCII_USTRINGPARAM in sdk 2


2010-11-27  Gert Faller  <gertfaller@aliceadsl.fr>  [c057538b74822114620ffb631f4c818b4986f402]

RTL_CONSTASCII_USTRINGPARAM in sdk 1


2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [42631ee9ebce2fbff52b2ec6d655b00c57db72fd]

remove empty method


2010-11-24  David Tardon  <dtardon@redhat.com>  [f214431cf946d84dc168c67394752cfac14f3024]

fix invalid XML


2010-11-23  Caolán McNamara  <caolanm@redhat.com>  [5e35955bdcf8deeab266877c56d7a5bca0be7421]

cppcheck: Empty string test can be simplified


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a7f8d3cafd46108323d4c29d0e24775361cc5976]

dba34b: merge after pulling DEV300.m94


2010-11-17  Nikolai Pretzell  <np@openoffice.org>  [d8e12d27010acd19ef17ff40c27890126591cba0]

#115368# Force since tag format.


2010-11-17  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [bcd37c1b499025d5373c6acd8b73114f0b837fa9]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [42c93c91fdd32a70dfef14b96d799438aeb116bb]

Don't call the converttags.pl script. It is gone.


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [c2b1a5caeec4d0a7a13738544553e6983730a50e]

Remove references to converttags script

The makefile sets three variables related to converttags, but they are
never used. Also the converttagsscript is going away as it is useless.

changes. Lines starting # with '#' will be ignored, and an empty
message aborts the commit.  # On branch master # Changes to be
committed: # (use "git reset HEAD <file>..." to unstage) # # modified:
makefile.pmk #

2010-11-15  sb  <sb@openoffice.org>  [2941a3f3cef0556f9143904fdbab487714f89890]

sb135: merged in DEV300_m93


2010-11-12  Jan Holesovsky  <kendy@suse.cz>  [cacf9b7f82ab752d0642d4e9a530101d12dc9b66]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-11  Jan Holesovsky  <kendy@suse.cz>  [dd27573a0477b8ae97d3c0e15b7880e46582d58b]

Merge commit 'ooo/OOO330_m14' into libreoffice-3-3

Conflicts:
	odk/configure.pl

2010-11-11  Petr Mladek  <pmladek@suse.cz>  [d0712bc10be5f34276f1cb6411efbdbcb4a716d7]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-09  Juergen Schmidt  <jsc@openoffice.org>  [95a79c8e2a6994273522beab9f2d8f1111e61fca]

jsc340: merge with DEV300m92


2010-11-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [e441c53919ed233e510de3cb0ba71e96f09c750c]

dr77: rebase to DEV300m92


2010-11-09  Vladimir Glazunov  <vg@openoffice.org>  [994df59d8bb739e3534dcb84ab6460c3facd0831]

#i10000# changes from OOO330 m14


2010-11-08  Giuseppe Castagno  <giuseppe.castagno@acca-esse.eu>  [2d12bb08ba409641ba901fc9d75d537a200763e7]

Adapt LibreOffice branding in LibO-SDK user installation script.

This patch adapt the defaults presented when a user sdk environment is
created in GNU/Linux and similar platforms.
(cherry picked from commit 1baa1c1671f9396e0e8cb4bde7c62e509da1d548)

2010-11-08  Giuseppe Castagno  <giuseppe.castagno@acca-esse.eu>  [1baa1c1671f9396e0e8cb4bde7c62e509da1d548]

Adapt LibreOffice branding in LibO-SDK user installation script.

This patch adapt the defaults presented when a user sdk environment is
created in GNU/Linux and similar platforms.

2010-11-05  Kurt Zenker  <kz@openoffice.org>  [31098e06d089cd586a23a1e86df21fb9df9837d6]

CWS-TOOLING: integrate CWS jsc331


2010-11-04  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [0c2c1b584ea9341af87d317b57bb688a314ba422]

dba34b: #i106807# use mysql instead of adabas now


2010-11-04  julien  <serval2412@yahoo.fr>  [45a2f2f291279846f2720045fb11f74868f9bca4]

Use SAL_N_ELEMENTS in clone/sdk directory


2010-11-03  Giuseppe Castagno  <giuseppe.castagno@acca-esse.eu>  [98845dcff43929f8047f38f9ff1d6363fedac6c9]

Changed symlink processing to new application name. Now the function will try for libreoffice in the PATH, instead of soffice.


2010-11-02  Thomas Klausner  <wiz@NetBSD.org>  [948984eb809baebbfb983d58dfdebba39091878e]

There is no libdl on NetBSD, just like on FreeBSD, so don't use it there.


2010-11-01  Juergen Schmidt  <jsc@openoffice.org>  [16518fa0b5a5024da53ce743c1a4d5f6af07867b]

jsc331: i115310: correct resolveLink function


2010-10-31  Gert Faller  <gertfaller@aliceadsl.fr>  [6e8b7533646f9326763f33f68f2d10b0030b698f]

fix cppcheck warnings


2010-10-28  Juergen Schmidt  <jsc@openoffice.org>  [7beab30c9736f9174f6cb654ed4cd0959c1d86d9]

jsc340: i115253: insert message windows only


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [a508ecae0fa8c7901d01fa21e3907f079a64bd4d]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-10-28  Juergen Schmidt  <jsc@openoffice.org>  [36d8ae028d4d80136da90186656369dacf17d7ff]

jsc340: fix problem in resolveLink


2010-10-28  Juergen Schmidt  <jsc@openoffice.org>  [95d939782698265ed48e33439f3869aee7d9fb5f]

jsc340: i114887: remove idls for old draft types


2010-10-28  Juergen Schmidt  <jsc@openoffice.org>  [25df60cffa2d9a185695d2b14c45dd7650ff4970]

jsc340: i115252: check arch for older Mac version


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [ddb49cfcbeb9bbb34ee03b03ba0818602629afef]

add modelines to .hxx files as well


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [9a490e756ce4d825f42e8602761f5c7be6a29536]

Finally, gut the vos module out of the build


2010-10-21  Mathias Bauer  <mba@openoffice.org>  [3e72d35ab697e06f2fa52da6e3c7864fc5be2d9b]

CWS changehid: resync to m90


2010-10-21  sb  <sb@openoffice.org>  [1a62d4db473f529bbf644091f2e9a8d54e1f9dab]

sb132: merged in DEV300_m90


2010-10-18  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [ff74c520ad0a51484ac8f5e0cb83e4fb96f56fb6]

remove non-compiled code


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [f4856ee07351ccde236715e22d9e037ca287724f]

#i10000# changes from OOO330 m10


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [7c345fdcd90918c0d132c100efbd058dea21a82f]

tweak this for AIX


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [739d714c2b2d082c2848406649bf4c7879db40d4]

Merge commit 'ooo/OOO330_m10'


2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [79191d962b40ee8388cdf1efba388be2d836282f]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-09  Mathias Bauer  <mba@openoffice.org>  [a19051078ebf2ae0d50b681505e303a885f24b96]

CWS changehid: resync to m89


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [db1174a458bc8e276162d307ce1329d140644831]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  obo  <obo@openoffice.org>  [036b114b8aa43c03938ca5490520e2a0338d66ad]

CWS-TOOLING: integrate CWS sdk331


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [0798c52826d725a6f45aba93c8194d7cff2535f1]

Merge commit 'ooo/OOO330_m9'


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [79afc21e15a4daa795e579f93c6ea697aa4163f9]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [8cf31d38930bb6c7fc2014cbd6a6dbd4b1c2a3c1]

remove include guards using fixguard.py


2010-10-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3934e37ddebd128fae1765fc4c69c3dcf5ca3e4]

Look for LibreOffice and not OpenOffice.org from java


2010-10-04  sb  <sb@openoffice.org>  [304d243ec45fb7ada6ce418fefd9c414d9743399]

sb132: merged in DEV300_m89


2010-10-04  Juergen Schmidt  <jsc@openoffice.org>  [9814eda06094b974eaa2b151ed74cd8bb273b8c6]

sdk331: 114884: remove unofficial api's


2010-10-01  Vladimir Glazunov  <vg@openoffice.org>  [80a73dac705e36fcf0acb5216d7116a3302aeefb]

#i10000#


2010-10-01  Juergen Schmidt  <jsc@openoffice.org>  [afc7a87337c2523f7ec290e4d9e70548ee3d0091]

jsc340: i14847: clean up cmdline help fo devtools


2010-10-01  Juergen Schmidt  <jsc@openoffice.org>  [0abc6e08228caa46e4324642e317bcd157e96af5]

jsc340: i114789: remove space


2010-09-29  Juergen Schmidt  <jsc@openoffice.org>  [2674b4dab7f4d2156133407e0ff159a2629de40d]

jsc340: i113043: check the ure-link to support linux distors that move the different office peices somewhere else


2010-09-28  Vladimir Glazunov  <vg@openoffice.org>  [0ae33486ab234d6519d38af96aedb9db61279002]

CWS-TOOLING: integrate CWS sb126


2010-09-28  Petr Mladek  <pmladek@suse.cz>  [96439fee6e476566c25d39bc7d528d6d80f88c1e]

Version 3.2.99.1, tag LIBREOFFICE_3_2_99_1  (3.3-beta1)


2010-09-21  Petr Mladek  <pmladek@suse.cz>  [3185d77ea5b83c43d696f7d79d85b956b2a9b6a9]

Use the fetched 185d60944ea767075d27247c3162b3bc-unowinreg.dll


2010-09-17  Thorsten Behrens  <tbehrens@novell.com>  [9b493f3b4c66b7caea74a5187a304455694e5382]

odk-configure-honour-ure-link.diff: fix configure.pl


2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [279ac31e0e2fd1345fe8b2c3dbb38d7cafb3f1a9]

Update .gitignore for Windows builds


2010-09-16  sb  <sb@openoffice.org>  [941d81b95c01b6d65141c19e0a3628107f1d0ee1]

sb123: merged in cws/sb126, to get fixes for i107490 and i113115


2010-09-15  Petr Mladek  <pmladek@walk.suse.cz>  [91df9a50d671a2dc8ec219e0f427891a6208c7a7]

Release ooo-build-3.2.98.1, tag OOO_BUILD_3_2_98_1  (3.3-alpha1)


2010-09-15  Release Engineering  <releng@openoffice.org>  [2f5dc5e7caefe230928f08307a56aae1dc5aa701]

masterfix OOO330: #i114513# change exec permissions


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [7ac6fe6e60e14078e8824a181668982bd5664ed6]

Update .gitignore.


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [24a6d809af87919d995876b5b9a195d3507cd4c7]

Create .gitignore.


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [7110c23c544f537ff84089b9ba58a7757ae70cbc]

Merge commit 'ooo/OOO330_m4'


2010-07-13  Mathias Bauer  <mba@openoffice.org>  [089526a12d245bd59cad1b623a948e6ec3dced12]

CWS changehid: resync to m84


2010-07-12  Lars Langhans  <lla@openoffice.org>  [6b8f049697af2ec4eb8c02ae8aa19cc82d67f69b]

sb123:merge


2010-06-30  sb  <sb@openoffice.org>  [0c5263ec58cba3cac15dc398f93a251af53f1063]

sb126: merged in DEV300_m84


2010-06-23  sb  <sb@openoffice.org>  [4a220f5e98b36321d4a3a00459d8cc303e6d04ad]

sb126: #i112627# adapted SDK/DevGuide to configmgr re-write


2010-06-21  obo  <obo@openoffice.org>  [7f958603b303efa41a63641fabc830cc1d0e8dd7]

CWS-TOOLING: integrate CWS gridcontrol04


2010-06-15  Juergen Schmidt  <jsc@openoffice.org>  [0c526e94fffe179963a27eadd7dfa49391f2fffc]

gridcontrol04: i112401: correct title


2010-06-15  Juergen Schmidt  <jsc@openoffice.org>  [d3f6cc27c12f076f240a363f1f300347136edebf]

gridcontrol04: i112401: correct version number


2010-06-11  Mihaela Kedikova  <misheto@openoffice.org>  [fea85f59b72d164855081fdeb16b5417b3e72b15]

gridcontrol04: i111555: change file permissions for config script


2010-06-09  obo  <obo@openoffice.org>  [4159b9eb922482e22ed55a46197b3cff59831b9d]

CWS-TOOLING: integrate CWS kfreebsdport01v2


2010-06-04  Juergen Schmidt  <jsc@openoffice.org>  [d85eda9a5efbb6453bb7bf75722cf00f42f7ddb3]

gridcontrol04: i111555: take care of 64 bit java


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [c051598aa7724fb7a13ccf2934cb12e4039a216a]

cmcfixes74: merge with DEV300 m80


2010-05-06  Juergen Schmidt  <jsc@openoffice.org>  [92fc2efb205660a4b5661c12d7c320216a9cd1c7]

sdk321: adapt configuration and build env to work proper with spaces


2010-05-05  Rene Engelhard  <rene@openoffice.org>  [c2da309ce382f386a826d1ecaa6f90042a19ccfd]

kfreebsdport01v2: fix odks settings.mk to add kfreebsd support and add amd64. Remove obsolete gcc version check


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [7a2a3d5d34833a2e7c378e975f9a6b74e4ac44e3]

cmcfixes74: merge with DEV300 m75


2010-04-17  Rene Engelhard  <rene@openoffice.org>  [d3a9386368cbf346e457ed3808ce53dda1a475a0]

kfreebsdport01: remove .IF "$(JDK)" != gcj, we need JAVA_INCLUDES for gcj, too


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [812690a4724c1351576c7d3ffd69d7cb043d7c9f]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [d11e43f81780987e325681b746fd5a4e7de3ff8a]

CWS-TOOLING: integrate CWS sb118


2010-04-14  sb  <sb@openoffice.org>  [c81ad5e33a6a7b25868d0eb56aae39a1bfb73760]

sb118: merged in backout


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [c324e38e2e36cec8adaa72908150575468733335]

cmcfixes74: merge with DEV300 m76


2010-04-07  sb  <sb@openoffice.org>  [808188056b013e6bb33c8b8d012bfaaaa11be464]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-03-31  Juergen Schmidt  <jsc@openoffice.org>  [7489513a8dfad70d90bc147a69cedfedfe49ae5c]

nativea: SDK rebanding, adapt check


2010-03-31  Juergen Schmidt  <jsc@openoffice.org>  [ce5f8f4f955c1eed5564ad238f7a1810ad59fe0f]

nativea: SDK rebanding, change css for generated docu


2010-03-30  Juergen Schmidt  <jsc@openoffice.org>  [2a604a84c828574f038eef50bce50f158463f922]

nativea: SDK rebranding


2010-04-13  Jens-Heiner Rechtien  <hr@openoffice.org>  [584f7038d2188d088a0343f0083516c1b41a31af]

CWS-TOOLING: integrate CWS ause117


2010-03-23  Hans-Joachim Lankenau  <hjs@openoffice.org>  [450f4e35e88a3022642487b657b0ecde94ef4228]

ause117: #i110336# cleanup


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [a3ab2e506fc29c79df886da115ff93be78d072e9]

CWS-TOOLING: integrate CWS autorecovery


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0844a34570d758a6f001594354c003a63a89e3ee]

autorecovery: merged changes from m74. Still need to find out how to re-do two patches (to module_hidden_ooo.scp and file_ooo.scp in scp2/source/ooo) which do not apply anymore.


2010-03-04  sb  <sb@openoffice.org>  [ecd9646d36c6cd0e4741faa2e52f429af5c4927c]

merged in re/DEV300_next towards DEV300_m74


2010-03-03  Ivo Hinkelmann  <ihi@openoffice.org>  [616aa333639d2527facd77cb5bf4ea9c4760daab]

CWS-TOOLING: integrate CWS sdk330


2010-02-25  sb  <sb@openoffice.org>  [a81ae5227711af177121052325dc377ebebbb1cd]

sb118: merged in DEV300_m72


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b07b23e09c89c7ce51661317045ca1f32c5bdda2]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-17  Vladimir Glazunov  <vg@openoffice.org>  [1f464fabba0a3c8f9488a8e2f9a6fecb505afea8]

CWS-TOOLING: integrate CWS changefileheader2


2010-02-15  Juergen Schmidt  <jsc@openoffice.org>  [eb35f5c89d438309cd33bfce32d8220dc3fac149]

sdk330: #i105320#: remove since mapping from autodoc call


2010-02-15  Juergen Schmidt  <jsc@openoffice.org>  [742b3eb19dea24bebf5babcab8747aaa08145322]

sdk330: #i109273#: change copyright


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [0fd4d6b4c856fb4bdb76cdc194d892f9662bc2f6]

#i10000#: remove obsolete empty files; trim duplicated header content


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [20d23e1b56708dd8205b395715649d8fddabce3e]

changefileheader2: #i109125#: change source file copyright notice from Sun Microsystems to Oracle; remove CVS style keywords (RCSfile, Revision)


2010-02-08  sb  <sb@openoffice.org>  [27c3dbab95ab0f3ea681da617e840e490b26619d]

sb118: merged in DEV300_m71


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b5225bb8b847f1cbd9f79f57690ea429391d42d1]

autorecovery: commit resolved merge (after rebase to m71)


2010-02-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c03b25169112d2738e0faadc92baf4b32408b240]

autorecovery: more sophisticated configuration data for interaction handlers The generic css.task.InteractionHandler implementation in module uui is now able to instantiate "sub handlers", i.e. components to delegate a request to, based on the type of the request, and some configuration data.

The "old" (and now deprecated) configuration scheme at org.openoffice.ucb.InteractionHandler did not contain type
information, so any handlers registered there were always called when no default implementation for a given request
was available.

The "new" configuration scheme at org.openoffice.Interaction contains UNO type information. That is, a given handler
implementation can declare itself responsible for an arbitrary set of UNO types, and for each of those types, whether
it is also responsible for sub types.
The generic interaction handler implementation uses this configuration data, when it encounteres an interaction
request it cannot fullfill itself, to instantiate a component to delegate the request to.

As with the "old" data, such a component is required to support the css.task.XInteractionHandler2 interface. Also,
if it supports css.lang.XInitialization, then it will be initialized with a name-value pair, the name being
"Parent", the value being the XWindow interface of the parent window for any message boxes.

As an examplary implementation for this feature, the css.sdb.InteractionHandler has been deprecated. Now the
css.sdb.DatabaseInteractionHandler is reponsible for database-related interactions, and the new configuration scheme
is pre-filled with data assigning this responsibility.

Consequently, a lot of places previously creating an css.sdb.InteractionHandler have been modified to create the
default css.task.InteractionHandler.
2010-01-26  Ivo Hinkelmann  <ihi@openoffice.org>  [a4229b5076bf1437915aef8361535018753df415]

CWS-TOOLING: integrate CWS kso42


2010-01-22  Juergen Schmidt  <jsc@openoffice.org>  [2086e733a411e11ea19b4e5e032bd5630c7aedb1]

sdk330: #i107701#: update version info for 3.3


2010-01-21  sb  <sb@openoffice.org>  [93ed566203154ea57570d3fd42d823e26c876542]

sb118: merged in DEV300_m70


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [6251c88fa1388fbd93c96e4746c6d006240d7702]

CWS-TOOLING: integrate CWS dba33b


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [dd6857f5c87ef2111963946b8d4cd04010890ddb]

dba33b: merge


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3ba5afd9b36044b70fa9c42a13c392111bd1fbcb]

dba33b: merge m69


2010-01-12  sb  <sb@openoffice.org>  [27958d4fe0f919d7c9fd360ae0836587fa3bca81]

sb118: #i108269# first step of removing tcsh support


2010-01-09  sb  <sb@openoffice.org>  [e4373850c9d89db62c25a24d0339e898c687836e]

sb118: merged in DEV300_m69


2010-01-07  Kai Sommerfeld  <kso@openoffice.org>  [2c11e599eab500c58358b78039aad7c6b1eec6c0]

rebase to dev300 m69.


2010-01-06  Kai Sommerfeld  <kso@openoffice.org>  [9e24738271d35bc01a977e8ce61fb860f95af09b]

#i61429# - Adapted UCB clients to deprecated XContentCreator interface.


2010-01-05  Jens-Heiner Rechtien  <hr@openoffice.org>  [67fae970a827d6255dd30f19753b2bba7ab591e2]

CWS-TOOLING: integrate CWS sb116


2009-12-21  Kai Sommerfeld  <kso@openoffice.org>  [f937007cc8ec6387f7828ef38751c5d80f43ac6b]

#i106820# - added OOo 3.3 since tags.


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [af72763929b616d0a4a985fb714950f795157597]

dba33b: #i10000#


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e128bd948608de6ee401939b1793fcd24a899c6c]

dba33b: #i10000#


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4d837a417cfdf53c17ddc3a3440b230e025e7006]

dba33b: use COMMAND_ECHO to be less verbose in default mode


2009-12-10  Vladimir Glazunov  <vg@openoffice.org>  [813651200069b1aee564d70b5ea0fe35382a6abe]

CWS-TOOLING: integrate CWS os137


2009-12-10  Kai Sommerfeld  <kso@openoffice.org>  [755e4621b3b6c14feb9a175876cd4cc3585d2e98]

merged with DEV300_m67


2009-12-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3b32e104af3bec7992da3cebb293c842b653c9fd]

dba33b: merge CWS head with head resulting from pulling DEV300_m67


2009-12-09  Vladimir Glazunov  <vg@openoffice.org>  [40c75b6dba2cee0ad4b6a505ffef792304e771ff]

CWS-TOOLING: integrate CWS killnonpro


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [1170447f40658445dbf30a495443b660a1619592]

merge to m67


2009-12-03  Kurt Zenker  <kz@openoffice.org>  [7b6d7f0fd9ab349b4a75faaf8cb6f022cf30f1cd]

update to current version


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [352ce6deb39f1cf1922ab1d4467e1beb5839f598]

CWS-TOOLING: integrate CWS sdk32fix_DEV300


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [6215f6d4d8c26edcbcd62f269b94a60f6a24d8eb]

CWS-TOOLING: integrate CWS adc26


2009-12-01  os  <os@openoffice.org>  [0a2e87b5f707d807d67c12384f829e3a01694fb5]

version 3.3 and 3.3.0 added


2009-11-13  sb  <sb@openoffice.org>  [2210641d9f304648cc89e84bf555af45e24fa713]

sb116: #i106845# removed obsolete IRIX port


2009-11-12  Juergen Schmidt  <jsc@openoffice.org>  [d9d90efe41656b07401c98e8a1e1313f6130dca7]

#i106664# zip correct sample content


2009-11-12  Juergen Schmidt  <jsc@openoffice.org>  [1b90aee47b4aa901b3d49acb09363e7195a8f632]

#i59130# add climaker


2009-11-12  Juergen Schmidt  <jsc@openoffice.org>  [568bf80c900b8b62a0933721de7574e5eff36062]

#i106627# adapt macro name


2009-11-11  Juergen Schmidt  <jsc@openoffice.org>  [a0e4a5e2ad0f0322faef2f5a57b6ea2739412f73]

#i106801# adapt compiler check


2009-11-11  Juergen Schmidt  <jsc@openoffice.org>  [e000671ae2b6dcd89dfa6b9ca09b56313f30c6de]

#i106801# check compiler version and options, Mac OS


2009-11-11  Mathias Bauer  <mba@openoffice.org>  [60205b005b7695dd96869148cb58edba6067415f]

#i103496#: sandbox removed


2009-11-10  os  <os@openoffice.org>  [fe3049130a1bd1f26eafb2b90d3567ef38c6317c]

rebase


2009-11-10  Juergen Schmidt  <jsc@openoffice.org>  [80117268a96f82c20055c8827a820bc91837e2b5]

#i89936# change sample to match DevGuide


2009-11-09  Juergen Schmidt  <jsc@openoffice.org>  [2f34fc6c1c2a0c5ed554a9ac68da3dad18843e34]

#i106585# update docu for Java 5


2009-11-09  Juergen Schmidt  <jsc@openoffice.org>  [41b7682b847dcde425c61109c3b5ab1c1727f3a2]

#i106584# remove argc, argv from macro


2009-11-09  Juergen Schmidt  <jsc@openoffice.org>  [e5c7f170e08b1d6f3a4ce300dfd77d51a94858bc]

#i106627# correct stock symbol


2009-11-09  Juergen Schmidt  <jsc@openoffice.org>  [f33c5637e09e24bd91ab58f219b2acd0eba884b3]

#i106584# remove argc, argv from macro


2009-11-06  Juergen Schmidt  <jsc@openoffice.org>  [61a7c559709095e0029e7514344f22ff9f8193d7]

#i106664# minor changes for building the sample


2009-11-05  Juergen Schmidt  <jsc@openoffice.org>  [4e2c8419c753fe6036442572b93404c0144cad5c]

#i106627# extend and adapt env for VC9, building manifest, change macro


2009-11-05  Juergen Schmidt  <jsc@openoffice.org>  [07ea88e1ed9d87978e8788ea77577abceff0cbae]

#i160584# use SAL_IMPLEMENT_MAIN macro


2009-11-05  Juergen Schmidt  <jsc@openoffice.org>  [979ff5ae8525e204a5926305790a16de8d8baa52]

#i160584# use SAL_IMPLEMENT_MAIN macro


2009-11-04  Juergen Schmidt  <jsc@openoffice.org>  [76a9e3a360e65538cd08e02306429008354567e5]

#i160606# replace names with PRODUCTNAME placeholder


2009-11-04  Juergen Schmidt  <jsc@openoffice.org>  [9a6bed09b428b4e3d3aef3f235f860bf8e22503e]

#i160985# cleanup


2009-11-04  Juergen Schmidt  <jsc@openoffice.org>  [793aa99eefc056763311e7fde1fc652f096373bc]

#i160985# use macro for inner classes


2009-11-04  Juergen Schmidt  <jsc@openoffice.org>  [2c8083482754a24ae5c9643ed3a0878a9bc6757d]

#i160985# remove package


2009-11-04  Juergen Schmidt  <jsc@openoffice.org>  [49cbac4823b742ca542691cc088776bd8e1ee02d]

#i160985# insert new macro ICL to reference innner classes


2009-11-04  Juergen Schmidt  <jsc@openoffice.org>  [5466d70e18aa65dbd29fb57c7b9b64c074eb9b9d]

#i160584# add -D_DLL compiler define for Windows


2009-11-04  Juergen Schmidt  <jsc@openoffice.org>  [89dd1b83f64e7ecb35cdfb3d365b791b129ca298]

#160584# use SAL_IMPLEMENT_MAIN_WITH_ARGS macro


2009-11-04  Nikolai Pretzell  <np@openoffice.org>  [66ac51ee8b5f167f0d78d074d2e6586476e992f7]

#i106434# @see tags were not shown in the documentation


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [988dd83e1dff1869e0030f446b8e9d7a37ac77da]

added 3.3 to the translation table


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a548d1f1bb33223eaf4c8ffae70947f20b8614a0]

added 3.3 to the translation table


2009-10-27  Release Engineers  <releng@openoffice.org>  [92dd7b1629992cc193bc80f7689970dc1d36967a]

Create DEV300_m63 milestone tag from trunk@277194


2009-10-20  Release Engineers  <releng@openoffice.org>  [f70d3e3616613330eb24dedf9d86e50a75cec4cd]

Create DEV300_m62 milestone tag from trunk@277034


2009-10-13  sb  <sb@openoffice.org>  [f49cd926e4972448cc60fbd5f6fa413a470052f7]

#i105803# removed reference to obsolete com.sun.star.tools.uno package (patch by cmc)


2009-10-06  Release Engineers  <releng@openoffice.org>  [d6fb1b79e2670abd0fe88ecaba7de66cc5dfd992]

Create DEV300_m61 milestone tag from trunk@276697


2009-09-25  Mathias Bauer  <mba@openoffice.org>  [b5ff1d1040e9911a5d8c21febf45ec403c75d732]

merge commit


2009-09-24  Release Engineers  <releng@openoffice.org>  [3bbbf9d578cd4bcebb36d8f3b09433c8e5fc7b0a]

Create DEV300_m60 milestone tag from trunk@276428


2009-09-18  Ivo Hinkelmann  <ihi@openoffice.org>  [797ae9128c199c5d5742f5e99d3b7952816786f2]

CWS-TOOLING: integrate CWS adc25 2009-09-10 12:20:49 +0200 np  r276029 : #i100671# 2009-09-10 11:25:02 +0200 np  r276025 : #i100671# 2009-09-10 11:22:03 +0200 np  r276024 : #i100671#


2009-09-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [9d41f5c168a834250cfef9fdfef55424d5a752f6]

CWS-TOOLING: integrate CWS sb113 2009-09-01 sb #i76393# second attempt at properly #ifdef-ing previous HG commit d598efdbf012 2009-08-28 sb #i102469# change back <T extends XInterface> to just <T> on queryInterface, to avoid binary incompatibility (method changing its signature from (Ljava/lang/Class;Ljava/lang/Object;)Ljava/lang/Object; to (Ljava/lang/Class;Ljava/lang/Object;)Lcom/sun/star/uno/XInterface;) 2009-08-28 sb #i76393# properly #ifdef previous HG commit d598efdbf012 2009-08-27 sb #i94421# work around compiler error (based on a patch supplied by cloph) 2009-08-26 sb merged in DEV300_m56 2009-08-26 sb #i76393# on Linux, include dynamic section offset in crash report so as to be able to map "prelinked" callstacks back to original (patch by cmc) 2009-08-26 sb #i88162# remove unnecessary whitespace lines from per-locale xcu files (patch by tora) 2009-08-17 Juergen Schmidt #i104292# set context classloader after create new custom UNO loader 2009-08-17 Juergen Schmidt #i103749# integrate patch 2009-08-14 sb #i103269# cherry-picked ssh://hg@hg.services.openoffice.org/cws/sb111 -r 5124ebd5edd1 ("#i101955# changed encoding of XML file content from erroneous ISO-8859-1 to UTF-8") 2009-08-12 sb #i102469# fixed mis-applications of UnoRuntime.queryInterface (detected via the simplified UnoRuntime.queryInterface, the HG changeset 29de35fc9554) to use AnyConverter instead; changed qadevOOo's lib.MultiMethodTest.before to allow throwing arbitrary exceptions, to cater for IllegalArgumentException thrown by AnyConverter 2009-08-12 sb #i104178# drop extra libxml2-config script from libxmlsec 2009-08-10 sb #i101754# simplified osl_getProcessInfo for LINUX (patch by cmc) 2009-08-10 sb #i95018# avoid closing -1 fds (patch supplied by cmc) 2009-08-10 sb #i103585# removed (apparently unnecessary) zlib support from libxml2; in turn, removed zlib dependencies from libxmlsec, libxslt, and redland (assuming those were transitive dependencies brought in by direct dependencies on libxml2) 2009-08-10 sb #i102469# simplified UnoRuntime.queryInterface using Java 5 generics; adapted URE-related modules accordingly 2009-08-10 sb #i101213# adapted setsolar env (solenv/config/) to set PYTHONPATH (and not set PYTHONHOME) in accordance with configure env (set_soenv.in); fixed testtools/source/bridgetest/pyuno (which now should work everywhere out of the box, thanks to the fixed setsolar PYTHONPATH) 2009-08-10 sb cherry-picked ssh://hg@hg.services.openoffice.org/cws/sb111 -r ea8de6d9396b ("#i101955# work in progress for a .hgignore file, continued")


2009-09-16  Ivo Hinkelmann  <ihi@openoffice.org>  [28ced7649e310549e333ea14a9a7acd27efd2953]

CWS-TOOLING: integrate CWS l10nframework01


2009-09-16  Release Engineers  <releng@openoffice.org>  [e71d531a6f4197b3e5930638168bcef1be8710b1]

Create DEV300_m59 milestone tag from trunk@276191


2009-09-14  Kurt Zenker  <kz@openoffice.org>  [d4cd2150e9c4097ed05c98b339d54e20d3d6b56f]

CWS-TOOLING: integrate CWS dba32g 2009-09-09 07:53:55 +0200 oj  r275964 : replace strlen with rtl_str_getLength 2009-09-07 20:59:10 +0200 fs  r275913 : disable the CopyTableWizard test until issue 104869 is fixed 2009-09-07 12:17:31 +0200 oj  r275885 : #i104810# remove de as lang 2009-09-05 22:26:21 +0200 fs  r275857 : protect StateChanged against re-entrance 2009-09-05 22:25:52 +0200 fs  r275856 : don't attempt to classify the parent of a form as control 2009-09-05 22:25:29 +0200 fs  r275855 : protect against re-entrance 2009-09-05 00:11:40 +0200 fs  r275835 : #i10000# 2009-09-04 23:25:50 +0200 fs  r275834 : #i10000# 2009-09-04 23:23:47 +0200 fs  r275833 : #i10000# 2009-09-04 21:49:37 +0200 fs  r275830 : #i10000# correct wrong conflict resolution 2009-09-04 20:59:51 +0200 fs  r275829 : CWS-TOOLING: rebase CWS dba32g to trunk@275801 (milestone: DEV300:m57) 2009-09-04 11:08:32 +0200 oj  r275791 : #i104780# new version 1.2.0 2009-09-03 22:29:21 +0200 fs  r275775 : OSL_TRACE doesn't need \n anymore 2009-09-03 08:33:21 +0200 fs  r275743 : CWS-TOOLING: rebase CWS dba32g to trunk@275331 (milestone: DEV300:m56) 2009-09-02 13:48:12 +0200 fs  r275708 : removed useless include 2009-09-02 13:45:43 +0200 fs  r275707 : more since tags, which are used across offapi/udkapi 2009-09-02 13:23:04 +0200 fs  r275705 : should *not* have the dtor, copy ctor, and assignment operator compiler-generated, else we run into trouble as soon as the compiler creates different versions of our singleton member's static data in different libraries 2009-09-02 12:32:45 +0200 fs  r275704 : AutoIncrementIsPrimaryKey is a driver setting, not a data source setting 2009-09-02 11:42:49 +0200 fs  r275701 : URL meta data are meta data which are valid for all connections of this type, not per-data-source properties. Settings them as data source properties is a hack. 2009-09-02 08:43:34 +0200 fs  r275696 : 3.x.x is not a valid 'since' tag 2009-09-01 16:05:24 +0200 fs  r275665 : #i104686# don't treat controls bound to read-only columns as required 2009-09-01 13:10:22 +0200 fs  r275657 : #i104574# use PageUp/Down to scroll through the complete page 2009-09-01 07:04:48 +0200 oj  r275641 : #i104104# correct line ends 2009-08-31 15:52:34 +0200 fs  r275612 : #i104410# 2009-08-31 12:29:05 +0200 fs  r275596 : #i104364# 2009-08-31 12:28:56 +0200 fs  r275595 : #i104364# 2009-08-31 11:43:09 +0200 fs  r275593 : #i104649# JavaDriverClassPath is also a known JDBC-bridge setting 2009-08-31 11:41:37 +0200 fs  r275592 : #i104649# 2009-08-28 21:48:27 +0200 fs  r275552 : during #i96862#: renamed the configuration data which controls availability of certain DBA-related UI 2009-08-28 21:48:17 +0200 fs  r275551 : #i96862# do not show the 'Create a new database' option when a) no embedded/dBase driver is installed or b) the configuration requests to hide the option 2009-08-28 21:47:19 +0200 fs  r275550 : during #i96862#: renamed the configuration data which controls availability of certain DBA-related UI 2009-08-28 21:46:41 +0200 fs  r275549 : #i96862# renamed and extended the configuration data which controls availability of certain DBA-related UI 2009-08-28 15:10:19 +0200 fs  r275535 : #i96862# if no embedded driver is installed, use dBase for creating new DBs. If no dBase driver is installed, too, do not offer the 'Create new database' option 2009-08-28 14:03:04 +0200 fs  r275532 : #i104454# allow multiple fields to display the same column 2009-08-28 13:14:00 +0200 fs  r275528 : #i104584# driver meta data do not belong into a data source's settings 2009-08-28 13:09:57 +0200 fs  r275527 : properly chech the MySQL type buttons (else next/back in the wizard leads to state with two buttons checked) 2009-08-28 13:09:17 +0200 fs  r275526 : #i104584# driver meta data do not belong into a data source's settings 2009-08-28 13:07:18 +0200 fs  r275525 : BooleanComparisonMode is a property, or a feature - but not a driver meta data 2009-08-28 11:00:31 +0200 fs  r275521 : #i104580# 2009-08-28 10:40:05 +0200 fs  r275519 : #i104577# correct assertion: If the template node type is ANY, then any value type is allowed 2009-08-28 10:09:30 +0200 fs  r275518 : #i104575# implement Named Pipe UI 2009-08-28 10:09:07 +0200 fs  r275517 : pass the trigger-event to IWindowOperator::operateOn / work with VclWindowEvents, not VclSimpleEvents 2009-08-27 14:27:36 +0200 fs  r275484 : ImplPosTabPage: respect mbEmptyViewMargin for WINDOWALIGN_LEFT 2009-08-27 13:43:56 +0200 fs  r275480 : merging latest changes from CWS dba32f herein 2009-08-27 13:23:07 +0200 fs  r275475 : #i103882# 2009-08-27 11:56:55 +0200 fs  r275466 : #i104544# SetState: Do not call Update at the window which we just set text for. It should (sic\!) not be needed, but causes trouble 2009-08-27 11:55:34 +0200 fs  r275465 : #i104544# do not allow re-entrance for impl_ensureControl_nothrow Actually, this is part of the fix only. I also removed the code which triggered this re-entrance (from the grid control implementation), but to ensure it won't happen, again, I added some safety herein. 2009-08-27 10:14:11 +0200 fs  r275459 : preparations for supporting a 'NamedPipe' parameter for the MySQL Connector/OOo 2009-08-27 10:13:21 +0200 fs  r275458 : preparations for supporting a 'NamedPipe' setting for the MySQL Connector/OOo 2009-08-27 10:11:14 +0200 fs  r275456 : outsourced the MySQLNative settings into a dedicated class, to not duplicate all the code in two tab page implementations 2009-08-26 14:18:13 +0200 fs  r275422 : #i10000# 2009-08-26 13:26:36 +0200 fs  r275419 : ignore output paths 2009-08-26 13:23:38 +0200 fs  r275417 : support the LocalSocket property for the MySQL native driver 2009-08-26 13:17:05 +0200 fs  r275416 : some re-factoring, to outsource the tab page for setting up the MySQLNative connection, into a dedicated class (needed later) 2009-08-26 13:15:15 +0200 fs  r275415 : support a NoThousandSep property for NumericFormatters - I'm tired of correcting this at runtime, instead of controlling it in the resource 2009-08-26 11:45:08 +0200 fs  r275410 : oops, 'flat' shouldn't have got lost 2009-08-26 09:38:57 +0200 fs  r275398 : #i102631# when saving the document fails, ensure that the interaction handler really can handle/display the error 2009-08-26 09:37:05 +0200 fs  r275397 : #i102631# don't let non-IO/RuntimeExceptions escape from DatabaseDocument::store*, wrap them into an IOException 2009-08-26 09:35:39 +0200 fs  r275395 : let the default interaction handler implement XInteractionHandler2 2009-08-25 13:51:34 +0200 fs  r275352 : #i102631# createTempFile: pass URL through FileHelper.getOOoCompatibleFileURL 2009-08-25 13:49:23 +0200 fs  r275351 : #i102631# createTempFileURL: immediately delete the file implicitly created by createTempFile, we really only need the URL 2009-08-24 14:49:07 +0200 fs  r275318 : #i10000# 2009-08-24 14:36:03 +0200 fs  r275315 : properly terminate message with 0 character 2009-08-24 14:35:45 +0200 fs  r275314 : trace method concepts in non-pro, if special flag is enabled 2009-08-24 14:24:17 +0200 fs  r275312 : #i98973# filter some more events for grid control columns 2009-08-24 14:15:23 +0200 fs  r275311 : #i98973# implement XComboBox for combo box cells 2009-08-24 13:39:24 +0200 fs  r275308 : #i98973# do not display the 'actionPerformed' event for grid combo box columns 2009-08-24 12:52:03 +0200 fs  r275303 : #i98973# implement XCheckBox and XButton for check box cells 2009-08-24 11:56:05 +0200 oj  r275300 : #i104447# wrong default for orientation 2009-08-24 10:51:21 +0200 fs  r275296 : in the script selector dialog, interpret a double click onto a function as OK 2009-08-24 10:50:56 +0200 fs  r275295 : localize some to-be-displayed names, consolidate some code regarding form/control naming 2009-08-21 14:28:05 +0200 fs  r275255 : #i98973# implement KeyListeners 2009-08-21 14:27:20 +0200 fs  r275254 : #i98973# move the conversion VCL[Mouse|Key]Event->Awt[Mouse|Key]Event from vclxwindow.cxx to VCLUnoHelper 2009-08-21 14:08:50 +0200 fs  r275248 : #i98973# implement Mouse- and MouseMotion-broadcasting 2009-08-21 13:31:08 +0200 fs  r275244 : #i98973# implement text and change listeners at text cells 2009-08-21 12:47:38 +0200 fs  r275234 : #i104399# some refactoring: If the MySQL Connector/OOo is installed, it registers for the sdbc:mysqlc: protocol (now known as DST_MYSQL_NATIVE_DIRECT). However, we do not want to display this in the UI, instead we display "MySQL" only, which collects DST_MYSQL_ODBC, DST_MYSQL_JDBC, and DST_MYSQL_NATIVE. 2009-08-21 12:45:18 +0200 fs  r275232 : #i104399# also register for the sdbc:mysql:mysqlc protocol, decide at runtime (depending on the availability of sdbc:mysqlc:), whether it is really accepted. This prevents that the C/OOo extension needs to register *our* implementation name for the sdbc:mysql:mysqlc: protocol, which would be somewhat weird 2009-08-20 16:18:48 +0200 fs  r275190 : merging the latest changes from CWS dba32f (which this CWS was created from) 2009-08-19 20:19:59 +0200 fs  r275160 : add some spacing between the radios 2009-08-19 14:50:15 +0200 fs  r275150 : #i98973# slightly refactoring the grid cell implementations, to prepare for proper events being fired. Implement focus events for the moment, more to come. 2009-08-19 10:53:38 +0200 fs  r275142 : #i99936# initialize newly created models 2009-08-18 23:03:48 +0200 fs  r275132 : merging latest changes from CWS dba32f 2009-08-18 15:14:08 +0200 fs  r275110 : #i102819# SetColumnPos: SCROLL_CLIP is deadly here


2009-09-10  Release Engineers  <releng@openoffice.org>  [a69a39f567503119d9b737b075668c95dcfcd09c]

Create DEV300_m58 milestone tag from trunk@276042


2009-09-09  Mathias Bauer  <mba@openoffice.org>  [133b1e9067d2f7cc0828b0e3795d4af8f2175a97]

merge commit to DEV300_m57


2009-09-04  Release Engineers  <releng@openoffice.org>  [1669539abfca10b53e6004260bcdf83d4f9453cf]

Create DEV300_m57 milestone tag from trunk@275796


2009-08-26  Vladimir Glazounov  <vg@openoffice.org>  [d3b129845d99d9ac795d678c046babea94e7dd58]

CWS-TOOLING: integrate CWS mh132 2009-08-06 12:20:52 +0200 mh  r274712 : corrected error handling 2009-08-05 13:41:20 +0200 mh  r274661 : #i93040# NetBSD compile issue 2009-08-05 13:40:32 +0200 mh  r274660 : #i93040# NetBSD compile issue 2009-08-05 13:38:46 +0200 mh  r274659 : #i93040# NetBSD compile issue 2009-08-05 13:29:15 +0200 mh  r274658 : #i95193# increase includes limit 2009-08-05 13:22:07 +0200 mh  r274657 : #i96811# honor return values of read calls 2009-08-05 13:16:47 +0200 mh  r274654 : #i96802# honor return values of write calls 2009-08-05 13:07:06 +0200 mh  r274653 : #i99835# do DestroyData 2009-08-05 13:01:42 +0200 mh  r274651 : #i68557#: allow more dpi resolutions in scanner dialogue 2009-07-24 14:46:04 +0200 mh  r274307 : #i103770# missing fclose added


2009-08-26  Vladimir Glazounov  <vg@openoffice.org>  [3dad033ee25dc4209d62e5567fcdaa01d4b389b1]

CWS-TOOLING: integrate CWS mingwport22 2009-08-19 16:18:46 +0200 tono  r275156 : i#103794: mingw gcc-4.4.0 port: make use of dwarf2 eh 2009-08-05 12:27:41 +0200 tono  r274650 : CWS-TOOLING: rebase CWS mingwport22 to trunk@274622 (milestone: DEV300:m54) 2009-08-01 00:56:35 +0200 tono  r274552 : i#103795: mingw gcc-4.4.0 port: use gcc dll 2009-07-27 00:13:27 +0200 tono  r274344 : i#103795: mingw gcc-4.4.0 port: use gcc dll 2009-07-25 06:19:59 +0200 tono  r274332 : i#103803: mingw gcc-4.4.0 port: invalid "extern static" 2009-07-25 06:13:56 +0200 tono  r274331 : i#103802: mingw gcc-4.4.0 port: inhibit use of pthread 2009-07-25 06:05:22 +0200 tono  r274330 : i#103801: mingw gcc-4.4.0 port: specify relocatable data section 2009-07-25 05:54:09 +0200 tono  r274329 : i#103800: mingw gcc-4.4.0 port: remove invalid scope 2009-07-25 05:44:58 +0200 tono  r274328 : i#103799: mingw gcc-4.4.0 port: add some #include 2009-07-25 05:33:09 +0200 tono  r274327 : i#103798: mingw gcc-4.4.0 port: add backward in include path 2009-07-25 05:24:42 +0200 tono  r274326 : i#103797: mingw gcc-4.4.0 port: nooptimize c++-uno bridge 2009-07-25 05:16:20 +0200 tono  r274325 : i#103795: mingw gcc-4.4.0 port: use gcc dll 2009-07-25 04:01:59 +0200 tono  r274324 : i#103794: mingw gcc-4.4.0 port: make use of dwarf2 eh 2009-07-25 02:44:01 +0200 tono  r274322 : i#103793: mingw port: Exclude msvc[pr]80.dll from packaging 2009-07-25 02:28:21 +0200 tono  r274321 : i#103791: mingw port fix typo


2009-08-06  Release Engineers  <releng@openoffice.org>  [4bd50c943d8e4f513265c2117cf47bb071d7058d]

CWS-TOOLING: integrate CWS jsc320 2009-07-31 11:40:04 +0200 jsc  r274518 : #103926# apply patch 2009-07-16 17:17:01 +0200 jsc  r274063 : #i103311# check new Solaris compiler version ox5100 2009-07-07 17:20:41 +0200 jsc  r273811 : cleanup 2009-07-07 15:21:26 +0200 jsc  r273799 : #98322# correct LD_LIBRARY_PATH, sdk/lib dir instead of sdkout/platfrom/lib, all unix excepting mac 2009-07-07 15:07:05 +0200 jsc  r273798 : #i98322# correct link 2009-07-07 09:43:57 +0200 jsc  r273773 : #i98322# correct link path 2009-07-06 15:49:07 +0200 jsc  r273749 : #i98322# correct typo 2009-07-06 14:17:27 +0200 jsc  r273743 : #i103311# support sunstudio compiler 12u1, version 5.10 (which results in 0x5100) 2009-07-03 13:54:58 +0200 jsc  r273693 : #i96576# support opensolaris and enhance docu to relfect usage of gmake 2009-07-02 13:12:02 +0200 jsc  r273643 : #i103260# improve fix by using EXECPOST variable 2009-07-02 13:11:30 +0200 jsc  r273642 : #i103260# improve fix by using EXECPOST variable 2009-07-02 13:05:35 +0200 jsc  r273640 : #i103260# correct typo for windows 2009-07-02 13:01:34 +0200 jsc  r273639 : #i103260# provide regview with path as argument 2009-07-01 07:18:01 +0200 jsc  r273541 : CWS-TOOLING: rebase CWS jsc320 to trunk@273468 (milestone: DEV300:m51) 2009-06-30 08:01:13 +0200 jsc  r273485 : #98322# include import purpenvhelper lib under windows 2009-06-10 15:07:29 +0200 jsc  r272815 : CWS-TOOLING: rebase CWS jsc320 to trunk@272291 (milestone: DEV300:m49) 2009-05-27 09:36:23 +0200 jsc  r272329 : #i98322# create link for purpenvhelper library in SDK 2009-05-27 09:35:41 +0200 jsc  r272328 : #i98322# create link for purpenvhelpr library in SDK 2009-05-14 16:19:41 +0200 jsc  r271900 : increase version number in SDK header image 2009-05-14 16:11:05 +0200 jsc  r271899 : #i101408# new version 3.2 2009-05-14 15:33:47 +0200 jsc  r271894 : #i99163# apply patch to correct wrong tags for autodoc 2009-05-14 14:49:58 +0200 jsc  r271889 : #i99707# apply patch to remove unused code


2009-07-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [fc3719ac2f33805080cac07d896f4e9729b3d085]

CWS-TOOLING: integrate CWS fwk114 2009-07-08 Mikhail Voytenko #i102448# fix typo 2009-07-08 Mikhail Voytenko #i102448# detect the document of new format correctly 2009-07-03 Mikhail Voytenko #i101418# adjust header 2009-07-02 Mikhail Voytenko #i103001# Integrate the patch 2009-07-01 Mikhail Voytenko rebase to DEV300_m51 2009-06-25 Mikhail Voytenko #i71512# integrate the patch 2009-06-19 Mikhail Voytenko #i102931# check whether the file was changed even in case of system file locking 2009-06-10 Mikhail Voytenko #i102448# allow to turn the office update dialog off 2009-06-10 Mikhail Voytenko #i102448# allow to turn the office update dialog off 2009-06-09 Mikhail Voytenko #i96091# the disposed frame should throw DisposedException 2009-06-09 Mikhail Voytenko #i100835# commit the patch 2009-05-26 Mikhail Voytenko #i89514# integrate the patch 2009-05-26 Mikhail Voytenko #i30373# integrate the patch 2009-05-26 Mikhail Voytenko #i101418# fix the error handling


2009-07-13  Mathias Bauer  <mba@openoffice.org>  [2a770a7eedd809905608075770eb748bd6409ec9]

#i103496#: remove more superfluous dependencies


2009-07-13  Mathias Bauer  <mba@openoffice.org>  [fe260bc7ab8b77a097bba056d18b0788e752c167]

#i103496#: remove superfluous dependency on sandbox


2009-07-06  Vladimir Glazounov  <vg@openoffice.org>  [e6df877a35c5018340df998cf1c06224d96acdb0]

CWS-TOOLING: integrate CWS sdk311_DEV300 2009-06-09 10:22:56 +0200 jsc  r272754 : #i101883# adapt number 2009-06-03 13:25:57 +0200 jsc  r272559 : #i101883# ensure correct archive name for sdk, adapt resolve_variables_in_downloadname to exchange packageversion 2009-06-03 13:20:14 +0200 jsc  r272558 : #i101883# ensure correct archive or package name 2009-06-02 14:56:40 +0200 jsc  r272506 : #i101883# ensure correct archive or package name 2009-05-27 11:26:35 +0200 jsc  r272337 : CWS-TOOLING: rebase CWS sdk311 to branches/OOO310@272261 (milestone: OOO310:m12) 2009-05-26 15:15:13 +0200 jsc  r272305 : #i101883# ifdef links to URE libs for MacOSX and adapt compiler settings


2009-07-06  Vladimir Glazounov  <vg@openoffice.org>  [c6c6c7fc6c7f98fa63120aa3a02a653b8e0a9ded]

CWS-TOOLING: integrate CWS dba32d 2009-06-30 08:58:13 +0200 fs  r273488 : merging latest changes from CWS dba32c 2009-06-29 11:40:42 +0200 oj  r273459 : #i101652# fix token handling 2009-06-26 09:27:30 +0200 oj  r273394 : #i101994# wrong condition checked 2009-06-22 12:09:04 +0200 fs  r273210 : merging latest changes from CWS dba32c 2009-06-18 11:01:06 +0200 fs  r273108 : merge latest changes from CWS dba32c 2009-06-17 14:19:33 +0200 oj  r273072 : handle images at the correct position 2009-06-17 13:37:19 +0200 oj  r273067 : compile error 2009-06-17 13:35:58 +0200 oj  r273066 : #i102201# handle images 2009-06-17 13:27:21 +0200 oj  r273065 : #i80917# disable checkbox for internal copy 2009-06-17 13:25:38 +0200 oj  r273064 : #i80917# disable checkbox for internal copy 2009-06-15 12:59:16 +0200 fs  r272978 : merging latest changes from CWS dba32c 2009-06-15 10:45:58 +0200 fs  r272967 : CWS-TOOLING: rebase CWS dba32d to trunk@272827 (milestone: DEV300:m50) 2009-06-15 08:41:05 +0200 fs  r272960 : merging changes from CWS dba32c (resulting from rebasing dba32c to m50) 2009-06-03 12:22:32 +0200 fs  r272554 : merging latest changes from CWS dba32c 2009-06-03 11:11:27 +0200 fs  r272549 : #i100818# special treatment for DataAwareness not needed anymore 2009-06-03 11:07:01 +0200 fs  r272548 : #i10000# removed package declaration 2009-06-03 09:21:03 +0200 oj  r272537 : #i93465# save window states 2009-06-03 08:56:25 +0200 oj  r272535 : solve compiler warnings 2009-06-03 08:55:02 +0200 oj  r272534 : #i102295# export shapes i the first cell 2009-06-03 07:35:18 +0200 oj  r272533 : #i101994# check for - and + prefix 2009-06-03 06:51:38 +0200 oj  r272531 : #i101463# use uncomposed table name 2009-06-03 06:33:06 +0200 oj  r272530 : #i102019# word corrected 2009-06-02 14:58:28 +0200 fs  r272507 : #i102443# call initializeParser from LoadFinished 2009-06-02 14:30:10 +0200 oj  r272504 : #i102019# introduce static ints 2009-06-02 13:51:02 +0200 oj  r272501 : #i102439# wrong method used 2009-06-02 13:44:09 +0200 fs  r272500 : #i102440# when tampering with Order/GroupBy, reset the cached columns 2009-06-02 10:53:01 +0200 fs  r272487 : #i102234# preserve the original filter when using a 0=1 filter 2009-06-02 10:21:21 +0200 oj  r272486 : #i100535# handle time values as float 2009-06-02 10:19:07 +0200 fs  r272485 : merging latest changes from CWS dba32c 2009-05-29 16:00:15 +0200 fs  r272467 : merging latest changes from dba32c 2009-05-29 15:31:25 +0200 fs  r272462 : merging latest changes from dba32c 2009-05-29 10:58:03 +0200 oj  r272438 : #101135# export embedded-text 2009-05-29 08:17:57 +0200 oj  r272431 : #i80917# make attribute not optional 2009-05-29 08:17:32 +0200 oj  r272430 : remoe unused token 2009-05-29 07:17:15 +0200 oj  r272429 : #i80917# make attribute not optional 2009-05-28 12:48:14 +0200 oj  r272401 : #i102201# insert images in context menu 2009-05-28 12:47:44 +0200 oj  r272400 : #i80917# add new attribute to handle first line 2009-05-28 12:16:12 +0200 oj  r272397 : #i96134# add / to path when it doesn't exist 2009-05-28 12:11:08 +0200 oj  r272390 : #i80917# add new attribute to handle first line 2009-05-28 11:33:35 +0200 oj  r272388 : #i101652# add new checkbox to handle header line as column names 2009-05-28 11:30:15 +0200 oj  r272387 : #i101652# add localize 2009-05-28 11:15:53 +0200 oj  r272386 : merge from dba32c 2009-05-28 09:08:25 +0200 fs  r272378 : merged a build fix from CWS dba32c


2009-07-03  Release Engineers  <releng@openoffice.org>  [d8087e30e8ff276043ad01638975476c641bea6e]

CWS-TOOLING: integrate CWS dba32c 2009-06-29 20:53:25 +0200 fs  r273484 : #i103138# Rectangle conversion 2009-06-29 20:51:50 +0200 fs  r273483 : #i103138# yet more refactoring, now also setting the proper zoom level at the proper point in time 2009-06-29 13:40:26 +0200 fs  r273470 : added svn:ignore to ignore output paths 2009-06-29 10:08:54 +0200 fs  r273455 : #i103138# refactored the code for positioning/zooming the control Basically, we now allow adjustControlGeometry_throw (formerly known as positionControl_throw and setControlZoom) to take an additional ViewTransformation parameter, describing the transformation to obtain the actual control position/size. Consequently, positionControl itself also allows for a ViewTransformation parameter. This has become necessary since during painting, the device which we created our control for might not necessarily have a proper MapMode set. In this case, if we would use this map mode for calculating the control's position/size, this would lead to wrong results. Note that this problem was introduced by the fix for #i101398#: During the fix, we postponed the control creation to a later time (when it is really needed). At this later time, the MapMode at the device is broken, at the earlier time where we formerly crearted the control (createPrimitive2DSequence), it is not yet broken. Whether or not the MapMode is defined as "broken" might depend on one's point of view, however ... I consider it broken, since: - we need the map mode to obtain the proper zoom level, which is to be forwarded to the control - there are scenarios where the MapMode is *not* set to MAP_PIXEL (in those scenarios, everything works   fine), and there are scenarios where it *is* set to MAP_PIXEL (in those the bug 103138 appears). It somehow feels wrong that one cannot rely on the device's map mode this way, but on the other hand one has no possibility to obtain the current zoom by other means. Note that one issue (still to be submitted) is left: In the page pane of a Draw/Impress document, controls have a wrong text size. This is because in this pane, the above-mentioned "broken" map mode is used, which means the controls have a zoom of "1:1" set, which is wrong here. 2009-06-25 13:41:35 +0200 msc  r273380 : #100000# the tabs changed die to new properties 2009-06-24 12:42:40 +0200 msc  r273330 : #102082# remove issue warning 2009-06-22 10:43:14 +0200 fs  r273201 : createPrimitive2DSequence: care for being disposed 2009-06-18 12:35:13 +0200 oj  r273109 : #i102305# make nooptfiles for gcc 2009-06-17 12:14:37 +0200 oj  r273056 : #i102305# fix for linux 2009-06-17 07:20:22 +0200 oj  r273046 : #i102305# move ValueTransfer into the for loop to avoid a crash under Linux 2009-06-17 07:17:28 +0200 oj  r273045 : #i102305# use varchar 2009-06-15 14:11:27 +0200 fs  r272983 : added since tag 2009-06-15 12:11:39 +0200 oj  r272973 : #i102305# SAL_DLLPUBLIC_EXPORT inserted 2009-06-15 11:08:53 +0200 fs  r272969 : #i10000# 2009-06-15 09:25:13 +0200 fs  r272963 : merging fix for P1 issue #i102701# 2009-06-11 11:31:24 +0200 fs  r272858 : #i10000# copied the fix which before the rebase was done in ../dialog/macropg.src 2009-06-11 09:38:14 +0200 fs  r272846 : CWS-TOOLING: rebase CWS dba32c to trunk@272827 (milestone: DEV300:m50) 2009-06-02 09:53:10 +0200 fs  r272483 : #i10000# 2009-05-29 15:55:03 +0200 fs  r272465 : #i100818# 2009-05-29 12:58:43 +0200 fs  r272452 : don't apply comphelper::getString on possibly VOID any 2009-05-29 10:38:35 +0200 oj  r272437 : #i101519# handle where condition 2009-05-29 09:53:39 +0200 fs  r272434 : #i100818# call into releaseStubs /without/ locked GlobalMutex 2009-05-28 07:53:44 +0200 oj  r272375 : #i101369# parse tree changed 2009-05-27 14:53:36 +0200 fs  r272347 : #i10000# 2009-05-27 09:29:15 +0200 oj  r272327 : #i101626# check for double before hard cast 2009-05-27 09:13:58 +0200 oj  r272326 : #i101626# handle void correctly 2009-05-27 08:04:39 +0200 oj  r272321 : #i102256# wrong method signature used 2009-05-27 07:55:52 +0200 oj  r272320 : #i101519# look up parameter typ if used in function 2009-05-27 06:49:07 +0200 oj  r272319 : #i101519# set parameter from rowset as well 2009-05-26 13:30:56 +0200 oj  r272297 : #i101987# impl XBatchExecution 2009-05-26 12:44:34 +0200 oj  r272293 : #i101700# check if group is not set 2009-05-26 12:16:53 +0200 oj  r272290 : #i101369# resolved some reduce7reduce problems with boolean_term and search_condition 2009-05-26 12:12:42 +0200 oj  r272289 : #i101369# fix for or on one line criteria 2009-05-25 16:02:25 +0200 fs  r272257 : #i999704# +PROPERTY_MOUSE_WHEEL_BEHAVIOR 2009-05-25 16:01:55 +0200 fs  r272256 : merging the changes from CWS dba32b herein 2009-05-25 15:49:57 +0200 fs  r272254 : #i999704# 2009-05-25 15:32:57 +0200 fs  r272252 : #i99704# grid columns also to respect the MouseWheelBehavior property 2009-05-25 15:23:43 +0200 fs  r272251 : don't pass empty Anys to ::comphelper::getString 2009-05-25 14:48:43 +0200 fs  r272248 : merged changes from CWS dba32b herein 2009-05-25 14:44:40 +0200 fs  r272247 : #i99704# support new MouseWheelBehavior property 2009-05-25 14:43:18 +0200 fs  r272246 : #i99704# WheelWithoutFocus (peer property) superseded by MouseWheelBehavior (model property) 2009-05-25 14:41:03 +0200 fs  r272245 : #i99704# no need to set the mouse wheel behavior at the peer, this is now a model property, having the right default 2009-05-25 14:39:31 +0200 fs  r272243 : removed dead import 2009-05-25 14:35:36 +0200 fs  r272242 : the new EnableVisible doesn't make sense for grid columns 2009-05-25 14:34:33 +0200 fs  r272241 : #i99704# +MouseWheelBehavior - allow to enable/disable the mouse wheel for the control, or make it focus-dependent 2009-05-25 14:26:11 +0200 fs  r272240 : #i99704# change MouseSettings wheel flag (NoWheelActionWithoutFocus) to a three-state option, allowing to completely ignore the mouse wheel 2009-05-23 21:35:59 +0200 fs  r272213 : localize 'sub component opened/closed' event 2009-05-22 21:42:47 +0200 fs  r272211 : #i102003# 2009-05-22 21:42:20 +0200 fs  r272210 : grammar 2009-05-22 21:36:10 +0200 fs  r272209 : #i102140# load only once, not twice, and show error messages during loading (and during any form action, that is) asynchronously 2009-05-22 21:35:11 +0200 fs  r272208 : #i102140# +clear 2009-05-22 14:50:30 +0200 fs  r272194 : #i102139# for newly created DB docs, set the MacroExecutionMode to USE_CONFIG 2009-05-22 12:03:42 +0200 fs  r272180 : #i88878# provided by noel.power@novell.com implement a visibility property (EnableVisible) for toolkit controls, and usage in forms and UNO dialogs 2009-05-15 15:37:31 +0200 fs  r271942 : #i100671# corrected some @since tags, so autodoc has better chances of correctly reading them 2009-05-15 15:33:11 +0200 fs  r271940 : don't call comphelper::getFOO for VOID values 2009-05-15 15:08:31 +0200 fs  r271937 : includes 2009-05-15 13:39:22 +0200 fs  r271934 : #i101398# createPrimitive2DSequence: when we already have a control, use the old code. In particular, call positionControlForPaint 2009-05-15 12:33:48 +0200 fs  r271933 : make the geometry a part of the ControlPrimitive2D's identity 2009-05-15 10:15:44 +0200 fs  r271928 : #i10000# 2009-05-14 20:55:38 +0200 fs  r271921 : #i101398# don't reuse the name PRIMITIVE_ID_CONTROLPRIMITIVE2D, make the name of our own ControlPrimitive2D unique 2009-05-14 20:55:31 +0200 fs  r271920 : #i101398# don't reuse the name PRIMITIVE_ID_CONTROLPRIMITIVE2D, make the name of our own ControlPrimitive2D unique 2009-05-14 20:23:23 +0200 fs  r271919 : #i101622# 2009-05-14 16:04:38 +0200 fs  r271898 : don't use comphelper::getInt32 on voids 2009-05-14 16:04:12 +0200 fs  r271897 : merge fix for issue whose number just slipped my memory ... (originally fixed in CWS dba32b) 2009-05-14 15:36:55 +0200 fs  r271895 : merging changes from DEV300:m48 2009-05-07 14:43:19 +0200 fs  r271670 : #i101477# 2009-05-07 14:37:30 +0200 fs  r271668 : #i101477# 2009-05-07 09:27:30 +0200 oj  r271628 : #i101343# remove pch 2009-05-06 09:36:02 +0200 fs  r271568 : getFoo: diagnostics 2009-05-04 09:23:06 +0200 oj  r271438 : CWS-TOOLING: rebase CWS dba32c to trunk@271427 (milestone: DEV300:m47) 2009-04-29 23:18:13 +0200 fs  r271394 : #i101398# use a dedicated 2DPrimitive for UNO Controls, which is able to provide the B2DRange *without* actually creating the control 2009-04-29 13:52:25 +0200 fs  r271366 : #i101308#


2009-07-02  Release Engineers  <releng@openoffice.org>  [222507ba67167d9f88d50e38b0e0e599908df860]

CWS-TOOLING: integrate CWS odfmetadata2 2009-06-22 11:48:36 +0200 mst  r273206 : - connectivity/source/drivers/mozab/mozillasrc/MNSInclude.hxx:   + add "include ustrbuf.hxx" to work around warning caused by     solaris <sys/kstat.h> declaring a global "long l ;" 2009-06-19 14:25:25 +0200 mst  r273159 : - scp2/source/ooo/file_library_ooo.scp:   + fix MinGW build 2009-06-08 12:52:33 +0200 mst  r272727 : - redland/raptor-1.4.18.patch.mingw, redland/raptor/makefile.mk:   + disable parsers that do not build on MinGW (thanks for patch by tono) 2009-05-15 17:31:07 +0200 mst  r271957 : fix typos 2009-05-15 17:28:57 +0200 mst  r271956 : #i101965# - offapi/com/sun/star/text/TextPortion:   + add missing properties:     SoftPageBreak, DocumentIndexMark, ReferenceMark, Footnote, TextField   + fix read-only status of properties: Bookmark, IsStart, IsCollapsed - offapi/type_reference/{typelibrary_history.txt,types.rdb}:   + update reference types.rdb 2009-05-07 14:41:38 +0200 mst  r271669 : - sw/inc/{fmtftn.hxx,unocoll.hxx,doc.hxx,editsh.hxx,ftninfo.hxx},   sw/source/core/layout/{flowfrm.cxx,ftnfrm.cxx},   sw/source/core/doc/docftn.cxx, sw/source/core/edit/edattr.cxx,   sw/source/core/txtnode/atrftn.cxx, sw/source/core/unocore/unocoll.cxx,   sw/source/ui/fldui/fldref.cxx:   + fix warning ... the hard way   + also fix signature of SwDoc::SetCurFtn 2009-05-05 19:52:55 +0200 mst  r271556 : - sw/inc/undobj.hxx:   + make some members const 2009-05-05 19:34:40 +0200 mst  r271555 : - sw/inc/rolbck.hxx, sw/source/core/undo/rolbck.cxx:   + make some members const 2009-05-05 19:13:14 +0200 mst  r271553 : - sw/inc/{undobj.hxx,rolbck.hxx},   sw/source/core/undo/{unbkmk.cxx,rolbck.cxx}:   + fix rebase merge error   + rename SwHstryBookmark to SwHistoryBookmark   + clean up SwUndoBookmark 2009-05-05 19:05:53 +0200 mst  r271552 : - sw/source/core/unocore/unoportenum.cxx:   + fix annoying assertion 2009-05-05 15:34:48 +0200 mst  r271522 : CWS-TOOLING: rebase CWS odfmetadata2 to trunk@271427 (milestone: DEV300:m47) 2009-05-04 12:37:01 +0200 mst  r271444 : trivial 2009-04-22 13:30:37 +0200 mst  r271102 : - sfx2/inc/sfx2/dinfdlg.hxx:   + trivial change 2009-04-21 16:46:58 +0200 mst  r271043 : - sw/inc/hintids.hxx:   + introduce some predicates for the various hints, and use them 2009-04-21 16:19:03 +0200 mst  r271041 : - sw/inc/undobj.hxx,   sw/source/core/doc/{docfly.cxx,docfmt.cxx,docftn.cxx,doctxm.cxx},   sw/source/core/undo/{unattr.cxx,unins.cxx}:   + clean up unattr.cxx:     remove/fix casts, prefix members, use auto_ptr, etc. 2009-04-21 15:34:23 +0200 mst  r271039 : - sw/inc/{rolbck.hxx,undobj.hxx},   sw/source/core/doc/docfmt.cxx,   sw/source/core/txtnode/{thints.cxx,txtedt.cxx},   sw/source/core/undo/{rolbck.cxx,undel.cxx,undobj.cxx,unins.cxx,unmove.cxx,     unovwr.cxx,unsect.cxx,unspnd.cxx,untbl.cxx,untblk.cxx,unattr.cxx}:   + clean up SwHistory, SwRegHistory and SwHistoryHint etc.:     remove/fix casts, prefix members, remove wrong const annotations,     use auto_ptr, remove unused members, etc. 2009-04-20 19:17:36 +0200 mst  r271013 : - sw/inc/ndhints.hxx,   sw/source/core/text/{itrtxt.cxx,txtftn.cxx,itratr.cxx,porfly.cxx,     txtfrm.cxx,txtdrop.cxx,frmform.cxx},   sw/source/core/txtnode/{ndtxt.cxx,ndhints.cxx,thints.cxx,txtedt.cxx},   sw/source/core/edit/acorrect.cxx,   sw/source/core/doc/{docedt.cxx,docfmt.cxx},   sw/source/filter/html/swhtml.cxx:   + clean up SwHintsArray and its subclasses: remove/fix casts, prefix members 2009-04-20 18:42:07 +0200 mst  r271007 : - sw/source/core/text/txtio.cxx, sw/source/core/edit/edattr.cxx,   sw/source/core/undo/rolbck.cxx:   + remove JP_NEWCORE dead code 2009-04-20 18:38:09 +0200 mst  r271006 : - sw/source/core/unocore/unochart.cxx:   + silence unxlngi warning (debug=t) 2009-04-20 16:36:13 +0200 mst  r270991 : - sfx2/inc/sfx2/dinfdlg.hxx, sfx2/source/dialog/dinfdlg.cxx,   sfx2/source/doc/objserv.cxx, sw/source/ui/fldui/flddinf.hxx:   + trivial cleanups 2009-04-20 15:28:52 +0200 mst  r270990 : - sfx2/inc/sfx2/dinfdlg.hxx, sfx2/source/dialog/dinfdlg.cxx,   sfx2/source/doc/objserv.cxx:   + fix bug: replaying a macro with a DocumentInfoItem removes all     user-defined properties 2009-03-10 15:08:20 +0100 mst  r269273 : - sfx2/source/doc/Metadatable.cxx:   + add missing SolarMutex guards 2009-03-10 14:46:29 +0100 mst  r269272 : - unoxml/source/rdf/librdf_repository.cxx:   + never free rdf_world because that would call libxm2 xmlCleanupParser     (and, to add insult to injury, other libxml2 functions later...) 2009-03-06 19:02:44 +0100 mst  r269041 : argh! undo... 2009-03-06 19:00:58 +0100 mst  r269040 : fix #i99931# - sw/source/ui/uno/unomod.cxx:   + SwXViewSettings::_getSingleValue returns uninitialized memory     for the ZoomType property if the value is PAGE_WIDTH_EXACT 2009-03-06 18:59:28 +0100 mst  r269039 : - sw/inc/ndtxt.hxx, sw/source/core/txtnode/ndtxt.cxx,   sw/source/core/unocore/unoportenum.cxx:   + fix some more wntmsci12 warnings... 2009-03-06 18:56:46 +0100 mst  r269038 : - sd/source/ui/slidesorter/model/SlsPageEnumerationProvider.cxx:   + work around spurious warning on unxsoli4 debug=t 2009-03-05 14:02:01 +0100 mst  r268902 : - sw/inc/txatbase.hxx:   + back to c-style casts, they also compile on wntmsci12... 2009-03-05 10:23:25 +0100 mst  r268882 : - comphelper/inc/comphelper/processfactory.hxx,   comphelper/source/processfactory/processfactory.cxx:   + revert change of return type of comphelper_getProcessComponentContext     to Reference: does not build on wntmsci12 2009-03-04 19:08:09 +0100 mst  r268861 : - sw/source/core/txtnode/{atrtox.cxx,ndtxt.cxx}:   + fix initialization 2009-03-04 14:37:30 +0100 mst  r268831 : - solenv/inc/target.mk:   + fix CLASSPATH so complex tests run (fix by sb) 2009-03-04 14:36:30 +0100 mst  r268830 : - sw/inc/unoobj.hxx,   sw/source/core/unocore/{unoparagraph.cxx,unoobj.cxx,unoobj2.cxx}:   + SwXParaFrameEnumeration constructor now takes SwPaM, not SwUnoCrsr   + move SwParaSelection into unoparagraph.cxx, as it is only used there   + bugfix: replace SwUnoCrsrs on stack with SwCursors 2009-03-04 14:34:46 +0100 mst  r268829 : - sw/inc/pam.hxx, sw/source/core/crsr/pam.cxx,   sw/source/core/edit/eddel.cxx, sw/source/core/doc/docredln.cxx,   sw/source/core/undo/{untbl.cxx,undel.cxx}, sw/source/filter/rtf/swparrtf.cxx:   + clean up SwPaM: prefix members   + new constructor SwPosition(SwCntntNode&, xub_StrLen)   + fix several broken SwPosition and SwPaM constructors   + SwPam::DeleteMark now actually resets the unused position to default 2009-03-02 12:07:09 +0100 mst  r268646 : - sw/inc/fmtcol.hxx:   + fix annoying warning (gcc 4) 2009-03-02 12:06:27 +0100 mst  r268645 : - odk/util/check.pl, odk/examples/DevelopersGuide/Text/TextDocuments.java:   + rename module from FieldMaster to fieldmaster 2009-02-27 19:49:56 +0100 mst  r268614 : - sfx2/inc/sfx2/Metadatable.hxx, sfx2/prj/d.lst,   sfx2/source/doc/{Metadatable.cxx,makefile.mk},   sw/inc/{SwMetadatable.hxx,unoobj.hxx,undobj.hxx,ndtxt.hxx},   sw/source/core/doc/{SwMetadatable.cxx,makefile.mk,docnew.cxx},   sw/source/core/undo/{untbl.cxx,unins.cxx},   sw/source/core/unocore/unoparagraph.cxx, sw/source/ui/app/docsh.cxx:   + move Metadatable implementation from sw to sfx2 2009-02-27 17:58:55 +0100 mst  r268608 : - sw/inc/{SwMetadatable.hxx,undobj.hxx}, sw/source/core/doc/SwMetadatable.cxx,   sw/source/core/undo/{untbl.cxx,unins.cxx,undel.cxx}:   + CreateUndo now returns an opaque MetadatableUndo object 2009-02-27 13:15:44 +0100 mst  r268587 : - sw/inc/ndtxt.hxx, sw/source/core/doc/docfmt.cxx,   sw/source/core/text/{itratr.cxx,porlay.cxx},   sw/source/core/txtnode/{txtedt.cxx,ndtxt.cxx,thints.cxx}:   + clean up SwTxtNode: fix casts, prefix members   + factor out inline function SwTxtNode::TryDeleteSwpHints() 2009-02-27 13:14:30 +0100 mst  r268586 : - svx/inc/svx/emphitem.hxx:   + fix borken header guard 2009-02-27 13:13:56 +0100 mst  r268585 : - sfx2/source/bastyp/progress.cxx:   + fix use of compiler specific macro 2009-02-27 11:00:32 +0100 mst  r268564 : - sw/inc/{txatbase.hxx,txtatr.hxx,txtinet.hxx,txtfld.hxx,txtftn.hxx,     txtflcnt.hxx,txttxmrk.hxx,txtrfmrk.hxx},   sw/source/core/txtnode/{atrtox.cxx,atrref.cxx,atrflyin.cxx,atrftn.cxx,     txtatr2.cxx,txatbase.cxx,atrfld.cxx,txtedt.cxx},   sw/source/core/text/atrstck.cxx, sw/source/core/access/acchyperlink.cxx,   sw/source/core/doc/visiturl.cxx, sw/source/ui/wrtsh/wrtsh2.cxx:   + clean up SwTxtAttr and its subclasses: remove/fix casts, prefix members   + SwTxtINetFmt: remove unused member bColor - sw/source/core/text/txtfld.cxx:   + move SwTxtFld methods to atrfld.cxx 2009-02-27 10:58:44 +0100 mst  r268563 : - sfx2/inc/sfx2/sfxbasemodel.hxx:   + don't privately inherit BaseMutex, ScModelObj wants to access it 2009-02-27 10:58:02 +0100 mst  r268562 : - xmloff/source/core/{RDFaExportHelper.cxx,RDFaImportHelper.cxx}:   + arrrgh!!! someone thought it would be a good idea to have 2 different     versions of boost in external! and they're NOT compatible!!!     insert an ugly fragile hack that maybe works with both... 2009-02-26 17:42:26 +0100 mst  r268544 : - comphelper/inc/comphelper/storagehelper.hxx.   sfx2/source/doc/DocumentMetadataAccess.cxx:   +  someone made IsValidZipEntryFileName a static method and didn't tell me 2009-02-26 15:52:56 +0100 mst  r268529 : redland: split up patches 2009-02-26 13:17:56 +0100 mst  r268509 : migration of cws odfmetadata2 from CVS (resync to m42): module sw #i95863# - sw/inc/segdefs{,_}.hxx:   + remove obsolete files - sw/source/ui/inc/itemdef.hxx:   + remove itemdef.hxx - sw/source/ui/app/[apphdl.cxx,docsh.cxx}, sw/source/ui/misc/glshell.cxx,   sw/source/ui/shells/*.cxx, sw/source/ui/uiview/*.cxx, sw/source/ui/web/*.cxx:   + use sfx2/msg.hxx instead of itemdef.hxx - sw/source/core/edit/eddel.cxx:   + @ JP: SwEditShell::Replace:     you're right, deleting the text to be replaced first, and then inserting     a space, and then replacing that space is unnecessary.     whew, i'm so happy that we finally answered that question after 11 years. - sw/inc/edimp.hxx:   + remove FOREACHCURSOR_START, FOREACHCURSOR_END - sw/inc/{swcrsr.hxx,unocrsr.hxx,viscrs.hxx},   sw/source/core/crsr/{crsrsh.cxx,swcrsr.cxx,trvlreg.cxx,trvltbl.cxx,     unocrsr.cxx,viscrs.cxx},   sw/source/core/doc/{docbm.cxx,doccorr.cxx},   sw/source/core/docnode/{ndtbl.cxx,ndtbl1.cxx},   sw/source/core/edit/editsh.cxx,   sw/source/core/frmedt/{fefly1.cxx,fetab.cxx,tblsel.cxx},   sw/source/core/layout/trvlfrm.cxx,   sw/source/core/unocore/{unochart.cxx,unoobj2.cxx,unoparagraph.cxx,     unoportenum.cxx,unotbl.cxx},   sw/source/core/view/vprint.cxx:   + remove the hideous  virtual operator SwFooCursor*   + make SwCursor::IsReadOnlyAvailable() virtual   + make SwUnoCrsr::Clone() virtual   + refactor SwCursor methods IsSelOver(), LeftRight(), UpDown(), GotoTable():     replace dynamic_cast<...>(this) with new virtual methods 2009-02-26 13:14:58 +0100 mst  r268508 : migration of cws odfmetadata2 from CVS (resync to m42): module sw - sw/source/filter/xml/swxml.cxx:   + XMLReader::Read: load RDF metadata of the ODF document - sw/source/filter/xml/wrtxml.cxx:   + SwXMLWriter::_Write: write RDF metadata of the ODF document if ODF >= 1.2 #i90620#: import xml:id in text tables (does not actually work yet) - sw/source/filter/xml/xmltbli{.hxx,.cxx}:   + SwXMLTableCellAttrTokens,aTableCellAttrTokenMap: add XML_TOK_TABLE_XMLID   + SwXMLTableCellContext_Impl::SwXMLTableCellContext_Impl:  attribute xml:id   + SwXMLTableCellContext_Impl::CreateChildContext:  attribute xml:id   + SwXMLTableColContext_Impl::SwXMLTableColContext_Impl:  attribute xml:id   + SwXMLTableContext::SwXMLTableContext:  attribute xml:id fix #i98530# - sw/inc/unoport.hxx, sw/source/core/unocore/unoport.cxx:   + SwXTextPortion: make constructor params const& - sw/source/core/unocore/unoportenum.cxx:   + refactor to remove some code duplication   + fix bug: paragraph w/out hints: bookmark before frame gets lost #i97274# handle invalid tables - sw/source/core/layout/tabfrm.cxx, sw/source/filter/xml/xmltbli.cxx:   + SwXMLTableContext::MakeTable():     check that the table actually contains cells,     and abort (removing the inserted table nodes) if not 2009-02-26 13:11:48 +0100 mst  r268507 : migration of cws odfmetadata2 from CVS (resync to m42): module sw refactor SwXTextRange and SwXParagraph - sw/inc/unoobj.hxx, sw/source/core/unocore/unoobj2.cxx:   + remove 3 constructors of SwXTextRange   + new method SwXTextRange::CreateParentXText   + refactor SwXTextRange::CreateTextRangeFromPosition and     SwXTextRange::getText - sw/inc/unoobj.hxx, sw/source/core/unocore/unoparagraph.cxx:   + SwXParagraph no longer uses a cursor; it registers directly at SwTxtNode   + replace SwXParagraph::GetCrsr with SwXParagraph::GetTxtNode - sw/source/core/unocore/unotext.cxx, sw/source/ui/uno/unotxvw.cxx:   + adapt to new SwXParagraph #i90620# - sw/inc/SwMetadatable.hxx,   sw/source/core/doc/SwMetadatable.cxx:   + new files: base classes sw::Metadatable and sw::MetadatableMixin;     also, 2 implementations of IXmlIdRegistry:     sw::XmlIdRegistryDocument and sw::XmlIdRegistryClipboard   + setMetadataReference: handle empty stream name as auto-detect - sw/source/core/doc/makefile.mk:   + add SwMetadatable add a XmlIdRegistry to SwDoc - sw/inc/doc.hxx:   + SwDoc: add member m_pXmlIdRegistry, method GetXmlIdRegistry() - sw/source/core/doc/docnew.cxx:   + initialize XmlIdRegistry in SwDoc::GetXmlIdRegistry, not in constructor,     because the constructor is not told whether the SwDoc is a clipboard - sw/inc/docsh.hxx, sw/source/ui/app/docsh.cxx:   + SwDocShell: override GetXmlIdRegistry() #i91563#: make the SwTxtNode metadatable - sw/inc/ndtxt.hxx   + SwTxtNode inherits sw::Metadatable - sw/inc/unoobj.hxx, sw/source/core/unocore/unoparagraph.cxx:   + SwXParagraph inherits sw::MetadatableMixin #i91563#: handle SwTxtNode's metadata for delete - sw/source/core/txtnode/ndtxt.cxx:   + SwTxtNode::SplitCntntNode: handle XmlId   + SwTxtNode::JoinNext: merge XmlIds - sw/source/core/doc/docedt.cxx:   + lcl_GetJoinFlags: document postcondition   + SwDoc::Delete: remove XmlId only if SwTxtNode _becomes_ empty #i91563#: handle SwTxtNode's metadata for delete with undo - sw/inc/undobj.hxx   + SwUndoDelete: new members m_pMetadataUndoStart, m_pMetadataUndoEnd - sw/source/core/undo/undel.cxx:   + SwUndoDelete::SaveCntnt: save XmlIds for start and end SwTxtNode   + SwUndoDelete::SaveCntnt: remove XmlId only if SwTxtNode _becomes_ empty   + SwUndoDelete::Undo: restore saved XmlIds for start and end SwTxtNode - sw/source/core/docnode/ndcopy.cxx:   + SwTxtNode::MakeCopy: register copy at XmlIdRegistry #i91563#: handle SwTxtNode's metadata for find/replace with undo - sw/source/core/undo/unins.cxx:   + _UnReplaceData: rename members: add prefix m_   + _UnReplaceData: new members m_pMetadataUndoStart, m_pMetadataUndoEnd   + _UnReplaceData::_UnReplaceData: save XmlIds for start and end SwTxtNode   + _UnReplaceData::Undo: restore saved XmlIds for start and end SwTxtNode #i91563#: handle SwTxtNode's metadata for table-to-text with undo - sw/source/core/undo/untbl.cxx:   + SwTblToTxtSave: rename members: add prefix m_   + SwTblToTxtSave: new members m_pMetadataUndoStart, m_pMetadataUndoEnd   + SwTblToTxtSave::SwTblToTxtSave: save XmlIds for start and end SwTxtNode   + SwTblToTxtSave::SwTblToTxtSave, SwNodes::UndoTableToText:     always store the index of the first SwTxtNode in the cell, instead of     the index of the first SwTxtNode in case of the first cell in a row,     and the cell start node in other cases   + SwNodes::UndoTableToText: restore saved XmlIds for start and end SwTxtNode - sw/source/core/docnode/ndtbl.cxx:   + lcl_DelBox: simplify for refactored start index handling in SwTblToTxtSave 2009-02-26 13:02:28 +0100 mst  r268505 : migration of cws odfmetadata2 from CVS (resync to m42): module sd - sd/source/ui/table/tableobjectbar.cxx,sd/source/ui/view/*.cxx:   + remove invocations of SFX_DECL_TYPE - sd/source/ui/slideshow/SlideShowRestarter.cxx,   sd/source/ui/toolpanel/LayoutMenu.cxx,   sd/source/ui/unoidl/DrawController.cxx,   sd/source/ui/view/{ViewShellBase.cxx,ViewTabBar.cxx,frmview.cxx}:   + fix abuses of comphelper_getProcessComponentContext (missing release) 2009-02-26 13:01:24 +0100 mst  r268504 : migration of cws odfmetadata2 from CVS (resync to m42): module starmath - starmath/source/document.cxx:   + don't touch SfxObjectShell's privates 2009-02-26 13:00:37 +0100 mst  r268503 : migration of cws odfmetadata2 from CVS (resync to m42): module sfx2 #i90620# - sfx2/inc/sfx2/XmlIdRegistry.hxx:   + new file: interfaces sfx2::IXmlIdRegistry and sfx2::IXmlIdRegistrySupplier     and a couple of utility functions - sfx2/inc/sfx2/DocumentMetadataAccess.hxx,   sfx2/source/doc/DocumentMetadataAccess.cxx:   + new class sfx2::DocumentMetadataAccess, implements XDocumentMetadataAccess   + the URI of the DocumentMetadataAccess is now the URI from which the     document was loaded; for a new document, use a vnd.sun.star.tdoc URI   + add new function sfx2::createBaseURI()   + prevent using reserved file names   + try not to recurse into embedded subdocuments - sfx2/source/doc/makefile.mk:   + add DocumentMetadataAccess - sfx2/util/makefile.mk:   + link libsfx2 against libxml2 (needed for xmlValidateNCName) - sfx2/source/doc/makefile.mk:   + add LIBXML_CFLAGS to CFLAGS - sfx2/prj/build.lst:   + add dependence on libxml2 - sfx2/prj/d.lst:   + add XmlIdRegistry.hxx, DocumentMetadataAccess.hxx - sfx2/inc/sfx2/objsh.hxx, sfx2/source/doc/objxtor.cxx:   + make SfxObjectShell's members private   + new method SfxObjectShell::GetAutoStyleFilterIndex   + SfxObjectShell inherits sfx2::IXmlIdRegistrySupplier - sfx2/source/dialog/templdlg.cxx, sfx2/source/doc/sfxbasemodel.cxx:   + don't touch SfxObjectShell's privates - sfx2/inc/sfx2/sfxbasemodel.hxx, sfx2/source/doc/sfxbasemodel.cxx:   + SfxBaseModel inherits BaseMutex instead of IMPL_SfxBaseModel_MutexContainer   + SfxBaseModel implements additional interface XDocumentMetadataAccess   + IMPL_SfxBaseModel_DataContainer has new member:     a sfx2::DocumentMetadataAccess   + implementation of XDocumentMetadataAccess forwards to     the sfx2::DocumentMetadataAccess member - sfx2/qa/complex/DocumentMetadataAccessTest.java,   sfx2/qa/complex/{tests.sce,makefile.mk},   sfx2/qa/complex/testdocuments/TESTRDFA.odt:   + add complex test: DocumentMetadataAccessTest   + add RDFa test document #i95863# - sfx2/inc/sfx2/dinfdlg.hxx, sfx2/source/dialog/dinfdlg.cxx:   + refactor SfxDocumentItem so it no longer requires a XDocumentInfo   + move struct CustomProperty to implementation file   + remove class SfxDocumentUserPage   + QueryValue,PutValue: remove MID_DOCINFO_FIELD* - sfx2/source/doc/objserv.cxx:   + adapt to SfxDocumentItem change - sfx2/inc/sfx2/sfx.hrc, sfx2/sdi/sfxslots.sdi, sfx2/inc/sfx2/msg.hxx:   + remove MID_DOCINFO_FIELD*   + put all invocations of SFX_DECL_TYPE in msg.hxx, and undef SFX_DECL_TYPE - sfx2/source/doc/objxtor.cxx:   + fix abuses of comphelper_getProcessComponentContext (missing release) - sfx2/source/doc/docfile.cxx:   + SfxMedium::SfxMedium: don't dereference NULL, throw exception instead - sfx2/source/doc/objstor.cxx:   + SfxObjectShell::DoLoad: fix bug: DocumentBaseURI is not initialized 2009-02-26 12:58:07 +0100 mst  r268502 : migration of cws odfmetadata2 from CVS (resync to m42): module xmloff #i90620#: implement RDFa import (interface change) - xmloff/inc/xmloff/xmlimp.hxx. xmloff/source/core/xmlimp.cxx:   + make SvXMLImport::GetAbsoluteReference() const   + add SvXMLImport::GetComponentContext()   + SvXMLImport::_InitCtor(): add RDFa namespace   + add SvXMLImport::AddRDFa()   + SvXMLImport::endDocument() inserts RDFa into document repository - xmloff/inc/xmloff/xmltoken.hxx, xmloff/source/core/xmltoken.cxx:   + new tokens for RDFa: XML_ABOUT, XML_DATATYPE - xmloff/inc/RDFaImportHelper.hxx, xmloff/source/core/RDFaImportHelper.cxx:   + new class RDFaImportHelper   + adapt the code to the bleak reality of broken C++ implementations   + handle empty xhtml:about attributes properly, which are actually     valid relative URIs   + work around broken SvXMLImport::GetAbsoluteReference - xmloff/source/core/makefile.mk:   + add RDFaImportHelper.cxx #i90620#: implement RDFa export - xmloff/inc/xmloff/xmlexp.hxx, xmloff/source/core/xmlexp.cxx:   + add SvXMLExport::EnsureNamespace(), and a stack of namespace maps   + add SvXMLExport::GetComponentContext()   + add SvXMLExport::AddAttributesRDFa() - xmloff/inc/RDFaExportHelper.hxx, xmloff/source/core/RDFaExportHelper.cxx:   + new class RDFaExportHelper   + don't use std::map::data_type, which is actually called     std::map::mapped_type by libstdc++ - xmloff/source/core/makefile.mk:   + add RDFaExportHelper.cxx #i91563# - xmloff/inc/xmloff/txtimp.hxx, xmloff/source/text/txtimp.cxx:   + XMLTextPAttrTokens: add RDFa tokens - xmloff/source/text/txtparai{.hxx,.cxx}:   + import RDFa for text:p - xmloff/source/text/txtparae.cxx:   + export RDFa for text:p interface change: use XHTML namespace instead of RDFA - xmloff/inc/xmlnmspe.hxx, xmloff/inc/xmloff/xmltoken.hxx,   xmloff/source/core/{xmltoken.cxx,xmlimp.cxx,xmlexp.cxx,RDFaExportHelper.cxx},   xmloff/source/text/txtimp.cxx:   + use XHTML namespace instead of RDFA #i91565#, #i91566#: (preliminary) import for text:meta, text:meta-field - xmloff/source/text/txtparai.cxx:   + new class XMLMetaImportContextBase with subclasses to import     text:meta and text:meta-field - xmloff/source/text/XMLTextMarkImportContext.cxx:   + change XMLTextMarkImportContext::CreateAndInsertMark to handle marks     with no name (text:meta) #i91565#, #i91566#: (preliminary) export for text:meta, text:meta-field - xmloff/inc/txtflde.hxx, xmloff/source/text/txtflde.cxx:   + add FIELD_ID_META to FieldIdEnum   + new method XMLTextFieldExport::ExportMetaField()   + change XMLTextFieldExport::ExportField{,AutoStyle,Helper}     to take additional parameter for progress bar - xmloff/inc/xmloff/txtparae.hxx, xmloff/source/text/txtparae.cxx:   + make XMLTextParagraphExport::exportTextRangeEnumeration() public   + new method XMLTextParagraphExport::exportMeta() #i90620# - xmloff/inc/xmloff/xmlimp.hxx, xmloff/source/core/xmlimp.cxx,   xmloff/inc/xmloff/xmlexp.hxx, xmloff/source/core/xmlexp.cxx:   + rename SvXML{Im,Ex}port::GetStreamPath() to GetStreamName()   + fix xml:id {im,ex}port for embedded documents and non-packages   + adapt to API change: XMetadatable #i90620# GRDDL - xmloff/inc/xmlnmspe.hxx, xmloff/inc/xmloff/xmltoken.hxx,   xmloff/source/core/{xmltoken.cxx,xmlexp.cxx}:   + add GRDDL namespace   + add token XML_TRANSFORMATION   + add grddl:transformation attribute to root elements for meta.xml,     content.xml and styles.xml 2009-02-26 12:54:40 +0100 mst  r268501 : migration of cws odfmetadata2 from CVS (resync to m42): module unoxml #i90620# - unoxml/source/rdf/librdf_repository.cxx:   + librdf_Repository::importGraph: allocate buffer sized length of stream   + switch from one librdf_world per repository to a single static world     because redland has global variables with a brain-damaged life-cycle...   + exportGraph: use new raptor 1.4.18 feature to disable writing     an xml:base attribute in RDF/XML files - unoxml/source/rdf/librdf_repository.cxx:   unoxml/qa/complex/RDFRepositoryTest.java:   + adapt to predicate is URI change   + adapt to RDFa API change   + adapt to API change: RDFa has multiple predicates...   + adapt to API change: XMetadatable derives from XURI   + allow xhtml:datatype without xhtml:content   + adapt to API change: attribute MetadataReference is StringPair - unoxml/source/rdf/CURI.cxx:   + add some more URI constants 2009-02-26 12:53:32 +0100 mst  r268500 : migration of cws odfmetadata2 from CVS (resync to m42): module package - package/inc/ImplValidCharacters.hxx:   + remove (moved to comphelper) 2009-02-26 12:52:49 +0100 mst  r268499 : migration of cws odfmetadata2 from CVS (resync to m42): module comphelper - comphelper/inc/comphelper/processfactory.hxx,   comphelper/source/processfactory/processfactory.cxx:   + add getProcessComponentContext()   + change return type of comphelper_getProcessComponentContext to Reference - comphelper/inc/comphelper/stl_types.hxx:   + add OUStringBufferAppender   + add algorithm intersperse - comphelper/source/misc/string.cxx:   + rewrite convertCommaSeparated with intersperse and OUStringBufferAppender - comphelper/inc/comphelper/stlunosequence.hxx:   + fix bug: begin() on empty sequence != end() 2009-02-26 12:50:47 +0100 mst  r268498 : migration of cws odfmetadata2 from CVS (resync to m42): module offapi #i96209# - offapi/com/sun/star/text/fieldmaster/*.idl:   + rename module from FieldMaster to fieldmaster - offapi/type_reference/{typelibrary_history.txt,types.rdb}:   + update reference types.rdb #i90620# - offapi/com/sun/star/rdf/{XMetadatable.idl,XDocumentMetadataAccess.idl}:   + API change: XMetadatable derives from XURI   + API change: replace XmlId (string) with MetadataReference (StringPair) - offapi/com/sun/star/rdf/{Statement.idl,XDocumentRepository.idl,   XNamedGraph.idl,XRepository.idl}:   + the predicate of a statement is a URI, not a Resource - offapi/com/sun/star/rdf/XDocumentMetadataAccess.idl:   + rename: s/Package/Document/   + remove uuid   + remove everything related to mapping   + graph names are now generated from base URI and file names   + load methods: improve error handling with XInteractionHandler - offapi/com/sun/star/rdf/XDocumentRepository.idl:   + change: RDFa permits using multiple predicates in one attribute   + setStatementRDFa: subject is now XResource, object is now XMetadatable - offapi/com/sun/star/rdf/URIs.idl:   + add some more URI constants - offapi/com/sun/star/rdf:   + fix @since tags and replace <method> with <member> 2009-02-26 12:47:24 +0100 mst  r268497 : migration of cws odfmetadata2 from CVS (resync to m42): module redland fix #i93768# - redland/raptor-1.4.17.patch, redland/raptor/makefile.mk:   + disable GRDDL parser to prevent call to libxslt     xsltSetDefaultSecurityPrefs, which breaks xmlhelp - redland/raptor/makefile.mk, redland/raptor-1.4.17.patch,   redland/raptor-1.4.18.patch:   + upgrade raptor to 1.4.18   + deactivate serializer for RSS/Atom (does not build) - redland/rasqal/makefile.mk, redland/rasqal-0.9.15.patch,   redland/rasqal-0.9.16.patch,   + upgrade rasqal to 0.9.16 - redland/redland/makefile.mk, redland/redland-1.0.7.patch,   redland/redland-1.0.8.patch:   + upgrade redland to 1.0.8 - redland/redlandversion.mk:   + the librasqal SONAME has changed


2009-06-29  Release Engineers  <releng@openoffice.org>  [14644b64441ef8c6ebfce06153e420542cfc563e]

Create DEV300_m51 milestone tag from trunk@273467


2009-06-05  Kurt Zenker  <kz@openoffice.org>  [172b9348d466857fdea6467cca694ff444a725fe]

CWS-TOOLING: integrate CWS dba32b 2009-06-03 14:58:08 +0200 fs  r272581 : #i102439# 2009-05-29 13:56:18 +0200 fs  r272456 : remove the sub form when the 'add subform' setting changes from <true/> to <false/>, not only its controls 2009-05-29 13:19:27 +0200 fs  r272454 : display '(Default)' instead of an empty string when a control has the default font 2009-05-28 20:49:18 +0200 fs  r272428 : #i98162# getFirstSelectedValue: do not return reference to a temporary 2009-05-27 15:30:22 +0200 msc  r272353 : #102303# 2009-05-26 13:03:06 +0200 fs  r272295 : spelling 2009-05-26 12:59:54 +0200 fs  r272294 : merge m48 version to get latest cygwin related fixes 2009-05-25 14:02:06 +0200 fs  r272239 : remove references to local files, needed for debugging sessions only 2009-05-25 14:01:16 +0200 fs  r272238 : #i102021# ensure members such as bNumberFormat are initialized before actually returning them 2009-05-25 13:10:20 +0200 fs  r272236 : #i10000# reset ENABLE_EVOAB2 2009-05-22 06:44:45 +0200 oj  r272167 : #i99104# add import handler for calc-sett 2009-05-22 06:42:27 +0200 oj  r272166 : #i99104# impl NullDate as member 2009-05-22 06:36:22 +0200 oj  r272165 : #i99104# handle nulldate from parent model 2009-05-22 06:33:13 +0200 oj  r272164 : #i99104# export and import calculation-settings and nulldate 2009-05-22 06:27:50 +0200 oj  r272163 : #i99104# export and import calculation-settings and nulldate 2009-05-20 13:29:58 +0200 oj  r272118 : #i99911# handle invalid name 2009-05-20 13:28:49 +0200 oj  r272117 : #i101261# handle different rowsets 2009-05-20 11:29:55 +0200 msc  r272111 : #i100000# 2009-05-20 11:28:27 +0200 msc  r272110 : merge in change from dba32a 2009-05-20 11:27:38 +0200 msc  r272109 : #102082# CTRL + C does not work 2009-05-20 09:43:36 +0200 oj  r272106 : clean up includes 2009-05-20 09:32:15 +0200 oj  r272105 : #i99060# merge error resovled now VERTICAL_ALIGN is in both stmt 2009-05-20 08:37:21 +0200 msc  r272104 : add workaround for issue #102010# 2009-05-20 08:10:12 +0200 oj  r272103 : #i99104# use numberformatkey 2009-05-20 08:07:02 +0200 oj  r272102 : #i99104# use column info from rowset 2009-05-20 08:04:43 +0200 oj  r272101 : #i102032# use a special column type where prec and scale are the values currently set at the column 2009-05-20 08:03:04 +0200 oj  r272100 : #i102032# correct type info, we have to use SQL defined type names 2009-05-19 10:27:02 +0200 oj  r272061 : #i99104# export null-date 2009-05-19 08:26:53 +0200 oj  r272056 : #i99104# export null-date 2009-05-18 13:15:10 +0200 msc  r272014 : add issue #102019# 2009-05-18 11:33:07 +0200 msc  r272005 : add issue #102019# 2009-05-18 08:59:45 +0200 msc  r271996 : add workaroud for issue #102010# 2009-05-15 10:21:24 +0200 msc  r271929 : #101944# 2009-05-11 21:18:30 +0200 fs  r271792 : #i99914# 2009-05-08 13:52:06 +0200 oj  r271715 : #i96423# remember column span 2009-05-08 11:26:19 +0200 oj  r271708 : #i98605# impl new scale mode 2009-05-08 10:33:35 +0200 fs  r271706 : SendUserCall: only call into the shape notification routine for UserCall types where this is necessary (performance issue) 2009-05-07 20:52:44 +0200 fs  r271698 : outsource ShapeProperty from shapepropertynotifier.hxx 2009-05-07 20:43:33 +0200 fs  r271697 : #i99056# use notifyShapePropertyChange, instead of getShapePropertyChangeNotifier - the latter throws if no shape exists, yet 2009-05-07 20:33:58 +0200 fs  r271696 : #i99056# +notifyShapePropertyChange: allow notifying chages without checking whether there actually already exists an SvxShape 2009-05-07 16:22:15 +0200 fs  r271679 : #i10000# cygwin needs quotes around the classpath 2009-05-07 16:21:37 +0200 fs  r271678 : #i10000# cygwin needs quotes around the classpath 2009-05-07 16:01:11 +0200 oj  r271677 : #i99914# notify parent handler 2009-05-07 15:54:54 +0200 fs  r271676 : #i10000# cygwin needs some quoting 2009-05-07 14:49:48 +0200 oj  r271672 : #i99277# quote alias name 2009-05-07 14:48:12 +0200 oj  r271671 : #i92538# add ~ in front of type 2009-05-07 14:37:13 +0200 oj  r271667 : #i99118# change type from char to varchar 2009-05-07 14:36:23 +0200 oj  r271666 : #i99118# clear dest columns when changing to create new table 2009-05-07 13:35:32 +0200 oj  r271657 : #i94467# handle type 0 as double as well 2009-05-07 13:20:49 +0200 oj  r271655 : i99743# setNull when varchar is no text 2009-05-07 12:58:06 +0200 fs  r271651 : initialize the SdrObject's property change notifier after the ctor, if necessary 2009-05-07 11:47:18 +0200 fs  r271647 : #i10000# 2009-05-07 10:57:16 +0200 fs  r271639 : OPropertyBrowserController::propertyChange: care for the current property state, too, and properly forward it to the UI 2009-05-07 10:18:14 +0200 fs  r271636 : onNewComponent: do not ask the map for grid columns, it will throw 2009-05-07 10:09:55 +0200 fs  r271634 : #i101623# 2009-05-07 09:53:44 +0200 fs  r271631 : #i101622# 2009-05-06 21:55:53 +0200 fs  r271615 : #i10000# 2009-05-06 21:10:42 +0200 fs  r271611 : #i10000# 2009-05-06 13:11:48 +0200 fs  r271583 : #i10000# 2009-05-05 22:29:31 +0200 fs  r271559 : proper assertion message 2009-05-05 22:29:03 +0200 fs  r271558 : diagnostics 2009-05-05 22:16:16 +0200 fs  r271557 : #i10000# 2009-05-05 13:50:32 +0200 fs  r271513 : #i10000# 2009-05-05 10:21:50 +0200 fs  r271503 : #i10000# 2009-05-05 09:30:26 +0200 fs  r271501 : why did those survive the rebase -C step? 2009-05-05 09:18:12 +0200 fs  r271500 : #i10000# 2009-05-04 17:08:17 +0200 fs  r271475 : CWS-TOOLING: rebase CWS dba32b to trunk@271427 (milestone: DEV300:m47) 2009-05-04 14:51:26 +0200 fs  r271456 : line ends 2009-04-30 15:55:27 +0200 fs  r271418 : NewURL -> PublicConnectionURL 2009-04-22 21:18:34 +0200 fs  r271141 : #i100944# 2009-04-22 09:12:26 +0200 oj  r271071 : #i101261# little code change 2009-04-22 09:11:43 +0200 oj  r271070 : #i101261# only ask for parameters which aren't set before 2009-04-22 09:11:25 +0200 oj  r271069 : #i101261# new grabage container for nodes 2009-04-22 09:11:02 +0200 oj  r271068 : #i101261# new grabage container for nodes 2009-04-22 09:10:44 +0200 oj  r271067 : #i101261# new grabage container for nodes 2009-04-22 09:10:21 +0200 oj  r271066 : #i101261# only ask for parameters which aren't set before 2009-04-22 09:08:24 +0200 oj  r271065 : #i101261# only ask for parameters which aren't set before 2009-04-22 09:07:25 +0200 oj  r271064 : #i101261# only ask for parameters which aren't set before 2009-04-22 08:49:07 +0200 oj  r271062 : #i77501# preview only when needed 2009-04-22 08:45:44 +0200 oj  r271061 : #i101261# new prop max rows 2009-04-22 08:44:18 +0200 oj  r271060 : #i101261# create dataprovider earlier to avoid the wrong legend in chart 2009-04-22 08:42:48 +0200 oj  r271059 : #i101261# handle parameter 2009-04-17 21:00:23 +0200 fs  r270954 : #i98350# 2009-04-17 13:54:19 +0200 fs  r270942 : #i99565# 2009-04-17 13:51:34 +0200 fs  r270940 : #i101153# only localize the (potentially) localizable properties when there really is support at the control model 2009-04-17 11:43:14 +0200 fs  r270932 : removed superfluous include 2009-04-17 10:10:15 +0200 fs  r270926 : #i10000# 2009-04-17 10:02:36 +0200 fs  r270925 : #i10000# 2009-04-17 09:15:13 +0200 fs  r270918 : #i99056# some more refactoring of the recently introduced property change notification mechanism for UNO shapes 2009-04-17 09:14:56 +0200 fs  r270917 : #i99056# some more refactoring of the recently introduced property change notification mechanism for UNO shapes 2009-04-17 09:13:25 +0200 fs  r270915 : #i99056# some more refactoring of the recently introduced property change notification mechanism for UNO shapes 2009-04-17 08:30:34 +0200 fs  r270914 : removed unotools/servicehelper.hxx in favour of the (duplicated) comphelper/servicehelper.hxx 2009-04-16 21:05:25 +0200 fs  r270903 : #i10000# 2009-04-16 20:43:43 +0200 fs  r270902 : #i99056# shape notification outsourced to the SdrObject, this is what all other shape implementations (which only aggregate an SvxShape) have access to, too 2009-04-16 15:57:36 +0200 fs  r270891 : #i99056# make SetUnoControlModel virtual 2009-04-16 15:44:02 +0200 fs  r270890 : #i99056# let the ScShapeObj notify changes in its Anchor property 2009-04-16 15:36:47 +0200 fs  r270889 : #i99056# enable the sheet anchor type property, too 2009-04-16 15:33:45 +0200 fs  r270887 : #i99056# shape notification outsourced to the SdrObject, this is what all other shape implementations (which only aggregate an SvxShape) have access to, too 2009-04-15 14:53:13 +0200 fs  r270844 : #i10000# 2009-04-15 13:08:29 +0200 fs  r270836 : #i10000# 2009-04-15 12:28:14 +0200 fs  r270832 : #i10000# 2009-04-15 10:59:14 +0200 fs  r270827 : #i10000# 2009-04-15 09:41:08 +0200 oj  r270823 : fix issues found with findbugs and pmd 2009-04-14 21:08:04 +0200 fs  r270808 : #i99056# implement SheetAnchorType - now the only thing missing to enable it is the proper notification when it is modified 2009-04-14 17:09:00 +0200 fs  r270799 : #i99056# implement XServiceInfo for the ScShapeObj 2009-04-14 17:07:55 +0200 fs  r270798 : #i99056# implement TextAnchorType, partially implement SheetAnchorType 2009-04-14 15:54:05 +0200 fs  r270786 : #i99056# SwXShape: notify changes of the AnchorType property 2009-04-14 15:47:32 +0200 fs  r270785 : #i99056# deliver shapepropertynotifier.hxx 2009-04-14 15:46:54 +0200 fs  r270784 : diagnostics 2009-04-14 15:08:28 +0200 fs  r270781 : #i99056# outsourced the SvxShape's property change notification code into a dedicated class 2009-04-14 14:41:09 +0200 fs  r270773 : #i99056# outsourced the SvxShape's property change notification code into a dedicated class 2009-04-14 14:37:23 +0200 fs  r270772 : in dtor, remove the properties from the temporary component context 2009-04-14 14:36:34 +0200 fs  r270771 : getWeakUnoShape made const 2009-04-14 12:23:08 +0200 oj  r270757 : #i101064# add missing braces 2009-04-14 12:21:25 +0200 oj  r270756 : #i101065# add braces for gcc 4.3.2 2009-04-14 12:17:45 +0200 oj  r270755 : #i101059# add dep for manifest 2009-04-09 12:06:58 +0200 oj  r270686 : #i93100# use OptimalSize from control to get height 2009-04-08 09:56:55 +0200 oj  r270619 : #i92537# handle calculations in the select columns as well 2009-04-08 09:30:39 +0200 oj  r270615 : #i96657# throw error message when the key doesn't have any columns 2009-04-07 12:08:26 +0200 oj  r270592 : #i77501# impl preview of the executed report 2009-04-07 12:01:56 +0200 oj  r270591 : #i77501# impl preview of the executed report 2009-04-07 11:41:03 +0200 oj  r270590 : #i77501# impl preview of the executed report 2009-04-07 11:39:32 +0200 oj  r270589 : #i77501# impl preview of the executed report 2009-04-07 11:29:25 +0200 oj  r270588 : #i77501# convert dos to unix lineends 2009-04-07 11:28:23 +0200 oj  r270587 : #i77501# impl preview of the executed report 2009-04-07 11:16:50 +0200 oj  r270586 : #i77501# impl preview of the executed report 2009-04-07 11:16:00 +0200 oj  r270585 : #i77501# impl preview of the executed report 2009-04-07 11:15:44 +0200 oj  r270584 : #i77501# impl preview of the executed report 2009-04-07 11:15:28 +0200 oj  r270583 : #i77501# impl preview of the executed report 2009-04-07 11:15:04 +0200 oj  r270582 : #i77501# impl preview of the executed report 2009-04-06 15:38:54 +0200 fs  r270559 : merge changes from CWS dba32a herein 2009-04-03 15:56:16 +0200 fs  r270494 : ImpSvMEdit::Resize: do multiple iterations, if necessary 2009-04-03 14:35:49 +0200 fs  r270487 : #i10000# 2009-04-03 13:17:16 +0200 fs  r270476 : #i99056# display geometry information for controls, too 2009-04-03 13:16:37 +0200 fs  r270475 : #i99056# better ordering of the geometry properties 2009-04-03 13:16:07 +0200 fs  r270473 : #i99056# now that SvxShape supports property change listeners, forward add/remove requests to it 2009-04-03 13:13:18 +0200 fs  r270472 : #i99056# at SvxShape, allow for PropertyChangeListeners for Size/Position 2009-04-03 09:29:27 +0200 oj  r270456 : #i94571# use correct prop name 2009-04-03 09:14:54 +0200 fs  r270451 : merge changes from CWS dba32a herein 2009-04-02 17:00:51 +0200 fs  r270424 : better diagnostics 2009-04-02 16:35:19 +0200 fs  r270421 : diagnostics 2009-04-02 16:34:50 +0200 fs  r270420 : #i99056# mxUnoShape not accessible anymore, use impl_setUnoShape instead 2009-04-02 16:32:48 +0200 fs  r270419 : #i99056# make getUnoShape cheaper: keep the pointer to the SvxShape all the time, so there's no need to ask for it in getUnoShape. As a consequence, we will later be able to use the pointer in scenarious where performance (potentially) matters 2009-04-02 16:31:13 +0200 fs  r270417 : merge changes from CWS dba32a herein 2009-04-02 16:23:16 +0200 fs  r270414 : merge changes from CWS dba32a herein 2009-04-02 14:10:35 +0200 fs  r270405 : #i10000# 2009-04-02 14:06:26 +0200 fs  r270404 : merge changes from CWS dba32a herein 2009-04-02 14:03:03 +0200 fs  r270401 : #i10000# 2009-04-02 13:58:13 +0200 fs  r270400 : #i10000# 2009-04-02 12:59:44 +0200 fs  r270397 : merge changes from CWS dba32a herein 2009-04-02 12:46:30 +0200 fs  r270396 : #i99056# let the form page maintain a mapping between control models and control shapes 2009-04-02 12:44:07 +0200 fs  r270395 : merge changes from CWS dba32a herein 2009-04-02 12:42:06 +0200 fs  r270394 : merge changes from CWS dba32a herein 2009-04-02 12:35:20 +0200 fs  r270393 : #i10000# precompiled header 2009-04-02 12:05:31 +0200 fs  r270392 : merge changes from CWS dba32a herein 2009-04-02 12:00:42 +0200 fs  r270391 : merge changes from CWS dba32a herein 2009-04-02 11:47:26 +0200 fs  r270390 : merge changes from CWS dba32a herein 2009-04-02 11:39:15 +0200 oj  r270389 : #i94467# foxpro impl several new types 2009-04-02 11:35:58 +0200 fs  r270387 : merge changes from CWS dba32a herein 2009-04-01 14:10:51 +0200 fs  r270329 : merge changes from CWS dba32a herein 2009-03-31 17:29:50 +0200 fs  r270290 : merge changes from CWS dba32a herein 2009-03-30 14:53:56 +0200 fs  r270233 : #i100417# don't set grid column widths to 0, but to <void/> 2009-03-30 12:31:03 +0200 oj  r270213 : #i100552# wrong orb used 2009-03-30 12:19:20 +0200 oj  r270212 : #i98303# convertlike corrected to sal_Unicode 2009-03-30 11:58:25 +0200 fs  r270210 : merge changes from CWS dba32a herein 2009-03-30 11:38:16 +0200 oj  r270205 : remove duplicate code from merge 2009-03-30 11:02:27 +0200 fs  r270202 : merge changes from CWS dba32a herein 2009-03-30 11:02:19 +0200 fs  r270201 : merge changes from CWS dba32a herein 2009-03-30 10:31:26 +0200 oj  r270200 : #i100665# only throw exception and do not drop table 2009-03-30 09:36:24 +0200 fs  r270195 : assertion text 2009-03-28 20:21:58 +0100 fs  r270187 : #ii10000# 2009-03-28 20:19:54 +0100 fs  r270186 : removed unused help ids 2009-03-28 20:19:40 +0100 fs  r270185 : removed unused help ids 2009-03-28 20:19:10 +0100 fs  r270184 : #i100237# +DefaultState/XReset 2009-03-28 00:29:29 +0100 fs  r270177 : CWS-TOOLING: rebase CWS dba32b to trunk@270033 (milestone: DEV300:m45) 2009-03-27 22:56:46 +0100 fs  r270173 : #i100237# DEFAULT_CHECKED -> DEFAULT_STATE 2009-03-27 22:55:52 +0100 fs  r270172 : #i100237# DefaultState property for buttons, enabled only when Toggle=Yes 2009-03-27 22:54:15 +0100 fs  r270171 : #i100237# DEFAULT_CHECKED -> DEFAULT_STATE 2009-03-27 22:53:54 +0100 fs  r270170 : #i100237# introduce a DefaultState property for buttons, which implies buttongs supporting XReset, which needed some refactoring 2009-03-27 13:31:41 +0100 fs  r270152 : ignore output paths 2009-03-27 11:23:44 +0100 fs  r270139 : tuned behavior with respect to invalid keys/values 2009-03-27 09:57:14 +0100 fs  r270136 : don't allow Double.NaN 2009-03-27 09:56:16 +0100 fs  r270135 : talk about Double.NaN 2009-03-26 12:14:30 +0100 fs  r270067 : removed unused parameter 2009-03-26 12:14:02 +0100 fs  r270066 : removed widening conversion when checking keys 2009-03-26 09:17:34 +0100 fs  r270053 : separated the enumerator functionality into a dedicated interface, this way not burdening XMap with it 2009-03-26 09:17:11 +0100 fs  r270052 : separated the enumerator functionality into a dedicated interface, this way not burdening XMap with it 2009-03-26 09:16:49 +0100 fs  r270051 : separated the enumerator functionality into a dedicated interface, this way not burdening XMap with it 2009-03-25 21:55:20 +0100 fs  r270044 : #i100541# properly calculat bNeedScrollBox 2009-03-25 12:56:17 +0100 fs  r270019 : renamed the previously introduced error condition 2009-03-25 12:11:48 +0100 fs  r270015 : #i100095# when the error messages contain non-trivial details (SQLState/ErrorCode), then always display the 'Details' button 2009-03-25 12:10:05 +0100 fs  r270012 : renamed the previously introduced error condition 2009-03-25 12:01:04 +0100 fs  r270011 : #i100095# when no address book (or respective profile) can be found, then use a dedicated ErrorCondition 2009-03-25 10:29:07 +0100 fs  r270003 : add missing localization 2009-03-25 10:23:12 +0100 fs  r270001 : in preparation of #i1000095#: rework the error handling, allow using css.sdb.ErrorCondition values, plus allow propagating the nsresult 2009-03-25 10:21:55 +0100 fs  r270000 : in preparation of #i1000095#: rework the error handling, allow using css.sdb.ErrorCondition values, plus allow propagating the nsresult 2009-03-20 23:05:38 +0100 fs  r269829 : XMap::getSize removed 2009-03-20 23:05:19 +0100 fs  r269828 : changes as suggested by sb 2009-03-20 23:04:56 +0100 fs  r269827 : enhanced documentation 2009-03-20 15:31:40 +0100 fs  r269815 : changes as suggested by sb 2009-03-20 13:23:52 +0100 oj  r269804 : #i92538# correct the zorder that fixedtext is infront of control 2009-03-20 12:59:38 +0100 oj  r269801 : #i94571# paraadjust now supports BLOCK 2009-03-20 12:58:11 +0100 oj  r269800 : #i94571# export style with data style 2009-03-20 12:57:05 +0100 oj  r269799 : #i94571# text align is now paraadjust 2009-03-20 12:37:02 +0100 fs  r269797 : enum keys only accepted if they have the exact type, not if they have *any* enum type 2009-03-20 12:28:31 +0100 fs  r269794 : some changes requested by sb 2009-03-20 08:52:47 +0100 fs  r269780 : doc 2009-03-20 07:37:31 +0100 oj  r269779 : #i99913# only notifiy when values are different 2009-03-20 07:36:58 +0100 oj  r269778 : #i99913# add undoenv as listener at the dataprovider 2009-03-19 22:52:52 +0100 fs  r269771 : added comment 2009-03-19 22:40:06 +0100 fs  r269770 : +testEnumeration 2009-03-19 22:39:41 +0100 fs  r269769 : implemented enumeration, getKeySet, and getValues. Should be finished now. 2009-03-19 14:01:01 +0100 oj  r269743 : #i99913# reset the modified state when selecting an object 2009-03-19 12:19:54 +0100 lla  r269739 : #i72390# cleanups 2009-03-19 09:25:27 +0100 fs  r269727 : #i10000# 2009-03-18 23:37:02 +0100 fs  r269708 : extended checks for value type acceptance 2009-03-18 23:36:41 +0100 fs  r269707 : fixed value type checks 2009-03-18 14:59:56 +0100 fs  r269678 : initial complex test case for the new css.container.Map implementation 2009-03-18 14:59:24 +0100 fs  r269677 : verifyExpectedException moved to base class (in complexlib), and renamed to assureException for consistency 2009-03-18 14:58:35 +0100 fs  r269676 : removed unused imports 2009-03-18 14:58:03 +0100 fs  r269675 : first implementation of the new css.container.Map service (not completed, yet) 2009-03-18 14:57:17 +0100 fs  r269674 : base class for UNO components, freeing you from some repeating work 2009-03-18 14:55:53 +0100 fs  r269672 : +assureException: call a given method with given parameters on a given object, ensure that a given exception is thrown by the method implementation 2009-03-18 14:54:58 +0100 fs  r269671 : +getComponentContext 2009-03-18 14:54:00 +0100 fs  r269670 : isEmpty returns a boolean, not a long 2009-03-18 14:14:43 +0100 oj  r269663 : #i99743# now text also supports null 2009-03-18 13:54:14 +0100 oj  r269660 : #i99223# remove check for 2 params 2009-03-18 13:33:35 +0100 oj  r269659 : #i99060# replace text::ParagraphVertAlign with style::VerticalAlignment 2009-03-18 13:32:18 +0100 oj  r269658 : #i99060# don't set void property when void isn't allowed 2009-03-18 13:31:11 +0100 oj  r269657 : #i99060# handle vertical alignment 2009-03-18 13:28:28 +0100 oj  r269656 : #i99060# remove unused elements from sytle 2009-03-18 09:35:42 +0100 lla  r269639 : #i72390# cleanups 2009-03-18 09:31:20 +0100 lla  r269638 : #i72390# add ButtonList 2009-03-18 09:30:46 +0100 lla  r269637 : #i72390# renamed interface 2009-03-18 09:30:15 +0100 lla  r269636 : #i72390# use ButtonList instead of ImageList 2009-03-18 09:29:05 +0100 lla  r269635 : #i72390# new ButtonList, cleanups 2009-03-18 09:26:34 +0100 lla  r269634 : #i72390# cleanups 2009-03-17 12:21:20 +0100 oj  r269590 : #i99222# remove assertion 2009-03-17 12:17:22 +0100 oj  r269589 : #i98605# impl scale mode 2009-03-17 12:10:42 +0100 oj  r269588 : #i98605# impl scale mode 2009-03-17 11:40:15 +0100 oj  r269584 : #i96944# doesn't create equation for shapes 2009-03-17 11:33:16 +0100 oj  r269583 : #i96423# switch calc from float to long 2009-03-16 15:19:18 +0100 fs  r269550 : #i41930# enable zoom for embedded/outplace documents 2009-03-16 14:25:54 +0100 oj  r269542 : #i93734# remove ContextSensitive 2009-03-16 14:21:58 +0100 oj  r269541 : #i99274# page header before group header 2009-03-16 14:18:23 +0100 oj  r269539 : #i99110# fix value type 2009-03-16 14:14:16 +0100 fs  r269537 : line ends 2009-03-16 14:11:06 +0100 fs  r269535 : line ends 2009-03-16 14:08:34 +0100 fs  r269534 : #i100087# (provided my np): allow for polymorphic types with more than one parameter 2009-03-16 12:30:31 +0100 oj  r269521 : compile error 2009-03-16 12:19:12 +0100 oj  r269519 : compile error 2009-03-16 10:39:28 +0100 oj  r269511 : compile error under linux with swap 2009-03-13 10:33:04 +0100 oj  r269462 : CWS-TOOLING: rebase CWS dba32b to trunk@269297 (milestone: DEV300:m43) 2009-03-12 14:37:25 +0100 fs  r269416 : interface SequenceOutputStreamTest is unneeded, and pollutes the namespace here :) 2009-03-12 14:35:07 +0100 fs  r269414 : not needed 2009-03-12 14:34:15 +0100 fs  r269413 : preparation for multiple tests in this module 2009-03-12 14:33:02 +0100 fs  r269412 : ShowTargets was moved from module integration.forms to module complexlib 2009-03-12 14:32:48 +0100 fs  r269411 : helper class for projects containing multiple complex test cases (and following a certain structure) 2009-03-12 14:00:14 +0100 fs  r269407 : proper module after the move 2009-03-12 13:59:10 +0100 fs  r269406 : superseded by ../makefile.mk 2009-03-12 13:47:38 +0100 fs  r269403 : not needed anymore 2009-03-12 13:45:46 +0100 fs  r269402 : moved, in preparation of adding more test cases here, with a common infrastructure 2009-03-12 13:45:07 +0100 fs  r269401 : moved from ../ 2009-03-12 13:43:59 +0100 fs  r269400 : moved to ./comphelper, in preparation of adding more test cases here, with a common infrastructure 2009-03-12 13:29:47 +0100 oj  r269396 : #i99914# set parent on dataprovider 2009-03-12 13:10:35 +0100 oj  r269393 : #i99832# check thrown exception and show error 2009-03-12 13:08:10 +0100 fs  r269392 : reorganizing tests 2009-03-12 12:52:55 +0100 oj  r269390 : #i99118# convert formatkey in numberformat 2009-03-12 12:34:53 +0100 fs  r269388 : new API tests 2009-03-12 12:29:05 +0100 fs  r269386 : Map not yet committed 2009-03-12 12:28:36 +0100 fs  r269385 : oops, forgot the SequenceInputStream during the previous refactoring 2009-03-12 12:12:39 +0100 oj  r269384 : #i99104# set HasCategories prop 2009-03-12 12:12:08 +0100 oj  r269383 : #i99104# check HasCategories even for internal dataprovider 2009-03-12 12:10:40 +0100 oj  r269382 : #i99104# set HasCategories prop 2009-03-12 10:51:49 +0100 fs  r269373 : #i10000# exception specifications 2009-03-12 10:49:18 +0100 fs  r269372 : #i10000# exception specifications 2009-03-12 10:44:02 +0100 fs  r269371 : #i10000# exception specifications 2009-03-12 10:30:55 +0100 fs  r269368 : refactored the UNO service registration in this module, using the helper classes provided by comphelper itself, so you have less effort when extending the list of to-be-registered components 2009-03-12 10:30:37 +0100 fs  r269367 : module-local includes 2009-03-12 07:05:54 +0100 oj  r269357 : #i99104# database dataprovider doesn't need dataranges and diagramdata 2009-03-11 10:58:28 +0100 oj  r269306 : #i99911# check if name of the report is a valid file name 2009-03-11 10:03:23 +0100 oj  r269299 : #i99666# the report is new when the HierarchicalDocumentName is empty 2009-03-10 11:32:45 +0100 oj  r269258 : #i99221# use fallback for language 2009-03-10 10:48:40 +0100 oj  r269255 : #i99433# now use OStringBuffer 2009-03-10 10:36:21 +0100 fs  r269252 : initial version of (X)Map 2009-03-10 09:52:23 +0100 oj  r269246 : #i99433# now use OStringBuffer 2009-03-10 08:56:13 +0100 oj  r269240 : #i99655# patch applied 2009-03-09 07:35:33 +0100 lla  r269058 : #i10000# wrong variable assignment fixed 2009-03-06 17:20:40 +0100 fs  r269030 : some explicit defaults 2009-03-06 17:20:30 +0100 fs  r269029 : #i98600# 2009-03-06 14:40:34 +0100 fs  r269009 : #i87692# during reload, prevent the document being modified just because of some control content changes ... 2009-03-06 12:52:20 +0100 lla  r268997 : #i10000# ambigous problem with FontWeight fixed 2009-03-06 11:39:32 +0100 fs  r268989 : #i10000# (approved by pl): use --without-t1-library configure option 2009-03-06 10:55:43 +0100 fs  r268986 : #i99953# depends on xmlscript module now 2009-03-06 10:54:04 +0100 fs  r268985 : #i99953# also adjust the event names found in dialogs embedded in the forms 2009-03-06 09:53:41 +0100 fs  r268977 : #i10000# 2009-03-06 09:30:41 +0100 lla  r268973 : #i10000# merge problems 2009-03-05 17:52:34 +0100 fs  r268932 : #i98593# for sub components which are actually controlled by a DocumentDefinition (aka XComponentSupplier aka XCommandProcessor), close them by executing the 'close' command, not by suspending/closing the controller (which cannot be intercepted) 2009-03-05 11:41:56 +0100 fs  r268889 : default the drop down line count for list/combo boxes to 20 2009-03-05 11:39:10 +0100 fs  r268887 : do not display empty error messages 2009-03-02 10:13:57 +0100 lla  r268639 : #i91541# CWS rebase m41 to m42 2009-03-02 09:06:27 +0100 lla  r268635 : #i10000# add ';' to strings 2009-02-26 11:18:00 +0100 fs  r268492 : reportdesign depends on REPORTBUILDER, not REPORTDESIGN 2009-02-26 10:11:38 +0100 lla  r268489 : CWS-TOOLING: rebase CWS dba32b to trunk@268395 (milestone: DEV300:m42) 2009-02-26 09:04:11 +0100 lla  r268488 : CWS-TOOLING: rebase CWS dba32b to trunk@268395 (milestone: DEV300:m42) 2009-02-24 12:09:13 +0100 lla  r268392 : #i91541# #i91542# cleanups 2009-02-24 08:08:06 +0100 lla  r268382 : merge all dba32a changes into dba32b 2009-02-24 07:14:55 +0100 lla  r268381 : merge all dba32a changes into dba32b 2009-02-23 21:44:28 +0100 fs  r268377 : oops ... don't tamper with m_aListSourceValues at the end of loadData 2009-02-23 20:57:05 +0100 fs  r268376 : #i98162# don't hold the values as strings, but as ORowSetValue, this way preserving their type, and being agnostic to different result/rowset implementations doing different to-string-conversations 2009-02-23 20:55:44 +0100 fs  r268375 : getObject: throwFunctionNotSupportedException, instead of silently returning NULL 2009-02-23 20:55:20 +0100 fs  r268374 : #i98162# some more supported types 2009-02-23 20:54:43 +0100 fs  r268373 : #i98162# +operator != 2009-02-20 09:35:39 +0100 fs  r268306 : #i99422# for a font, display the font name, the style, and the size 2009-02-20 09:33:45 +0100 fs  r268305 : #i99422# in the property browser, FONT supersedes CHARFONTNAME: the aggregated FormComponentHandler displays them more nicely now 2009-02-19 16:12:06 +0100 fs  r268293 : #i99372# recognize DataType::FLOAT as numeric 2009-02-19 15:43:12 +0100 fs  r268291 : #i99415# 2009-02-19 15:40:15 +0100 fs  r268290 : #i99242# lcl_firstFocussableControl: take disabled controls into account 2009-02-19 15:34:36 +0100 fs  r268289 : #i99396# properly decode the base name of the URL when using it as title 2009-02-19 15:19:05 +0100 fs  r268287 : #i98247#


2009-06-04  Kurt Zenker  <kz@openoffice.org>  [07ed4f89afb23db3c7d270c6d1519788fcb66aa1]

CWS-TOOLING: integrate CWS cmcfixes59 2009-05-18 10:10:11 +0200 cmc  r272001 : #i102012# remove extensions warnings, and set as warnings-free 2009-05-16 17:29:59 +0200 cmc  r271981 : #i101990# silence warning, logic is unchanged 2009-05-16 17:13:59 +0200 cmc  r271980 : #i100412 remove warning, logic is unchanged 2009-05-16 17:08:57 +0200 cmc  r271979 : #i100412 remove warning, logic is unchanged, matches comments for intent 2009-05-16 17:01:08 +0200 cmc  r271978 : #i86576# remove uncallable code 2009-05-16 15:41:46 +0200 cmc  r271977 : #i101988# fix up consts for warning-free


2009-05-12  Release Engineers  <releng@openoffice.org>  [98501c73b4e8a7832a67d6c4c78db092f9cb34f9]

Create DEV300_m48 milestone tag from trunk@271829


2009-05-07  Release Engineers  <releng@openoffice.org>  [58fa3df47996127a62b2e032a49aada193503726]

CWS-TOOLING: integrate CWS cmcfixes58 2009-05-04 13:51:10 +0200 cmc  r271450 : #i101533# latest sw warnings 2009-05-04 00:02:46 +0200 cmc  r271436 : #i101517# silence new warnings 2009-05-03 23:13:53 +0200 cmc  r271435 : #i101305# add that one back in 2009-05-02 16:30:42 +0200 cmc  r271431 : #i101493# get it to build, and remove some warnings 2009-05-02 16:12:37 +0200 cmc  r271430 : CWS-TOOLING: rebase CWS cmcfixes58 to trunk@271427 (milestone: DEV300:m47) 2009-04-23 13:19:33 +0200 cmc  r271163 : #i101305# remove annoying import foo is unused warnings 2009-04-21 17:10:34 +0200 cmc  r271048 : #i101246# remove AVMEDIA_MANAGER_SERVICE_NAME defines again 2009-04-21 17:07:41 +0200 cmc  r271047 : #i86323# remove xml2cmp unused methods


2009-04-27  Ivo Hinkelmann  <ihi@openoffice.org>  [d72128ebc89eee4d10e4dda505bcfa623f056b80]

CWS-TOOLING: integrate CWS sb107 2009-04-14 13:09:13 +0200 sb  r270758 : CWS-TOOLING: rebase CWS sb107 to trunk@270723 (milestone: DEV300:m46) 2009-04-06 14:11:54 +0200 sb  r270545 : #i100884# improve pagein effectiveness: wrap system libs in --as-needed on unxlngi6/unxlngx6 to avoid needing them where unneeded; link pagein as C program to avoid unneeded C++ runtime dependency; reorder pagein and javaldx in soffice startup script so that javaldx benefits from pagein 2009-03-31 16:40:23 +0200 sb  r270287 : decrease collisions in hashCode computation 2009-03-30 11:48:39 +0200 sb  r270207 : #i100668# corrected explicit template instantiation 2009-03-26 14:16:26 +0100 sb  r270078 : #i100408# inadvertently dropped libexslt dynamic library in previous rev 269789 2009-03-26 10:52:51 +0100 sb  r270058 : #i100576# fixed erroneous modification of RPM in previous rev 270057 2009-03-26 10:46:36 +0100 sb  r270057 : #i100576# Enable HAVE_LD_HASH_STYLE in sdev300.ini for unxlgni6 and unxlngx6; corrected unxlngx6.mk so that HAVE_LD_HASH_STYLE actually has an effect on ultimate LINKFLAGS value. 2009-03-25 16:53:39 +0100 sb  r270038 : #i85679# applied speed-symbolic-functions.diff provided by pmladek; re-ran autoconf; enabled HAVE_LD_BSYMBOLIC_FUNCTIONS for unxlngi6 and unxlngx6 in sdev300.ini 2009-03-25 15:29:12 +0100 sb  r270031 : #i100408# missing fixes in addition to -c 269789 (to actually only put single instances of certain libraries into installation sets) 2009-03-25 15:17:10 +0100 sb  r270029 : #i10084# revert masterfix additions of libraries to APPnSTDLIBs (during -r269000:269199) and instead use -rpath-link to avoid linker warnings on unxlngi6 and unxlngx6 2009-03-25 14:15:23 +0100 sb  r270023 : added svn:ignore 2009-03-25 10:25:08 +0100 sb  r270002 : #i10000# copied over trunk -c 269820 2009-03-23 10:16:00 +0100 sb  r269858 : CWS-TOOLING: rebase CWS sb107 to trunk@269781 (milestone: DEV300:m44) 2009-03-20 11:22:27 +0100 sb  r269789 : #i100408# reduce (multiple copies of) libraries delivered to solver; for that to work fine, deliver symlink feature got improved to only create a symlink if the original file exists 2009-03-20 09:21:32 +0100 sb  r269782 : #i100396# replace s(HTML|RTF)_xxx declarations with OOO_STRING_SVTOOLS_(HTML|RTF)_xxx macros to reduce symbolic relocations at load time (at least on ELF systems). 2009-03-19 11:34:56 +0100 sb  r269734 : #i100348# added VISIBILITY_HIDDEN=TRUE so that symbols from the resulting archive are not erroneously exported from dynamic libraries including the archive 2009-03-19 11:32:20 +0100 sb  r269733 : #i100348# as a prerequisite for following changes, brought jpeg-6b.patch into "dmake create_patch" format and removed application/octet-stream svn:mime-type 2009-03-12 10:39:08 +0100 sb  r269370 : duplicated cws/odfmetadata2/solenv/inc/target.mk -c 268831 2009-03-04 17:25:16 +0100 sb  r268849 : #i99880# missing AUGMENT_LIBRARY_PATH 2009-02-25 17:54:34 +0100 sb  r268459 : CWS-TOOLING: rebase CWS sb107 to trunk@268395 (milestone: DEV300:m42) 2009-02-25 09:23:15 +0100 sb  r268413 : #i99584# avoid undefined operations on nOffset (patch by cmc) 2009-02-23 10:02:25 +0100 sb  r268344 : #i99519 removed unnecessary library dependencies 2009-02-18 17:54:24 +0100 sb  r268250 : avoid warnings about format specifier and argument mismatch (on 64bit debug builds) 2009-02-18 17:50:34 +0100 sb  r268249 : avoid erroneous warning that control reaches end of non-void function 2009-02-18 17:33:53 +0100 sb  r268248 : sdext/source/pdfimport/misc/pdfihelper.cxx: #include <vcl/canvastools.hxx>


2009-04-22  Ivo Hinkelmann  <ihi@openoffice.org>  [905c6f56297c4931d1377c3f4df520afd8747320]

CWS-TOOLING: integrate CWS sdk31fix_DEV300 2009-04-03 15:43:49 +0200 jsc  r270492 : correct classpath 2009-04-02 16:27:49 +0200 jsc  r270416 : fix typo in run target and classpath 2009-04-02 16:27:14 +0200 jsc  r270415 : remove Inspector example, change docu to link into the wiki on the related project page 2009-04-01 14:07:33 +0200 jsc  r270327 : #i100723# add Uno-Type-Path to jar manifest 2009-04-01 11:57:53 +0200 jsc  r270315 : #i100723# add Uno-Type-Path to jar manifest 2009-04-01 11:47:59 +0200 jsc  r270314 : #i100723# add Uno-Type-Path to jar manifest 2009-04-01 09:33:10 +0200 jsc  r270304 : #i100723# add Uno-Type-Path to jar manifest 2009-04-01 09:30:39 +0200 jsc  r270303 : #i100723# add Uno-Type-Path to jar manifest 2009-04-01 09:29:19 +0200 jsc  r270301 : #i100712# change header image version number


2009-03-06  Release Engineers  <releng@openoffice.org>  [f100da0fd623ba7df622c63a55a617ae7f74d517]

#i10000# missing STORELIB


2009-02-19  Oliver Bolte  <obo@openoffice.org>  [d16066bc1a1ae2e824848b13addb24652f4ed1bd]

CWS-TOOLING: integrate CWS sb104 2009-01-27 13:09:06 +0100 sb  r266986 : #i97992# cws rebase: merged cws/sb104/config_office/set_soenv.in with moved tags/DEV300_m40/set_soenv.in 2009-01-27 10:56:40 +0100 sb  r266966 : CWS-TOOLING: rebase CWS sb104 to trunk@266944 (milestone: DEV300:m40) 2009-01-20 14:37:00 +0100 sb  r266581 : #i97992# missing treatment of Solaris-only adjustvisibility as build-internal tool 2009-01-20 09:32:38 +0100 sb  r266554 : CWS-TOOLING: rebase CWS sb104 to trunk@266428 (milestone: DEV300:m39) 2009-01-14 13:40:45 +0100 sb  r266296 : #i97992# do not pass comment lines to shell 2009-01-14 12:50:34 +0100 sb  r266290 : #i97992# avoid problems with checkdll not finding AWTLIB and its dependents 2009-01-14 12:49:20 +0100 sb  r266289 : #i97992# on Linux and Solaris, regxpcom apparently needs to be called with the libxpcom.so directory on the LD_LIBRARY_PATH 2009-01-13 09:41:37 +0100 sb  r266196 : #i97992# fixed AUGMENT_LIBRARY_PATH definitions 2009-01-12 18:02:03 +0100 sb  r266177 : #i97992# get rid of LD_LIBRARY_PATH in build environment


2009-02-19  Oliver Bolte  <obo@openoffice.org>  [734ceb7767761a544fa4254f1c5963273ebbae5d]

CWS-TOOLING: integrate CWS ause099 2009-01-29 12:30:57 +0100 hjs  r267116 : #i98365# fix unsetting g+s bit 2009-01-23 14:21:19 +0100 hjs  r266819 : #i40246# - cleanup 2009-01-23 14:14:07 +0100 hjs  r266818 : #i40246# - fix quoting of final echo line 2009-01-23 12:42:33 +0100 hjs  r266807 : #i98365# leave higher bits alone 2009-01-23 11:23:42 +0100 rt  r266799 : Header 2009-01-22 19:14:25 +0100 hjs  r266753 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:22:18 +0100 hjs  r266737 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:20:54 +0100 hjs  r266736 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:20:24 +0100 hjs  r266735 : #i98365# remove unwanted file attributes from archives 2009-01-22 16:08:33 +0100 hjs  r266734 : #i40246# renamed variable 2009-01-22 16:05:26 +0100 hjs  r266733 : #i40246# renamed variable 2009-01-20 17:46:54 +0100 hjs  r266610 : #i98290# cleanup 2009-01-19 19:32:19 +0100 hjs  r266522 : CWS-TOOLING: rebase CWS ause099 to trunk@266428 (milestone: DEV300:m39) 2008-12-08 21:00:09 +0100 hjs  r265049 : CWS-TOOLING: rebase CWS ause099 to trunk@264807 (milestone: DEV300:m37) 2008-11-27 18:25:18 +0100 hjs  r264513 : #i40246# - support multiple patches per archive 2008-11-17 19:00:12 +0100 hjs  r263738 : CWS-TOOLING: rebase CWS ause099 to trunk@263288 (milestone: DEV300:m35)


2009-02-12  Oliver Bolte  <obo@openoffice.org>  [77292d7ff2240790667518af454a0e05ead0a0a9]

CWS-TOOLING: integrate CWS jsc314 2009-01-20 17:03:24 +0100 jsc  r266600 : #97041# add sym links to ure libs in sdk/lib 2009-01-20 17:01:26 +0100 jsc  r266599 : #97968# changed version


2009-01-21  Vladimir Glazounov  <vg@openoffice.org>  [78f07ebaa06451e0d339e7cf5ec19df0e5bd46b5]

CWS-TOOLING: integrate CWS configuretoplevel 2009-01-19 15:47:39 +0100 rene  r266508 : CWS-TOOLING: rebase CWS configuretoplevel to trunk@266428 (milestone: DEV300:m39) 2009-01-18 00:35:31 +0100 rene  r266462 : #i10000# Mac OS X "of course" has other paths... 2009-01-16 13:24:23 +0100 rene  r266415 : make OS2 use STLport... 2009-01-15 22:08:38 +0100 rene  r266393 : STLport for FreeBSD 2009-01-15 01:23:51 +0100 rene  r266333 : #i98048# harmonize STL default; default to *NOT* use STLport 2009-01-09 22:44:43 +0100 rene  r266120 : #i97428# try to find out XLIB via pkg-config 2009-01-09 22:41:18 +0100 rene  r266119 : #i97827# fail when we don't find make 2008-12-27 01:19:34 +0100 rene  r265812 : add make (dis)clean; force /bin/sh as we source *Enc.Set.sh 2008-12-27 01:16:31 +0100 rene  r265811 : fix makefile.rc for config.*/config_office move 2008-12-26 22:37:54 +0100 rene  r265810 : #i91641# in some cases, we also need the -Xbootclasspath at the second javac call 2008-12-26 17:55:11 +0100 rene  r265806 : actually commit Makefile.in 2008-12-25 19:24:24 +0100 rene  r265803 : CWS-TOOLING: rebase CWS configuretoplevel to trunk@265758 (milestone: DEV300:m38) 2008-12-10 22:51:06 +0100 rene  r265232 : #i96912# revert, cws swffixes02 has the right fix 2008-12-08 18:47:10 +0100 rene  r265014 : xulrunner has no /plugin or /nspr 2008-12-08 17:51:28 +0100 rene  r265013 : i96912# fix --with-system-mozilla 2008-12-05 13:05:55 +0100 rene  r264903 : #i95339# 2008-12-04 17:53:53 +0100 rene  r264865 : fix merge error #i80238# add help for --with-epm 2008-12-04 17:44:28 +0100 rene  r264864 : #i91641# fix build with JDKs already including a version of rhino which conflicts with our ancient one 2008-12-04 17:40:48 +0100 rene  r264863 : i93429# check for sanity for expand.exe 2008-12-04 17:34:20 +0100 rene  r264862 : config_office changes from m33 to m37 2008-12-04 17:28:55 +0100 rene  r264861 : CWS-TOOLING: rebase CWS configuretoplevel to trunk@264807 (milestone: DEV300:m37) 2008-12-04 16:49:03 +0100 rene  r264856 : fix cws. part 5 2008-12-04 16:45:06 +0100 rene  r264855 : fix cws, part 4 2008-12-04 16:01:49 +0100 rene  r264850 : fix cws, part 3 2008-12-04 15:14:12 +0100 rene  r264848 : fix cws, part 2


2009-01-09  René Engelhard  <rene@openoffice.org>  [67c4be9b1699b698da72f6a4dcbabbcdd95ef8f3]

#i97352# fix tail usage


2009-01-07  Jens-Heiner Rechtien  <hr@openoffice.org>  [c2b25cf1c6e3ae4bdccbd376f47e13261c54037e]

CWS-TOOLING: integrate CWS rt36 2009-01-05 11:19:40 +0100 rt  r265862 : #i97690# Patch by kohei for writer2latex. Enable bundling writer2latex extension (undo revision 265756). 2009-01-02 16:37:54 +0100 rt  r265837 : #159017# Move content of 'officenames' to 'so_prereq'.


2008-12-30  Jens-Heiner Rechtien  <hr@openoffice.org>  [43cc58e1365caf9953643f16ce0e1da2c4b9f563]

CWS-TOOLING: integrate CWS sb102 2008-12-11 16:18:12 +0100 sb  r265332 : #i95065# cleanup, to make Windows linking work 2008-12-11 16:16:03 +0100 sb  r265331 : #i95065# missing SAL_DLLPUBLIC_EXPORT 2008-12-09 17:40:28 +0100 sb  r265122 : #i94469# move CJK specific configuration data to brand layer 2008-12-09 16:09:08 +0100 sb  r265112 : #i96959# use PTHREAD_MUTEX_RECURSIVE on all platforms 2008-12-09 15:54:31 +0100 sb  r265110 : #i95065# do not derive apphelper::LifeTimeGuard from osl::ResettableMutexGuard to avoid problems with VISIBILITY_HIDDEN=TRUE on MSC 2008-12-09 15:40:51 +0100 sb  r265104 : #i95065# add VISIBILITY_HIDDEN=TRUE to connectivity/source/drivers/mozab 2008-12-09 15:36:21 +0100 sb  r265102 : #i95501# updated SDK_HOME 2008-12-09 15:31:46 +0100 sb  r265099 : typo (temppath vs. tmppath) 2008-12-08 11:48:08 +0100 sb  r264979 : #i95065# removed spurious ExplicitCategoriesProvider.obj (ExplicitCategoriesProvider.cxx is not in this directory) 2008-12-07 19:41:07 +0100 sb  r264960 : #i96994# erroneously doubled backslash caused visibility feature to be disabled for all GCC versions on Mac OS X 2008-12-06 23:54:49 +0100 sb  r264948 : changes from trunk that CWS-TOOLING's rebase to DEV300:m37 (r264891) had missed, as files had been moved around on this CWS 2008-12-05 20:29:23 +0100 sb  r264919 : #i85508# versions of flex apparently differ in whether input() resp. yyinput() returns zero or EOF upon end of file 2008-12-05 15:37:23 +0100 sb  r264908 : #i95315# removed obsolete jut 2008-12-05 15:34:59 +0100 sb  r264907 : #i95531# removed empty obsolete directories 2008-12-05 10:09:23 +0100 sb  r264891 : CWS-TOOLING: rebase CWS sb102 to trunk@264807 (milestone: DEV300:m37) 2008-12-04 14:50:20 +0100 sb  r264845 : #i95065# introduced VISIBILITY_HIDDEN makefile flag to reduce duplications; made additional libraries use VISIBILITY_HIDDEN=TRUE to avoid warnings with recent GCC 4 versions (had to split certain code directories to make changes that would otherwise erroneously affect multiple libraries built in the same makefile); changed connectivity::ORefVector to no longer derive from std::vector, as that caused problems with the MSC implementation of VISIBILITY_HIDDEN=TRUE; replaced uses of JNIEXPORT with SAL_DLLPUBLIC_EXPORT, as the former does not expand to visibility attributes on some platforms where the latter does 2008-12-03 11:29:38 +0100 sb  r264759 : #i94583# remove unnecessary (and wrong) assertion check for rtl_getAppCommandArg return value (which is guaranteed to return osl_Process_E_None or not return at all) 2008-12-02 17:18:31 +0100 sb  r264724 : #i96809# silenced GCC 4.3.2 warning 2008-12-02 13:29:34 +0100 sb  r264695 : #i96797# make get_tmp_dir fail less often 2008-11-28 17:19:24 +0100 sb  r264566 : #i95691# inadvertently missing from -c 264564 2008-11-28 17:07:50 +0100 sb  r264564 : #i95691# only structs of exactly 1, 2, 4, or 8 bytes are returned through registers 2008-11-25 13:28:08 +0100 sb  r264291 : #i96427# support for SAL_EXCEPTION_DLLPUBLIC_EXPORT (patch by np) 2008-11-21 14:45:22 +0100 sb  r264140 : #i95428# added SAL_EXCEPTION_DLLPUBLIC_EXPORT and SAL_EXCEPTION_DLLPRIVATE 2008-11-19 13:19:37 +0100 sb  r263984 : #i95525# removed erroneous application/octet-stream svn:mime-type properties


2008-12-11  Rüdiger Timm  <rt@openoffice.org>  [508d94d80b2bfc917e4bbb38fb350355c5e1f27f]

CWS-TOOLING: integrate CWS jsc312 2008-12-04 17:08:20 +0100 jsc  r264858 : #i96902# update reference rdb 2008-12-04 17:06:34 +0100 jsc  r264857 : #i96902# update reference rdb 2008-11-28 14:54:24 +0100 jsc  r264556 : #i96671# correct location of generated scripts 2008-11-28 14:29:30 +0100 jsc  r264554 : #92661# minor changes 2008-11-28 09:36:27 +0100 jsc  r264527 : #92661# minor optimizations 2008-11-27 11:32:24 +0100 jsc  r264470 : #92661# retrieve lib path and load related library full qualified 2008-11-18 09:08:22 +0100 jsc  r263745 : #i93980# change docu, insert note that regview and regmerge are part of the ure 2008-11-18 09:05:12 +0100 jsc  r263744 : #i93980# remove regview and regmerge 2008-11-18 08:57:09 +0100 jsc  r263743 : #i93981# insert SDK rpath link option for regcompare 2008-11-18 08:55:08 +0100 jsc  r263742 : #i93981# insert SDK rpath link option 2008-11-17 16:26:25 +0100 jsc  r263727 : #i96055# correct brackets


2008-12-11  Rüdiger Timm  <rt@openoffice.org>  [c2724f6bfb6ab445f3ceaba1043bde0d79f10342]

CWS-TOOLING: integrate CWS cmcfixes51 2008-12-08 10:12:55 +0100 cmc  r264975 : #i96203# protect with ifdefs to avoid unused symbol on mac 2008-12-05 12:23:47 +0100 cmc  r264898 : CWS-TOOLING: rebase CWS cmcfixes51 to trunk@264807 (milestone: DEV300:m37) 2008-12-01 14:45:17 +0100 cmc  r264606 : #i76655# ehlos apparently required 2008-11-28 17:49:30 +0100 cmc  r264567 : #i96655# remove newly unused method 2008-11-28 10:41:28 +0100 cmc  r264531 : #i96647# better ppc-bridges flushCode impl 2008-11-27 12:58:40 +0100 cmc  r264478 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 12:32:49 +0100 cmc  r264476 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 12:26:02 +0100 cmc  r264475 : #i96655# redundant old table export helpers 2008-11-27 11:49:06 +0100 cmc  r264473 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 11:38:35 +0100 cmc  r264471 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 11:14:21 +0100 cmc  r264467 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 11:06:22 +0100 cmc  r264464 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:58:18 +0100 cmc  r264462 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:41:44 +0100 cmc  r264461 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:19:24 +0100 cmc  r264460 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:13:39 +0100 cmc  r264459 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 10:06:14 +0100 cmc  r264458 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:59:54 +0100 cmc  r264457 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:52:51 +0100 cmc  r264456 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:48:26 +0100 cmc  r264454 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:40:20 +0100 cmc  r264452 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:35:26 +0100 cmc  r264451 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:31:00 +0100 cmc  r264450 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 09:24:08 +0100 cmc  r264449 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 00:26:15 +0100 cmc  r264443 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 00:21:01 +0100 cmc  r264442 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-27 00:09:40 +0100 cmc  r264441 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 23:51:56 +0100 cmc  r264440 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 23:49:09 +0100 cmc  r264439 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 18:09:54 +0100 cmc  r264432 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 18:07:40 +0100 cmc  r264431 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 17:28:02 +0100 cmc  r264429 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 17:27:39 +0100 cmc  r264428 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 17:18:36 +0100 cmc  r264426 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 16:22:16 +0100 cmc  r264415 : #i96624# make implicit braces and brackets explicit to avoid warnings 2008-11-26 16:00:23 +0100 cmc  r264409 : #i90426# remove warnings from svtools 2008-11-26 15:59:17 +0100 cmc  r264408 : #i90426# remove warnings 2008-11-26 15:47:32 +0100 cmc  r264404 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 14:46:57 +0100 cmc  r264394 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 14:19:50 +0100 cmc  r264387 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 14:15:26 +0100 cmc  r264386 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 14:11:26 +0100 cmc  r264384 : #i96084# confirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 13:44:23 +0100 cmc  r264380 : #i96084# comfirm existing logic with explicit brackets to remove new gcc warnings 2008-11-26 13:12:24 +0100 cmc  r264372 : #i96604# silence new warnings 2008-11-26 12:35:02 +0100 cmc  r264369 : #i96203# make qstarter work in 3-layer land 2008-11-26 12:33:04 +0100 cmc  r264368 : #i96170# ensure gtypes are up and running


2008-12-08  Rüdiger Timm  <rt@openoffice.org>  [ddc8f72dd2b2d148f60ab539911f3f5a46d5eccf]

CWS-TOOLING: integrate CWS betterautoifacedoc 2008-12-03 07:40:21 +0100 fs  r264742 : #i86469# for interfaces, have a 'Summary' and a 'Details' section, for greatly enhanced readability 2008-12-02 13:59:13 +0100 fs  r264698 : #i10000#


2008-10-16  Oliver Bolte  <obo@openoffice.org>  [89c05fe75a93f4a6e1b2366bc158da2bf0f88520]

CWS-TOOLING: integrate CWS unowinregfix_DEV300


2008-10-10  Oliver Bolte  <obo@openoffice.org>  [36ede62583196424bed5e47d856137d867cd058a]

CWS-TOOLING: integrate CWS cmcfixes49


2008-10-01  Vladimir Glazounov  <vg@openoffice.org>  [de77b307a63183a170ffea83186c5b1024ef586d]

CWS-TOOLING: integrate CWS sb93


2008-10-01  Vladimir Glazounov  <vg@openoffice.org>  [d10297e54cb92fa7c15ba7fb934fb47f99acb474]

CWS-TOOLING: integrate CWS jsc311


2008-09-19  Jens-Heiner Rechtien  <hr@openoffice.org>  [f30a0e50d0c8216f8fb6843c74bdcf14ff7d879e]

#i93829#: changes needed for subversion migration


2008-08-27  Rüdiger Timm  <rt@openoffice.org>  [7cd210e4fc4dd94578229c621ea3a94ec96bb42e]

INTEGRATION: CWS oobeanfix_DEV300 (1.12.10); FILE MERGED 2008/08/26 13:32:26 jsc 1.12.10.1: #i93126# insert new variable for URE jar files, used in OOBean example makefile


2008-08-27  Rüdiger Timm  <rt@openoffice.org>  [0817f2f5c7c25f24fa845c151fbd964fed5324ba]

INTEGRATION: CWS oobeanfix_DEV300 (1.4.232); FILE MERGED 2008/08/26 13:31:10 jsc 1.4.232.1: #i93126# adapt classpath to 3 layer office


2008-08-27  Rüdiger Timm  <rt@openoffice.org>  [aff76670d0828b14bc58b813e91b7ba9116ad084]

INTEGRATION: CWS sb91 (1.55.6); FILE MERGED 2008/07/22 07:44:06 sb 1.55.6.3: merged in 1.56.2.1 2008/07/16 07:21:56 sb 1.55.6.2: RESYNC: (1.55-1.56); FILE MERGED 2008/07/11 08:58:54 sb 1.55.6.1: #i91567# make buildable on unxsolu4 (but that does not yet lead to a working SDK on unxsolu4)


2008-08-27  Rüdiger Timm  <rt@openoffice.org>  [021240e182576a069a36c4847fcd7f10342ffde1]

INTEGRATION: CWS sb91 (1.30.2); FILE MERGED 2008/07/18 12:32:02 sb 1.30.2.1: #i91567# adapted to unxsolu4


2008-08-27  Rüdiger Timm  <rt@openoffice.org>  [64453e885f4bdf8fb74fafbc0e47ad7c644fc2ca]

INTEGRATION: CWS sb91 (1.16.10); FILE MERGED 2008/07/11 08:56:51 sb 1.16.10.1: #i91042# #include <cXXX> vs. <XXX.h> and using identifiers without std:: prefix (which is necessary for old MSVC versions)


2008-08-19  Vladimir Glazounov  <vg@openoffice.org>  [c73d4a5e295ff17f3700f88e11caff33cac751a0]

INTEGRATION: CWS xsltfilter10 (1.2.78); FILE MERGED 2008/07/09 23:40:53 sus 1.2.78.1: #i91376# Adaption due to change of XSLT processor from Apache Xalan to Saxon9 supporting XSLT2


2008-07-22  Oliver Bolte  <obo@openoffice.org>  [660d7f4042671458a8f658e40c4fdd6f3765f3f5]

INTEGRATION: CWS sdkfix (1.56.2); FILE MERGED 2008/07/22 07:24:56 jsc 1.56.2.1: #i91796# remove quotes


2008-07-22  Oliver Bolte  <obo@openoffice.org>  [740a7e538204b1350597395ffe09483a3fec1315]

INTEGRATION: CWS sdkfix (1.89.4); FILE MERGED 2008/07/18 12:34:31 jsc 1.89.4.1: #i91796# use template file + sed for dk.mk


2008-07-22  Oliver Bolte  <obo@openoffice.org>  [1a540bb4a1c998d238de6cddaecd34a5a4447939]

INTEGRATION: CWS sdkfix (1.1.2); FILE ADDED 2008/07/18 12:35:02 jsc 1.1.2.1: #i91796# new template file


2008-07-16  Rüdiger Timm  <rt@openoffice.org>  [c5989f7c1acde5f32b2c264e346a66ee85d62935]

#i91707# Syntax of 'tail' command: use '-n' instead of '--lines'.


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [a495d80c9944e8aada8e5eb77c7677264c2d3826]

INTEGRATION: CWS jsc21 (1.4.46); FILE MERGED 2008/04/23 09:54:37 jsc 1.4.46.2: RESYNC: (1.4-1.5); FILE MERGED 2008/02/13 08:03:41 jsc 1.4.46.1: #72964# remove header guards


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [fcd1729c5c8d13cfc14b7fa4e0efe65f12869a2b]

INTEGRATION: CWS jsc21 (1.4.42); FILE MERGED 2008/04/23 09:54:25 jsc 1.4.42.2: RESYNC: (1.4-1.5); FILE MERGED 2008/02/13 08:03:41 jsc 1.4.42.1: #72964# remove header guards


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [a770a113d97208840c2429f3d406d9f5297f6fd3]

INTEGRATION: CWS jsc21 (1.4.46); FILE MERGED 2008/04/23 09:54:18 jsc 1.4.46.3: RESYNC: (1.4-1.5); FILE MERGED 2008/04/11 12:41:24 jsc 1.4.46.2: #i86121# use correct APP1RPATH for SDK tools 2008/04/11 12:40:18 jsc 1.4.46.1: #i86121#use correct API1RPATH for SDK tools


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [552615b54db90c2e3d50d6e2bb9df082ea68257e]

INTEGRATION: CWS jsc21 (1.9.28); FILE MERGED 2008/04/23 09:54:14 jsc 1.9.28.3: RESYNC: (1.9-1.10); FILE MERGED 2008/03/10 09:57:49 jsc 1.9.28.2: #i86053# fix unused imports for components as well 2008/02/13 07:44:55 jsc 1.9.28.1: #86053# remove unused import


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [73f8e4c861cee1e16b9633380e70ed66967bac49]

INTEGRATION: CWS jsc21 (1.10.2); FILE MERGED 2008/04/23 09:54:33 jsc 1.10.2.2: RESYNC: (1.10-1.11); FILE MERGED 2008/02/13 07:21:34 jsc 1.10.2.1: #i86052# move destructor to private


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [fb378203187de75ef4dc4d3adb03b036e7b20227]

INTEGRATION: CWS jsc21 (1.30.4); FILE MERGED 2008/07/04 11:33:45 jsc 1.30.4.4: RESYNC: (1.30-1.31); FILE MERGED 2008/06/27 08:49:55 jsc 1.30.4.3: #i90032# adapt link flags and linking for MacOS 2008/05/22 07:08:00 jsc 1.30.4.2: #i88797# adapted to new structure 2008/04/30 11:34:26 jsc 1.30.4.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [c74149e892a2b0f5c6764b0442f600888290225c]

INTEGRATION: CWS jsc21 (1.54.4); FILE MERGED 2008/07/07 15:02:54 jsc 1.54.4.6: #i88797# correct wrong merge after resync 2008/07/04 11:33:51 jsc 1.54.4.5: RESYNC: (1.54-1.55); FILE MERGED 2008/07/03 16:02:02 jsc 1.54.4.4: #88797# rework optional module, make standalone product 2008/05/27 18:26:01 jsc 1.54.4.3: #i88797# adapted SDK name 2008/05/22 07:07:59 jsc 1.54.4.2: #i88797# adapted to new structure 2008/04/30 11:34:25 jsc 1.54.4.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [045e09ecd44c201fdee13d68b9cceec1e06c1717]

INTEGRATION: CWS jsc21 (1.25.4); FILE MERGED 2008/04/30 11:34:25 jsc 1.25.4.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [f590fe5b966e677d35a1ec0b274d139e22af7a7e]

INTEGRATION: CWS jsc21 (1.25.6); FILE MERGED 2008/07/08 05:37:38 jsc 1.25.6.2: #i88797# check existence of addsym-macosx.sh script 2008/04/30 11:34:25 jsc 1.25.6.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [b6097883d83dadd619922762de6ebb2d7d3b6692]

INTEGRATION: CWS jsc21 (1.6.2); FILE MERGED 2008/06/27 08:49:55 jsc 1.6.2.1: #i90032# adapt link flags and linking for MacOS


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [8bc1e469f0b941f6f748ec895ffa6ea8512e20ce]

INTEGRATION: CWS jsc21 (1.3.242); FILE MERGED 2008/05/22 07:07:58 jsc 1.3.242.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [feb2516e547cc6bab24a316d2f4fcb0d0ace24b4]

INTEGRATION: CWS jsc21 (1.10.106); FILE MERGED 2008/06/17 07:37:08 jsc 1.10.106.6: #i88797# remove unnecessary space 2008/06/11 14:38:37 sb 1.10.106.5: RESYNC: (1.10-1.11); FILE MERGED 2008/05/27 17:21:19 jsc 1.10.106.4: #i88797# adapt for new structure 2008/05/23 11:38:05 jsc 1.10.106.3: #i88797# adapted for mac 2008/05/22 07:07:57 jsc 1.10.106.2: #i88797# adapted to new structure 2008/04/30 11:34:25 jsc 1.10.106.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [a0cd86fb6419909fdfe52ed750c9827d33b25089]

INTEGRATION: CWS jsc21 (1.28.2); FILE MERGED 2008/07/07 13:54:10 jsc 1.28.2.9: #i88797# adapt base link flag 2008/06/27 08:49:55 jsc 1.28.2.8: #i90032# adapt link flags and linking for MacOS 2008/06/16 11:22:13 jsc 1.28.2.7: #i88797# adapt solaris compiler options 2008/06/11 14:38:53 sb 1.28.2.6: RESYNC: (1.28-1.29); FILE MERGED 2008/05/27 17:21:19 jsc 1.28.2.5: #i88797# adapt for new structure 2008/05/23 14:34:18 jsc 1.28.2.4: #i88797# adapted for mac 2008/05/23 11:38:05 jsc 1.28.2.3: #i88797# adapted for mac 2008/05/22 07:07:57 jsc 1.28.2.2: #i88797# adapted to new structure 2008/02/11 11:30:29 jsc 1.28.2.1: #i85448# apply patch


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [dad88dba8da97af4bd3a2da1c3d6c0291ea00d85]

INTEGRATION: CWS jsc21 (1.12.168); FILE MERGED 2008/04/30 11:34:25 jsc 1.12.168.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [a70ce6e6f15fe697544b3f5045df24572c279a9f]

INTEGRATION: CWS jsc21 (1.87.4); FILE MERGED 2008/07/08 04:42:34 jsc 1.87.4.5: #i88797# add addsym-macosx.sh script 2008/07/04 11:33:40 jsc 1.87.4.4: RESYNC: (1.87-1.88); FILE MERGED 2008/06/27 08:49:55 jsc 1.87.4.3: #i90032# adapt link flags and linking for MacOS 2008/05/27 17:16:03 jsc 1.87.4.2: #i88797# add support for new compiler, to copy stlport lib 2008/04/30 11:34:25 jsc 1.87.4.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [a729a05adaebd5690e29d73c722a76342d7290bf]

INTEGRATION: CWS jsc21 (1.1.2); FILE ADDED 2008/04/30 11:35:38 jsc 1.1.2.1: #88797# new


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [7a4be61469b59cee08c1554f349675f7d46aa930]

INTEGRATION: CWS jsc21 (1.1.2); FILE ADDED 2008/04/30 11:35:50 jsc 1.1.2.1: #88797# new


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [3f34c94d060f4bdd094da2daa9de602d252bb9d8]

INTEGRATION: CWS jsc21 (1.1.2); FILE ADDED 2008/06/27 08:48:00 jsc 1.1.2.1: #i90032# new


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [dc83555ea33d02acb126b88c774e521be44ca612]

INTEGRATION: CWS jsc21 (1.4.208); FILE MERGED 2008/02/13 13:47:27 jsc 1.4.208.1: #i72964# cleanup header guards


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [38efcc055426f08ac1d3e1a2f3bef311cbc46a1d]

INTEGRATION: CWS jsc21 (1.2.208); FILE MERGED 2008/02/13 13:47:27 jsc 1.2.208.1: #i72964# cleanup header guards


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [d7c8a5e0a12547adba7db7156451460b2816309d]

INTEGRATION: CWS jsc21 (1.20.74); FILE MERGED 2008/05/23 11:49:23 jsc 1.20.74.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [cf4c6383fb966119d6f285763e019cae2fd1c283]

INTEGRATION: CWS jsc21 (1.9.74); FILE MERGED 2008/05/23 11:49:23 jsc 1.9.74.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [8d6bd1d783782953d091fdfb1bdbfa431f6f9ade]

INTEGRATION: CWS jsc21 (1.18.74); FILE MERGED 2008/05/23 11:49:22 jsc 1.18.74.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [08dfcbaf8a638d56dc90ea917cff918ccd838ee8]

INTEGRATION: CWS jsc21 (1.5.84); FILE MERGED 2008/02/13 13:47:27 jsc 1.5.84.1: #i72964# cleanup header guards


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [21a6a8bcd16b0360886fdfd85831d71135bcd165]

INTEGRATION: CWS jsc21 (1.22.72); FILE MERGED 2008/05/23 11:49:22 jsc 1.22.72.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [2e15bb994793d5a081388f91c454219ed7a5d32a]

INTEGRATION: CWS jsc21 (1.3.208); FILE MERGED 2008/02/13 13:47:27 jsc 1.3.208.1: #i72964# cleanup header guards


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [978f2e5e33cbd1ace22e0c82fabf6a0027e31d97]

INTEGRATION: CWS jsc21 (1.2.54); FILE MERGED 2008/05/21 10:38:20 jsc 1.2.54.1: #i88797# extended with example document


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [88c06e5ae15f54d4adc4745ef2fff6d3d4a94345]

INTEGRATION: CWS jsc21 (1.1.2); FILE ADDED 2008/05/21 10:35:30 jsc 1.1.2.1: new


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [ec2daa3fae17bf458c4bbcc865fffe3411eeb419]

INTEGRATION: CWS jsc21 (1.13.74); FILE MERGED 2008/06/27 08:49:54 jsc 1.13.74.2: #i90032# adapt link flags and linking for MacOS 2008/05/21 13:19:20 jsc 1.13.74.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [308db554509613ffcf1929d520dbfb7f68d63527]

INTEGRATION: CWS jsc21 (1.12.74); FILE MERGED 2008/06/27 08:49:54 jsc 1.12.74.2: #i90032# adapt link flags and linking for MacOS 2008/05/21 11:27:47 jsc 1.12.74.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [543bbced171a538e8fba6cdc1095baa33f2e8324]

INTEGRATION: CWS jsc21 (1.4.74); FILE MERGED 2008/06/27 08:49:54 jsc 1.4.74.3: #i90032# adapt link flags and linking for MacOS 2008/05/21 12:13:15 jsc 1.4.74.2: #i88797# adapted to new structure 2008/05/21 12:11:29 jsc 1.4.74.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [e6c7b2052d4dcdf7d6fb0a1097543dbbcb309c37]

INTEGRATION: CWS jsc21 (1.17.198); FILE MERGED 2008/06/27 08:49:53 jsc 1.17.198.3: #i90032# adapt link flags and linking for MacOS 2008/05/21 13:13:34 jsc 1.17.198.2: #i88797# adapted to new structure 2008/05/21 12:55:39 jsc 1.17.198.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [cff0e6bb71a953d611e97714b9bb6761eaa8095d]

INTEGRATION: CWS jsc21 (1.12.92); FILE MERGED 2008/05/21 12:55:39 jsc 1.12.92.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [010d687653d9febd7970489550e06e764065a0bc]

INTEGRATION: CWS jsc21 (1.9.74); FILE MERGED 2008/05/23 11:55:47 jsc 1.9.74.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [7b3e21199a61830aee1161a54ad0d7cc6579abac]

INTEGRATION: CWS jsc21 (1.4.92); FILE MERGED 2008/07/07 11:37:32 jsc 1.4.92.3: #i88797# adapted 2008/06/27 08:49:53 jsc 1.4.92.2: #i90032# adapt link flags and linking for MacOS 2008/05/21 14:57:30 jsc 1.4.92.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [1c2105278622dd9949a307599b25779a388a8b2d]

INTEGRATION: CWS jsc21 (1.5.152); FILE MERGED 2008/06/27 08:49:53 jsc 1.5.152.3: #i90032# adapt link flags and linking for MacOS 2008/06/20 11:43:50 jsc 1.5.152.2: #i88797# adapted 2008/05/21 14:57:30 jsc 1.5.152.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [7f8090b79585069045d232bcaa65bf199e435f24]

INTEGRATION: CWS jsc21 (1.7.198); FILE MERGED 2008/06/27 08:49:53 jsc 1.7.198.2: #i90032# adapt link flags and linking for MacOS 2008/05/23 11:55:46 jsc 1.7.198.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [6a2058812331a82b6f5fb1258651eb9e73cd13e7]

INTEGRATION: CWS jsc21 (1.6.92); FILE MERGED 2008/05/21 15:03:04 jsc 1.6.92.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [6f90b72bf7dd7435440b79edd05f134b2b5eb43f]

INTEGRATION: CWS jsc21 (1.7.198); FILE MERGED 2008/06/27 08:49:52 jsc 1.7.198.2: #i90032# adapt link flags and linking for MacOS 2008/05/21 15:03:04 jsc 1.7.198.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [80823fdcacb8f51ece5e968b54b77b5d6fe0f783]

INTEGRATION: CWS jsc21 (1.8.74); FILE MERGED 2008/06/27 08:49:52 jsc 1.8.74.2: #i90032# adapt link flags and linking for MacOS 2008/05/21 14:42:29 jsc 1.8.74.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [0899632b23b31115deaad4dffa88161f9729567d]

INTEGRATION: CWS jsc21 (1.9.6); FILE MERGED 2008/05/22 07:06:04 jsc 1.9.6.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [345a6aed79d170ab2649828000c7039de3ace0a9]

INTEGRATION: CWS jsc21 (1.10.74); FILE MERGED 2008/06/27 08:49:52 jsc 1.10.74.2: #i90032# adapt link flags and linking for MacOS 2008/05/22 07:06:04 jsc 1.10.74.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [31658d0ca29804424cb847fd20976d0762bc6898]

INTEGRATION: CWS jsc21 (1.4.6); FILE MERGED 2008/06/27 08:49:51 jsc 1.4.6.1: #i90032# adapt link flags and linking for MacOS


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [bb5061c7c5d70c939eac154078fe1534ad6831e4]

INTEGRATION: CWS jsc21 (1.9.74); FILE MERGED 2008/07/07 11:37:32 jsc 1.9.74.4: #i88797# adapted 2008/06/27 08:49:51 jsc 1.9.74.3: #i90032# adapt link flags and linking for MacOS 2008/06/20 08:11:11 jsc 1.9.74.2: #i88797# improve Makefile 2008/05/21 14:53:13 jsc 1.9.74.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [68339af63f960a9ed4652b0ddaca05128c1dfd56]

INTEGRATION: CWS jsc21 (1.2.92); FILE MERGED 2008/02/13 12:58:33 jsc 1.2.92.1: #i83415# add doit3 to handled methods


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [0d396b0f2a1f66c2f7528c961686ce1b013550f4]

INTEGRATION: CWS jsc21 (1.3.74); FILE MERGED 2008/05/23 11:55:46 jsc 1.3.74.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [b814e75e675f48383223a037b1aa3cc73f3b1412]

INTEGRATION: CWS jsc21 (1.3.74); FILE MERGED 2008/02/13 12:58:33 jsc 1.3.74.1: #i83415# add doit3 to handled methods


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [4778e7e9b3612525e93a4adf4634fd2de81f4998]

INTEGRATION: CWS jsc21 (1.5.208); FILE MERGED 2008/05/23 11:55:46 jsc 1.5.208.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [dbd823335b90a0dc5bbffb75f2df77e147c399e3]

INTEGRATION: CWS jsc21 (1.2.106); FILE MERGED 2008/05/23 11:55:46 jsc 1.2.106.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [59124f0ce7dbc33fad37c0ae76dd1660809af475]

INTEGRATION: CWS jsc21 (1.4.208); FILE MERGED 2008/02/13 13:47:27 jsc 1.4.208.1: #i72964# cleanup header guards


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [d0a730f0063ac393743def7dcf2cc24d33403163]

INTEGRATION: CWS jsc21 (1.2.208); FILE MERGED 2008/02/13 13:47:27 jsc 1.2.208.1: #i72964# cleanup header guards


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [862c2083040539d00e4d8c54435c9ce1af1ccd4f]

INTEGRATION: CWS jsc21 (1.8.74); FILE MERGED 2008/05/23 11:55:45 jsc 1.8.74.1: #i88797# change OFFICE_TYPE_LIBRARY to URE_TYPES and OFFICE_TYPES


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [22c0eeef3d89a8e7ce287a1b27a1a1fb2deba64c]

INTEGRATION: CWS jsc21 (1.5.92); FILE MERGED 2008/07/07 11:37:32 jsc 1.5.92.1: #i88797# adapted


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [c4a506f0e503b87753fa161ed188ccbd84bf83ed]

INTEGRATION: CWS jsc21 (1.10.74); FILE MERGED 2008/06/27 08:49:51 jsc 1.10.74.2: #i90032# adapt link flags and linking for MacOS 2008/05/21 13:38:54 jsc 1.10.74.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [f3686c9607170bfd7e1898811af4d0eae6c8d4b9]

INTEGRATION: CWS jsc21 (1.8.74); FILE MERGED 2008/06/27 08:49:51 jsc 1.8.74.3: #i90032# adapt link flags and linking for MacOS 2008/05/21 14:12:18 jsc 1.8.74.2: #i88797# adapted to new structure 2008/05/21 13:50:50 jsc 1.8.74.1: #i88797# adapted to new structure


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [8f6d5f3bf415f01b1b26232003e26cf5a21c509d]

INTEGRATION: CWS jsc21 (1.5.2); FILE MERGED 2008/07/08 14:58:00 jsc 1.5.2.1: #i88797# adapt path to assemblies


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [26905d4dd448a26af67061be0a8d37ae5841bbe2]

INTEGRATION: CWS jsc21 (1.3.2); FILE MERGED 2008/07/08 14:58:00 jsc 1.3.2.1: #i88797# adapt path to assemblies


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [c9d47925f96fbb627a7fb6a6c4456712cb5ca919]

INTEGRATION: CWS jsc21 (1.6.2); FILE MERGED 2008/04/30 11:34:24 jsc 1.6.2.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [100346ef7db40228b2f7ed45850d5ac9c01b9fef]

INTEGRATION: CWS jsc21 (1.1.2); FILE ADDED 2008/06/16 06:44:49 jsc 1.1.2.1: new


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [4b38f9d2be78107df4414a767f24eb0230766a16]

INTEGRATION: CWS jsc21 (1.21.2); FILE MERGED 2008/07/03 16:02:02 jsc 1.21.2.1: #88797# rework optional module, make standalone product


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [2272cf75f6e8c42c6037ae205376dac75b1ee97a]

INTEGRATION: CWS jsc21 (1.27.2); FILE MERGED 2008/07/03 16:02:02 jsc 1.27.2.2: #88797# rework optional module, make standalone product 2008/05/27 18:27:02 jsc 1.27.2.1: #i88797# update compiler versions


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [d2d59b5f62cf25b2cc6e308c30ac546612a33b10]

INTEGRATION: CWS jsc21 (1.18.160); FILE MERGED 2008/04/30 11:34:24 jsc 1.18.160.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [55b7c63beb6a7cd2906ae5c4adbbe1a19e6aeb52]

INTEGRATION: CWS jsc21 (1.10.2); FILE MERGED 2008/05/23 11:38:04 jsc 1.10.2.3: #i88797# adapted for mac 2008/05/22 07:07:55 jsc 1.10.2.2: #i88797# adapted to new structure 2008/04/30 11:34:24 jsc 1.10.2.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [ccfabb0e5398d5af4d913bc921898eec30123fe3]

INTEGRATION: CWS jsc21 (1.10.132); FILE MERGED 2008/07/03 16:02:01 jsc 1.10.132.5: #88797# rework optional module, make standalone product 2008/05/23 11:38:04 jsc 1.10.132.4: #i88797# adapted for mac 2008/05/22 13:54:59 jsc 1.10.132.3: #i88797 use hostname to store config files, support of multiple envs 2008/05/22 07:07:55 jsc 1.10.132.2: #i88797# adapted to new structure 2008/04/30 11:34:24 jsc 1.10.132.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [b5ea6d9bd94ea59d7f71f7700dcc55b7666f985c]

INTEGRATION: CWS jsc21 (1.20.2); FILE MERGED 2008/07/03 16:02:01 jsc 1.20.2.1: #88797# rework optional module, make standalone product


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [790b61d80cb214131728e90bf9626d21b78fe939]

INTEGRATION: CWS jsc21 (1.15.46); FILE MERGED 2008/07/03 16:29:18 jsc 1.15.46.7: #i88797# insert space 2008/07/03 16:02:01 jsc 1.15.46.6: #88797# rework optional module, make standalone product 2008/06/17 14:51:08 jsc 1.15.46.5: #i88797# adapt office search 2008/05/22 14:12:35 jsc 1.15.46.4: #i88797 correct AUTO_DEPLOYMENT 2008/05/22 13:54:59 jsc 1.15.46.3: #i88797 use hostname to store config files, support of multiple envs 2008/05/22 07:07:54 jsc 1.15.46.2: #i88797# adapted to new structure 2008/04/30 11:34:24 jsc 1.15.46.1: #86121# update for 3 layer office


2008-07-11  Rüdiger Timm  <rt@openoffice.org>  [feaedb9a0bedd27180fc4e2314a3b3d76cb00d49]

INTEGRATION: CWS jsc21 (1.11.2); FILE MERGED 2008/05/27 16:59:34 jsc 1.11.2.1: #i88797# adapt for new structure


2008-07-02  Vladimir Glazounov  <vg@openoffice.org>  [d9915db04872e80b09cf430f9683507ea2ad78b7]

#100000#fix for missing type for solaris


2008-07-02  Rüdiger Timm  <rt@openoffice.org>  [eddfeebafff55aee8f0ecb974d69f530016e6d66]

INTEGRATION: CWS adifacedoc (1.7.8); FILE MERGED 2008/07/02 05:29:07 fs 1.7.8.1: #i85692#


2008-07-02  Rüdiger Timm  <rt@openoffice.org>  [e264b82581389d2a09018843abc9c9a0ad3452d1]

INTEGRATION: CWS adifacedoc (1.14.8); FILE MERGED 2008/07/02 05:29:07 fs 1.14.8.1: #i85692#


2008-07-02  Rüdiger Timm  <rt@openoffice.org>  [d9f2ea9f43656d3b07e4acff9bac0e78500ddd86]

INTEGRATION: CWS adifacedoc (1.10.8); FILE MERGED 2008/07/02 05:29:07 fs 1.10.8.1: #i85692#


2008-06-25  Kurt Zenker  <kz@openoffice.org>  [d09cfee37a602e8dfa23d0e1534c9626ccc3eaec]

INTEGRATION: CWS jl104 (1.30.12); FILE MERGED 2008/06/19 10:01:20 jl 1.30.12.1: #i88078# moving cli-uno assemblies to odk


2008-06-25  Kurt Zenker  <kz@openoffice.org>  [12904def73f1c2f7031247b168c6518346c2ecd4]

INTEGRATION: CWS jl104 (1.54.12); FILE MERGED 2008/06/19 10:01:20 jl 1.54.12.1: #i88078# moving cli-uno assemblies to odk


2008-06-25  Kurt Zenker  <kz@openoffice.org>  [f2c1936165d61926ecbea3b0288b9a4d2e6e1f98]

INTEGRATION: CWS jl104 (1.87.12); FILE MERGED 2008/06/19 11:57:18 jl 1.87.12.2: #i88078 2008/06/19 10:01:19 jl 1.87.12.1: #i88078# moving cli-uno assemblies to odk


2008-06-25  Kurt Zenker  <kz@openoffice.org>  [4cf576b7f015d846a1e95f0d2df0991b461d5899]

INTEGRATION: CWS jl104 (1.4.216); FILE MERGED 2008/06/19 10:01:19 jl 1.4.216.1: #i88078# moving cli-uno assemblies to odk


2008-06-25  Kurt Zenker  <kz@openoffice.org>  [b13d6c983ade629fec831e576335a6f840ebfaf0]

INTEGRATION: CWS jl104 (1.2.216); FILE MERGED 2008/06/19 10:01:18 jl 1.2.216.1: #i88078# moving cli-uno assemblies to odk


2008-06-18  Rüdiger Timm  <rt@openoffice.org>  [2c0220ad53a34e12dee6c34f8deb4ff4d4b496ec]

#i90829# Remove 'std::' for time and localtime.


2008-06-16  Rüdiger Timm  <rt@openoffice.org>  [92ecdde7cd0b005eacfbe954ff85a02ded2d9ca1]

INTEGRATION: CWS hr51 (1.11.4); FILE MERGED 2008/06/06 14:10:09 hr 1.11.4.1: #i88947#: includes; namespaces


2008-06-16  Rüdiger Timm  <rt@openoffice.org>  [9b847b6b60d7d00a3bb564086eebafa7ed41f98d]

INTEGRATION: CWS hr51 (1.14.4); FILE MERGED 2008/06/06 14:10:08 hr 1.14.4.1: #i88947#: includes; namespaces


2008-06-12  Rüdiger Timm  <rt@openoffice.org>  [029d3654ed728a70ae878aa41fa462340133e79c]

#i90609# SIZE_MAX undeclared for .Net2003 compiler, take SAL_MAX_SIZE instead.


2008-06-09  Rüdiger Timm  <rt@openoffice.org>  [30dd6dbf87d0cc189bf14c075c74031161eaec15]

INTEGRATION: CWS sb87 (1.4.148); FILE MERGED 2008/05/06 11:54:21 sb 1.4.148.3: #88687# finished off previous commit 2008/04/24 13:10:35 sb 1.4.148.2: RESYNC: (1.4-1.5); FILE MERGED 2008/04/24 11:56:00 sb 1.4.148.1: #i88687# extracted cppuhelper_detail_findSofficePath, call new unoinfo executable to get necessary information about office installation


2008-06-09  Rüdiger Timm  <rt@openoffice.org>  [4891d6ab06e65562ab46600def0c9c5dc503ddc9]

INTEGRATION: CWS sb87 (1.4.76); FILE MERGED 2008/05/07 11:24:41 sb 1.4.76.3: #i88687# unoapploader is not linked against any OOo libs, hence RPATH=NONE 2008/04/24 13:10:32 sb 1.4.76.2: RESYNC: (1.4-1.5); FILE MERGED 2008/04/24 11:56:00 sb 1.4.76.1: #i88687# extracted cppuhelper_detail_findSofficePath, call new unoinfo executable to get necessary information about office installation


2008-06-09  Rüdiger Timm  <rt@openoffice.org>  [05c89a7e4e7eb2958dbcac6d923a43e0996b3365]

INTEGRATION: CWS sb87 (1.4.148); FILE MERGED 2008/05/06 11:53:05 sb 1.4.148.3: #88687# off by one error 2008/04/24 13:10:29 sb 1.4.148.2: RESYNC: (1.4-1.5); FILE MERGED 2008/04/24 11:56:00 sb 1.4.148.1: #i88687# extracted cppuhelper_detail_findSofficePath, call new unoinfo executable to get necessary information about office installation


2008-06-09  Rüdiger Timm  <rt@openoffice.org>  [dd8c5c3ca95ca420b640f0194b33ff2b81b15b73]

INTEGRATION: CWS sb87 (1.6.162); FILE MERGED 2008/05/07 11:24:40 sb 1.6.162.3: #i88687# unoapploader is not linked against any OOo libs, hence RPATH=NONE 2008/04/24 13:10:26 sb 1.6.162.2: RESYNC: (1.6-1.7); FILE MERGED 2008/04/24 11:56:00 sb 1.6.162.1: #i88687# extracted cppuhelper_detail_findSofficePath, call new unoinfo executable to get necessary information about office installation


2008-06-09  Rüdiger Timm  <rt@openoffice.org>  [8891f7b54175afbbb2349a494e440bf8db5dd8cf]

INTEGRATION: CWS sb87 (1.5.10); FILE MERGED 2008/05/07 11:34:25 sb 1.5.10.1: #i88687# let Loader call new unoinfo instead of old juh.jar UnoInfo.getJars


2008-06-09  Rüdiger Timm  <rt@openoffice.org>  [f38f997e49c1e3338dc96975d478cab2db50bd89]

INTEGRATION: CWS sb87 (1.10.116); FILE MERGED 2008/05/07 11:34:24 sb 1.10.116.1: #i88687# let Loader call new unoinfo instead of old juh.jar UnoInfo.getJars


2008-04-25  Ivo Hinkelmann  <ihi@openoffice.org>  [803dfbec9a8c5ca6f5f8e1df71b21d6e5e4a64c9]

INTEGRATION: CWS s390sdk (1.28.18); FILE MERGED 2008/04/24 11:20:46 rene 1.28.18.1: honour just linux


2008-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [2b4763db6abe93a0e14a3c518cd105c0f797b7cf]

INTEGRATION: CWS hr50 (1.9.20); FILE MERGED 2008/03/10 15:47:41 hr 1.9.20.1: #i86574#: fix warning (gcc-4.2.3)


2008-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [b2028c0a5dba4038dd6adc31e22bbe8052fb3038]

INTEGRATION: CWS hr50 (1.8.20); FILE MERGED 2008/03/10 15:47:41 hr 1.8.20.1: #i86574#: fix warning (gcc-4.2.3)


2008-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [233f771edd709f2d790a278699ef3ac2d552c6e5]

INTEGRATION: CWS hr50 (1.12.20); FILE MERGED 2008/03/10 15:47:41 hr 1.12.20.1: #i86574#: fix warning (gcc-4.2.3)


2008-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [af9a563efce09b34b5ddb1e409501893f1222f61]

INTEGRATION: CWS hr50 (1.9.20); FILE MERGED 2008/03/10 15:39:08 hr 1.9.20.1: #i86574#: fix warning (gcc-4.2.3)


2008-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [3e691d745310de93dcbdf9ca796190ae9c7d5639]

INTEGRATION: CWS hr50 (1.5.20); FILE MERGED 2008/03/10 15:47:41 hr 1.5.20.1: #i86574#: fix warning (gcc-4.2.3)


2008-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [ddf59244e015fdd6342286dcbae692b7a630dcc8]

INTEGRATION: CWS hr50 (1.9.20); FILE MERGED 2008/03/10 15:47:40 hr 1.9.20.1: #i86574#: fix warning (gcc-4.2.3)


2008-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [a2b3ffb7389d5ad12acd4f742c01e2aba15abc7c]

INTEGRATION: CWS hr50 (1.11.20); FILE MERGED 2008/03/10 15:37:35 hr 1.11.20.1: #i86574#: remove unused variable


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [1b455bb229a9272ef6e48b1fbcd581126b7a93ea]

INTEGRATION: CWS changefileheader (1.7.10); FILE MERGED 2008/03/28 15:51:24 rt 1.7.10.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [e44163f949f2279cad9c46ab37eefda00b2f355c]

INTEGRATION: CWS changefileheader (1.5.44); FILE MERGED 2008/03/28 15:51:24 rt 1.5.44.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [d06365f8093bb26e9aefb9e1fe8c22623628cd12]

INTEGRATION: CWS changefileheader (1.6.34); FILE MERGED 2008/03/28 15:51:24 rt 1.6.34.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [94c6b5d21b618c4a1160219ca55b550c08fd1134]

INTEGRATION: CWS changefileheader (1.4.22); FILE MERGED 2008/03/28 15:51:24 rt 1.4.22.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [f49b5fe4de990214709f20fd4dc2bd68378cafe3]

INTEGRATION: CWS changefileheader (1.9.28); FILE MERGED 2008/03/28 15:51:24 rt 1.9.28.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [62b75e249401e293b72e1582dc9965de97018ee2]

INTEGRATION: CWS changefileheader (1.4.48); FILE MERGED 2008/04/01 16:03:11 thb 1.4.48.3: #i85898# Stripping all external header guards 2008/04/01 12:59:13 thb 1.4.48.2: #i85898# Stripping all external header guards 2008/03/28 15:51:23 rt 1.4.48.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [1087f3822552368a81bb33e381c9525303829dda]

INTEGRATION: CWS changefileheader (1.4.44); FILE MERGED 2008/04/01 16:03:11 thb 1.4.44.3: #i85898# Stripping all external header guards 2008/04/01 12:59:13 thb 1.4.44.2: #i85898# Stripping all external header guards 2008/03/28 15:51:23 rt 1.4.44.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [e508848559c987d2d6d394aae56a5ec3925d00a0]

INTEGRATION: CWS changefileheader (1.6.30); FILE MERGED 2008/04/01 16:03:11 thb 1.6.30.2: #i85898# Stripping all external header guards 2008/03/28 15:51:23 rt 1.6.30.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [e664cf2906daef41da176720b8fcb7ff3c6dd849]

INTEGRATION: CWS changefileheader (1.6.42); FILE MERGED 2008/03/28 15:51:23 rt 1.6.42.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [fda9f62608f1ce5a3b3c6779dd01f63fc41af2b0]

INTEGRATION: CWS changefileheader (1.4.48); FILE MERGED 2008/03/28 15:51:23 rt 1.4.48.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [22d85636a7d9496d748d99b2156759c7a199ee1b]

INTEGRATION: CWS changefileheader (1.6.18); FILE MERGED 2008/03/28 15:51:23 rt 1.6.18.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [0d0807125f4dc0fc8ecf1e4f1a0fbd6b2dbe17fa]

INTEGRATION: CWS changefileheader (1.9.30); FILE MERGED 2008/03/28 15:51:23 rt 1.9.30.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [04577b5196aa34b3f01b0f24a7f45e96af558bbe]

INTEGRATION: CWS changefileheader (1.10.18); FILE MERGED 2008/03/28 15:51:23 rt 1.10.18.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [ccc686f305aa25fad05bd5dae64272d31bf4c114]

INTEGRATION: CWS changefileheader (1.10.4); FILE MERGED 2008/03/28 15:51:23 rt 1.10.4.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [11538fb60bc51573cff4d6548b4472df0ae62cb1]

INTEGRATION: CWS changefileheader (1.4.10); FILE MERGED 2008/04/01 16:03:11 thb 1.4.10.3: #i85898# Stripping all external header guards 2008/04/01 12:59:12 thb 1.4.10.2: #i85898# Stripping all external header guards 2008/03/28 15:51:22 rt 1.4.10.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [f7c9dd4906a8eca7feed5e7c10fcd494633b4436]

INTEGRATION: CWS changefileheader (1.3.48); FILE MERGED 2008/04/01 16:03:11 thb 1.3.48.2: #i85898# Stripping all external header guards 2008/03/28 15:51:22 rt 1.3.48.1: #i87441# Change license header to LPGL v3.


2008-04-11  Rüdiger Timm  <rt@openoffice.org>  [b242a47371ddee3442a8d115e513d28645174c33]

INTEGRATION: CWS changefileheader (1.4.10); FILE MERGED 2008/03/28 15:51:22 rt 1.4.10.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [51f0c29395a7e057b3b06c21b162f898ad186122]

INTEGRATION: CWS changefileheader (1.4.8); FILE MERGED 2008/03/31 13:06:22 rt 1.4.8.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [2fe0def3c8101aea2930451b408317ab44627817]

INTEGRATION: CWS changefileheader (1.5.28); FILE MERGED 2008/03/31 13:06:22 rt 1.5.28.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [e49b020dd5dddc3a1d61e48f0b1c138aae9c03ed]

INTEGRATION: CWS changefileheader (1.2.40); FILE MERGED 2008/03/31 13:06:22 rt 1.2.40.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [8060025e74b2283a35b124d5676153c9dfec9865]

INTEGRATION: CWS changefileheader (1.2.40); FILE MERGED 2008/03/31 13:06:21 rt 1.2.40.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [02829aba92a65cfe715b71ec72fcf8d521ed0f9c]

INTEGRATION: CWS changefileheader (1.3.40); FILE MERGED 2008/03/31 13:06:21 rt 1.3.40.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [776e4bf7d6461be8b929e8312d6cdc736672beaa]

INTEGRATION: CWS changefileheader (1.7.40); FILE MERGED 2008/03/31 13:06:21 rt 1.7.40.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [f0f5141523337d9c535642bb89994dd430c137b6]

INTEGRATION: CWS changefileheader (1.6.8); FILE MERGED 2008/03/31 13:06:21 rt 1.6.8.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [161a2157d9f34d09bf2142ea3a6768ea1d720431]

INTEGRATION: CWS changefileheader (1.6.10); FILE MERGED 2008/03/31 13:06:21 rt 1.6.10.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [c88f3a5f290fcf2a2a991673e61d0387ce8a3673]

INTEGRATION: CWS changefileheader (1.6.10); FILE MERGED 2008/03/31 13:06:20 rt 1.6.10.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [4a02dfb913036826d6ccfad7a2633e736382291b]

INTEGRATION: CWS changefileheader (1.29.2); FILE MERGED 2008/03/31 15:52:57 rt 1.29.2.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [f02c484d3cb0ac1b3eec28ebc9a5dcabac95c99d]

INTEGRATION: CWS changefileheader (1.53.30); FILE MERGED 2008/03/31 15:52:57 rt 1.53.30.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [7908ef142203cca432f3f1f4123a9f0f3097b55f]

INTEGRATION: CWS changefileheader (1.5.188); FILE MERGED 2008/03/31 15:52:57 rt 1.5.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [cd84231cc826c6ef0787e4c30e9536cd24ad9b80]

INTEGRATION: CWS changefileheader (1.24.36); FILE MERGED 2008/03/31 15:52:57 rt 1.24.36.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [30baeb375d251ac3121f27c943fa7fd7f5e4dcfb]

INTEGRATION: CWS changefileheader (1.3.118); FILE MERGED 2008/03/31 15:52:56 rt 1.3.118.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [683a6b647e84ba06552261b357769ccb5f1965e5]

INTEGRATION: CWS changefileheader (1.11.60); FILE MERGED 2008/03/31 15:52:56 rt 1.11.60.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [eb91f4a171eff21cdd027d5a005694d7c2c7f5c6]

INTEGRATION: CWS changefileheader (1.4.144); FILE MERGED 2008/03/31 15:52:56 rt 1.4.144.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [ea61b6311fb3b3859b0310684b3700d9746bfc61]

INTEGRATION: CWS changefileheader (1.4.72); FILE MERGED 2008/03/31 15:52:56 rt 1.4.72.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [ccf36de6c2aaab276c06a1b6d74bd1e426214323]

INTEGRATION: CWS changefileheader (1.6.158); FILE MERGED 2008/03/31 15:52:55 rt 1.6.158.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [d9b191654df4e3834083b10b7ad7fb8bc41d47c5]

INTEGRATION: CWS changefileheader (1.4.188); FILE MERGED 2008/03/31 15:52:55 rt 1.4.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [2fa325049fffb70d9de26f9885c3389478df0834]

INTEGRATION: CWS changefileheader (1.3.188); FILE MERGED 2008/03/31 15:52:55 rt 1.3.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [642e7e783092419039efaa67ddb0ef54ff57522d]

INTEGRATION: CWS changefileheader (1.17.76); FILE MERGED 2008/03/31 15:52:55 rt 1.17.76.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [cd5bf5d8168ebd718fef7c80f26bd47d841e2435]

INTEGRATION: CWS changefileheader (1.21.2); FILE MERGED 2008/03/31 15:52:54 rt 1.21.2.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [babb39cd7cfd0d2d134e6e01885a316cd96d0ac9]

INTEGRATION: CWS changefileheader (1.86.10); FILE MERGED 2008/03/31 15:52:54 rt 1.86.10.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [154f104127add9bc3d8bbed995997f009a06db70]

INTEGRATION: CWS changefileheader (1.10.80); FILE MERGED 2008/03/31 15:52:54 rt 1.10.80.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [63c53ff98e8c4381fc92c1438e350e54ade0ed61]

INTEGRATION: CWS changefileheader (1.6.80); FILE MERGED 2008/03/31 15:52:53 rt 1.6.80.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [3729ddd7cad041c5c0430aadd842f121f1c2cf7a]

INTEGRATION: CWS changefileheader (1.8.80); FILE MERGED 2008/03/31 15:52:53 rt 1.8.80.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [3f66a1615781268a91d33bcdac739a3b52df08ec]

INTEGRATION: CWS changefileheader (1.2.118); FILE MERGED 2008/03/31 15:52:53 rt 1.2.118.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [cff2ff1f5d410764ab0f9d3dcfe479785dfb4623]

INTEGRATION: CWS changefileheader (1.2.100); FILE MERGED 2008/03/31 15:52:53 rt 1.2.100.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [216e5d6789daec809676b7333b042c663f652ba6]

INTEGRATION: CWS changefileheader (1.8.60); FILE MERGED 2008/03/31 15:52:52 rt 1.8.60.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [c0407a0ae65b30f2bc341f1ac581696d8342b1c6]

INTEGRATION: CWS changefileheader (1.6.98); FILE MERGED 2008/04/01 12:31:57 thb 1.6.98.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [874283879e857ab1a19da2c75f2d30d3f1bea90c]

INTEGRATION: CWS changefileheader (1.4.98); FILE MERGED 2008/04/01 12:31:57 thb 1.4.98.2: #i85898# Stripping all external header guards 2008/03/31 15:52:52 rt 1.4.98.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [eaace5eed00b91a8cb92fb2323dacc8baf62bf19]

INTEGRATION: CWS changefileheader (1.2.128); FILE MERGED 2008/04/01 12:31:56 thb 1.2.128.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [67b058ef0a6ed879820e0aee48ca25539c202cbc]

INTEGRATION: CWS changefileheader (1.4.98); FILE MERGED 2008/04/01 12:31:56 thb 1.4.98.2: #i85898# Stripping all external header guards 2008/03/31 15:52:51 rt 1.4.98.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [a54745f2ab8f393cdba16554b8997383718c2998]

INTEGRATION: CWS changefileheader (1.4.98); FILE MERGED 2008/03/31 15:52:51 rt 1.4.98.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [bb69fe6e901f7983b82892d4676215fbef690b58]

INTEGRATION: CWS changefileheader (1.6.188); FILE MERGED 2008/03/31 15:52:51 rt 1.6.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [d15ed451c2624cb7741f5218ab5512fca5ae2c36]

INTEGRATION: CWS changefileheader (1.5.188); FILE MERGED 2008/03/31 15:52:50 rt 1.5.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [44398cd552bd5fa760485be9d339e09c25ae4622]

INTEGRATION: CWS changefileheader (1.4.188); FILE MERGED 2008/03/31 15:52:50 rt 1.4.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [456161bfeeb947c99c18e33ce613d910d19aba9e]

INTEGRATION: CWS changefileheader (1.5.188); FILE MERGED 2008/03/31 15:52:49 rt 1.5.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [d5ce630abebb50356d7390af7d436a30fc7a3c60]

INTEGRATION: CWS changefileheader (1.3.188); FILE MERGED 2008/03/31 15:52:49 rt 1.3.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [6874a1262e11d4e922141f61c82d7d5f09ce0149]

INTEGRATION: CWS changefileheader (1.7.76); FILE MERGED 2008/03/31 15:52:49 rt 1.7.76.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [6f94754958ac938475411d37c13d1b9117cf0846]

INTEGRATION: CWS changefileheader (1.4.52); FILE MERGED 2008/04/01 12:31:56 thb 1.4.52.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [0881f151f631a21c056b3bf57c71d2003c376b09]

INTEGRATION: CWS changefileheader (1.8.98); FILE MERGED 2008/04/01 12:31:56 thb 1.8.98.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [9974a0934029ca0de72a5971eb8615ea015ce504]

INTEGRATION: CWS changefileheader (1.5.98); FILE MERGED 2008/04/01 12:31:56 thb 1.5.98.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [b3fffc3b36ac78aa76479708821bc9d3bf112917]

INTEGRATION: CWS changefileheader (1.5.188); FILE MERGED 2008/03/31 15:52:48 rt 1.5.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [b001375261692c1efb7c555980113fd004473d33]

INTEGRATION: CWS changefileheader (1.3.188); FILE MERGED 2008/03/31 15:52:48 rt 1.3.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [b91ec7289d93c312eb4ca3f1563d10161ae0e0be]

INTEGRATION: CWS changefileheader (1.4.158); FILE MERGED 2008/03/31 15:52:48 rt 1.4.158.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [d11c54f6e1a401b9fd08d9168bd0b1efd6dd8ffb]

INTEGRATION: CWS changefileheader (1.3.188); FILE MERGED 2008/03/31 15:52:47 rt 1.3.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [88e6862be8cf495c8e2527d6aa0e57237dec520a]

INTEGRATION: CWS changefileheader (1.6.188); FILE MERGED 2008/03/31 15:52:47 rt 1.6.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [9f4bbdf14a2326df6304388ec9c8e2a92ad481a0]

INTEGRATION: CWS changefileheader (1.5.188); FILE MERGED 2008/03/31 15:52:47 rt 1.5.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [9095c06bcd06f3479bedf17e1390c024ba582c9e]

INTEGRATION: CWS changefileheader (1.4.158); FILE MERGED 2008/03/31 15:52:47 rt 1.4.158.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [708f0aed4b6a60b99a6adce0816513b2afc80348]

INTEGRATION: CWS changefileheader (1.6.188); FILE MERGED 2008/03/31 15:52:46 rt 1.6.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [8be686934b869911479ca05824209bda2a2b17ad]

INTEGRATION: CWS changefileheader (1.5.90); FILE MERGED 2008/04/01 12:31:56 thb 1.5.90.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [3ee8cbab5c97ce7e1043afe7d481dc4e09a82b88]

INTEGRATION: CWS changefileheader (1.5.98); FILE MERGED 2008/04/01 12:31:55 thb 1.5.98.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [23a33db371dcffb08a878fc1eb96c43b452f15ce]

INTEGRATION: CWS changefileheader (1.3.376); FILE MERGED 2008/04/01 12:31:55 thb 1.3.376.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [0db3d74e33d86f4367a8a7b8ddd67d48179b23a7]

INTEGRATION: CWS changefileheader (1.6.98); FILE MERGED 2008/04/01 12:31:55 thb 1.6.98.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [1f3b2f761fdbf2a2bbb370d8fdde600cc0f0d78f]

INTEGRATION: CWS changefileheader (1.5.98); FILE MERGED 2008/04/01 12:31:54 thb 1.5.98.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [29f305bf0827a93f0b5760437e407151a0cffacb]

INTEGRATION: CWS changefileheader (1.3.376); FILE MERGED 2008/04/01 12:31:54 thb 1.3.376.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [f4e90a1ff2da93973a2917cd88071a3883c980b3]

INTEGRATION: CWS changefileheader (1.5.188); FILE MERGED 2008/03/31 15:52:46 rt 1.5.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [b33420fa4044afb4d425ef9e2e620393dfd47984]

INTEGRATION: CWS changefileheader (1.4.188); FILE MERGED 2008/03/31 15:52:46 rt 1.4.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [69212bb95478f6cad5e711384e29c1b1765ca77c]

INTEGRATION: CWS changefileheader (1.4.50); FILE MERGED 2008/03/31 13:04:49 rt 1.4.50.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [6ab5a6b995f36b244eff6362732b7cb19b239325]

INTEGRATION: CWS changefileheader (1.2.50); FILE MERGED 2008/03/31 13:04:49 rt 1.2.50.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [b35d064c925334442f5f0175a62f2f6436468016]

INTEGRATION: CWS changefileheader (1.4.296); FILE MERGED 2008/04/01 12:31:54 thb 1.4.296.1: #i85898# Stripping all external header guards


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [381672a044d13b0572e8b59ed725dcaa7515e5fa]

INTEGRATION: CWS changefileheader (1.5.188); FILE MERGED 2008/03/31 15:52:45 rt 1.5.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [eb794c70728b4d989cdbcdf33cbe592fd0e168cb]

INTEGRATION: CWS changefileheader (1.6.188); FILE MERGED 2008/03/31 15:52:45 rt 1.6.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [8d4ac19a12b692db7e426a287fde7a7057199b87]

INTEGRATION: CWS changefileheader (1.5.12); FILE MERGED 2008/03/31 13:04:49 rt 1.5.12.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [10e4a7d5360846fcd52a70134846d006452d874a]

INTEGRATION: CWS changefileheader (1.13.12); FILE MERGED 2008/03/31 13:04:49 rt 1.13.12.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [cc2addedb6bf6349402a1d29e79b44f48f8cebf8]

INTEGRATION: CWS changefileheader (1.4.188); FILE MERGED 2008/03/31 15:52:44 rt 1.4.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [e7414770d7865137f0488e6884885b96d911055a]

INTEGRATION: CWS changefileheader (1.3.50); FILE MERGED 2008/03/31 13:04:49 rt 1.3.50.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [0488b574b7f3120ef339bc093f30624b68e7b648]

INTEGRATION: CWS changefileheader (1.3.188); FILE MERGED 2008/03/31 15:52:44 rt 1.3.188.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [eb5284e5e7afcb53ed9cc31361b9e45ed168e32a]

INTEGRATION: CWS changefileheader (1.5.34); FILE MERGED 2008/03/31 13:04:48 rt 1.5.34.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [4b6d9911a20b24333012fb8d7d313802c710d97d]

INTEGRATION: CWS changefileheader (1.8.34); FILE MERGED 2008/03/31 13:04:48 rt 1.8.34.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [ae58258382957148bc423c715e160cb6ed72ab70]

INTEGRATION: CWS changefileheader (1.4.12); FILE MERGED 2008/03/31 13:04:48 rt 1.4.12.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [7298ef6823cddb7be9b77e12309ad784bea833d9]

INTEGRATION: CWS changefileheader (1.3.50); FILE MERGED 2008/03/31 13:04:48 rt 1.3.50.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [286a593a9239d5568ced272f0a8f54ca9dd38034]

INTEGRATION: CWS changefileheader (1.2.50); FILE MERGED 2008/03/31 13:04:48 rt 1.2.50.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [bc3b7bddc9142657b63387b5e4d3213772e12917]

INTEGRATION: CWS changefileheader (1.3.12); FILE MERGED 2008/03/31 13:04:48 rt 1.3.12.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [cb9fb2748ed57f786742134b61cfb882d38dfc9b]

INTEGRATION: CWS changefileheader (1.7.34); FILE MERGED 2008/03/31 13:04:48 rt 1.7.34.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [481b612078e58995d89962e3bb1241cc4f0da2b8]

INTEGRATION: CWS changefileheader (1.2.12); FILE MERGED 2008/03/31 13:04:48 rt 1.2.12.1: #i87441# Change license header to LPGL v3.


2008-04-10  Rüdiger Timm  <rt@openoffice.org>  [a0ff6d515f4de5503fdcf76745c4e12fa673738c]

